1994-05-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.25 released.

	* comint.el (comint-read-input-ring): Make regexp stricter.

	* info.el (Info-directory-list): Doc fix.

	* paths.el (Info-default-directory-list): Don't attach ../info.
	So now configure-info-directory comes last.
	Put /usr/local/info second.

	* bibtex.el (bibtex-clean-entry): Back over close delimiter carefully.

	* ange-ftp.el (ange-ftp-insert-directory): Expand file name to
	check whether it is really an ftp file name.

	* compile.el (compilation-error-regexp-alist): Stricter Lucid regexp.

	* simple.el (completion-list-mode-map): Unbind down-mouse-2.

1994-05-30  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* font-lock.el (shell-font-lock-keywords): Removed regexp for commands.
	(rmail-summary-font-lock-keywords): New variable.
	(font-lock-set-defaults): Use it.

1994-05-29  Paul Eggert  (eggert@twinsun.com)

	* cal-dst.el (calendar-current-time-zone): Fix typo that
	transposed DST-STARTS-TIME and DST-ENDS-TIME.

	* cal-dst.el (calendar-daylight-savings-ends): Fix typo in put.

1994-05-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el: Use ctl-x-map to bind C-x SPC.

	* lmenu.el (make-lucid-menu-keymap): Allow any form as the enabler.

	* info.el (Info-directory-list): Doc fix.

	* server.el (server-visit-files): Bind last-nonmenu-event.

	* mailalias.el (build-mail-aliases): Handle source directives.
	Handle MAILRC envvar.

	* flow-ctrl.el (enable-flow-control): Fix bugs turning off flow ctrl.

	* files.el (insert-directory): Use expanded file name to find handler.

	* dired.el (dired-get-filename): Get rid of text props from name.

	* simple.el (deactivate-mark): Do nothing unless transient-mark-mode.

	* ispell.el (ispell-command-loop): Fix `q' question.

	* derived.el (derived-mode-init-mode-variables): Add autoload cookie.

	* calendar.el (calendar-cursor-to-date): Rename starred-day
	to calendar-starred-day.

	* cal-menu.el (calendar-mode-map): Define mouse-2 as ignore.

	* frame.el (make-frame): Doc fix.

	* hexl.el (hexl-mode-map): Call define-key properly for help-char.

1994-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ediff.el (ediff-patch-buffer): Fix autoload cookie.

	* tcl-mode.el (tcl-mode): Copy syntax table before changing it.

1994-05-26  Michael D. Ernst  (mernst@research.microsoft.com)

	* dired-x.el (dired-jump): Autoload.

	* compare-w.el (compare-windows): Make leading whitespace equivalent
	to no leading whitespace, according to IGNORE-WHITESPACE argument.

1994-05-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-summary-catchup): Check gnus-interactive-catchup.
	(gnus-summary-catchup-and-exit): Likewise.

	* simple.el (completion-setup-function): Fix up the regexp.

	* menu-bar.el (menu-bar-mode): Fix previous change.

	* rmail.el (rmail-show-message):
	If transient-mark-mode, deactivate the mark.

	* edebug.el (edebug-emacs-19-specific): Call x-popup-menu
	to fill in cache of key equivalents.

1994-05-26  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* subr.el (posn-col-row): Test for consp, not symbolp.
	Doc fix.

1994-05-26  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el (fortran-link-matching-do): Ignore DO statements
	with line numbers.

1994-05-26  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* ws-mode.el (ws-search): Fix malformed character constants.

1994-05-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (kill-emacs-query-functions): Doc fix.

	* simple.el (choose-completion-string): Clear mouse-face property.

	* files.el: Add more risky-local-variable properties.

	* fill.el (fill-region-as-paragraph): If left-margin is nonzero,
	do adaptive-fill processing even for one-line paragraphs.

	* c-mode.el (c-fill-paragraph): Don't include part of comment
	terminator in the fill-prefix.

	* server.el (server-kill-emacs-query-function): Ignore killed buffers.

1994-05-24  Kenneth Manheimer  (ken.manheimer@nist.gov)

	* allout.el (outline-chart-subtree): Include outline-next-
	heading in loop conditions to detect end-of-buffer (and avoid
	infinite loop).

1994-05-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.24 released.

	* ange-ftp.el (ange-ftp-gwp-start): Call internal-ange-ftp-mode.

1994-05-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (interpreter-mode-alist): Add wishx, tclsh.
	Delete form, scope, shell.
	(set-auto-mode): Don't get confused by args after #! shell name.

	* frame.el (frame-initialize): Record in frame-initial-frame-alist
	the actual settings of vertical-scroll-bars.

	* buff-menu.el (Buffer-menu-mouse-select): Handle dedicated window.

	* lmenu.el (popup-menu): Bind cmd with let.
	(popup-dialog-box): Bind meaning with let.
	(current-menubar): Add defvar.

	* etags.el (select-tags-table-mode): New function, a major mode.
	(select-tags-table): Call that.
	(select-tags-table-mode-map): New variable.

	* mouse-sel.el (mouse-insert-selection): Test mouse-yank-at-point.
	(mouse-sel-insert-at-point): Variable deleted.

	* files.el (hack-one-local-variable): Check properly for `defun.

	* sendmail.el (mail-mailer-swallows-blank-line): Don't die
	if /etc/sendmail.cf does not exist.

	* lmenu.el (popup-menu): Use mouse-pixel-position.

1994-05-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (posn-col-row): Use let*.

	* allout.el, cal-french.el, complete.el, diary.el: Doc fix.
	* edebug.el, ediff.el, forms.el, gnus.el, hippie-exp.el: Doc fix.
	* holidays.el, imenu.el, inf-lisp.el, ispell.el, mail-hist.el: Doc fix.
	* makefile.el, nntp.el, refbib.el, refer.el, simula.el: Doc fix.
	* supercite.el, vip.el, ws-mode.el, term/x-win.el: Doc fix.

	* mouse.el (mouse-split-window-vertically): Treat scroll bar
	events just like others.

	* subr.el (posn-col-row): Do something useful for scroll bar event.

	* paths.el (rmail-spool-directory): Maybe use /var/mail.

	* jka-compr.el (jka-compr-compression-info-list): Doc fix.
	(jka-compr-op-table, jka-compr-file-name-handler-entry): Move defvars.

	* subr.el (substitute-key-definition): Skip cached menu key-equivs.

	* easymenu.el (easy-menu-create-keymaps):
	Renamed from easy-menu-keymap.  Callers changed.

1994-05-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el (shell-strip-ctrl-m): Strip multiple ^Ms.

1994-05-21  Michael D. Ernst  (mernst@research.microsoft.com)

	* dired.el (dired-mark-pop-up): Clear mouse-face property.

1994-05-21  Kevin Broadey  (KevinB@mended_drum)

	* foldout.el (foldout-exit-fold): Make numeric argument work;
	before, it always exited one fold.  Replace the Common Lisp `loop'
	construct with `while'.

1994-05-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Precompute menu bar before startup msg.

	* ispell.el: Doc fixes.

	* ispell.el: Lucid menu added.
	(ispell): New function.
	(ispell-region): Assure choices and checked buffer selections correct.
	reindented.
	(ispell-highlight-spelling-errors): Prefix ispell- to highlight fns.
	(ispell-complete-word): Heuristic to respect case of completed words.
	(ispell-command-loop): Non-character events ignored.  Reindented.
	(ispell-message): Various improvements.
	(ispell-init-process): `ispell-extra-args' added to allow personal
	customizations.

1994-05-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook):
	Always set show-paren-mismatch-face to symbol, not face vector.

	* dired.el (dired-readin): Clear modified flag at the very end.

	* server.el (server-done-hook): New hook.
	(server-buffer-done): Run it.

	* mouse.el (mouse-choose-completion):
	Include words separated by single spaces in the completion.

	* simple.el (choose-completion):
	Include words separated by single spaces in the completion.

	* ispell.el: Lots of doc fixes and message syntax fixes.
	(ispell-command-loop): For X, put point before
	the word being considered, and mention C-u M-$ in message.

	* bookmark.el (bookmark-file): Alternate default on ms-dos.

1994-05-20  Noah Friedman  (friedman@splode.com)

	* rsz-mini.el: Enable resize-minibuffer-mode when this file is loaded.

1994-05-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-drag-secondary): Handle mouse motion out of window
	as in mouse-drag-region.

	* ispell.el (ispell-word): Implement C-u $ as in ispell4.el.
	(ispell-command-loop): Make quit-char work like X.
	For C-z, run whatever it's bound to.

1994-05-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cal-menu.el (calendar-mode-map): Use calendar-goto-astro-day-number.

	* simple.el (completion-setup-function): Make highlight span
	single spaces.
	(choose-completion-delete-max-match): Handle completion-ignore-case.

	* gnus.el (gnus-group-unsubscribe-current-group):
	Fail nicely if no current group name.

	* avoid.el (mouse-avoidance-nudge-dist): Doc fix.

	* menu-bar.el (menu-bar-mode): Preserve window height.

	* vc-hooks.el (vc-mode-line): Do nothing if FILE is nil.

	* compile.el (compilation-goto-locus): Handle case where *compilation*
	is in a dedicated window.

	* ispell4.el (ispell-highlight): Do nothing unless window-system.

	* rmail.el (rmail-variables): Don't add any permanent-local props.
	Don't make rmail-last-file local.

	* rmailedit.el (rmail-edit-current-message): Undo previous change.

	* rmailout.el (rmail-output): Doc fix.

	* gnus.el: rmail-default-file renamed from rmail-last-file,
	rmail-default-rmail-file renamed from rmail-last-...

1994-05-19  Daniel Quinlan  (quinlan@bucknell.edu)

	* info.el (info-insert-file-contents): Avoid conflict with jka-compr.

1994-05-19  Boris Goldowsky  (boris@mink.cs.rochester.edu)

	* avoid.el: Doc fixes.
	(mouse-avoidance-nudge-mouse): Removed redundant
	bounds check on destination coordinates.

1994-05-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-done): Never kill buffer here.
	(server-buffer-done): Do it here, if temp file.

	* menu-bar.el (menu-bar-update-buffers): Record buffers' mod and
	read-only flags, and recompute if they change.

	* subr.el (posn-col-row): Doc fix.

1994-05-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-after-change-function): Fix typo in prev chg.
	(font-lock-mode): Use after-change-functions not after-change-function.

1994-05-17  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* tex-mode.el (tex-delete-last-temp-files): Don't fail on
	non-existent directory.

1994-05-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* soundex.el (soundex-alist): Put variable before fn that uses it.

1994-05-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.23 released.

	* gnus.el (gnus-group-mode-map): Fix typo in prev change.

1994-05-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (Man-heading-regexp): Accept multiple whitespace chars.

	* gnuspost.el (gnus-post-news): Handle followup-to field.

	* bookmark.el: Doc fixes.
	(bookmark-relocate): Rename arg.

1994-05-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (precompute-menubar-bindings): Don't precompute menus
	if not using x.

1994-05-12  Kenneth Manheimer  (klm@coil.nist.gov)

	* allout.el (outline-mode): Use outline-this-or-next-heading.
	* allout.el (outline-this-or-next-heading): New function.
	* allout.el (outline-mode): Fixed topic body reindentation scheme
	so programming code is not indented unless
	`outline-reindent-bodies' has value `force'.
	* allout.el (outline-infer-reindent-bodies): Implement above.
	* allout.el (outline-reindent-bodies): Doc fix.

	* allout.el (outline-init): New user interface for control of
	outline-mode session setup.  Sets up `outline-find-file-hook',
	`outline-layout', and `outline-auto-activation'.

1994-05-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el: Remove periods from messages.
	(Man-heading-regexp): Accept only one leading space.

	* tar-mode.el (tar-extract): Put tar name into subfile visited name.
	(tar-subfile-save-buffer): When updating the desc line,
	insert new text after, then delete.

	* ediff.el: Move menu bar defines to top level
	and split them among three top-level sexps.
	Make menu bar defines unconditional.
	Don't alter menu-bar-files-menu here; menu-bar.el does that.

1994-05-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-mode): Make font-lock-no-comments local.
	(font-lock-after-change-function): If we don't call
	font-lock-fontify-region, clear out face props instead.

1994-05-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cal-menu.el: Rewrite mouse-3 menu as a keymap.
	Move calendar-mouse-2-date-menu to down-mouse-2.

	* autoload.el (autoload-trim-file-name): Make it relative
	to the directory that loaddefs.el is in.

	* allout.el (outline-init): Delete junk at end.

	* texinfo.el (texinfo-show-structure): Fix subsubsection indent amount.

	* autoload.el (update-autoloads-here): Make just one shorter message.
	(batch-update-autoloads): Doc fix.

1994-05-12  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-update-buffers): Don't use string-match.

	* autoload.el (update-autoloads-here): Split up long message.

1994-05-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-fontify-buffer): Don't give "syntactically"
	message if we aren't doing that part.

	* gnus.el (gnus-group-mode-map, gnus-summary-mode-map):
	Add bindings for up and down keys.

	* dired.el (dired-mode-map): Get rid of dired-regexp-prefix;
	put the submap directly in the main map.

	* tar-mode.el (tar-extract): Don't clear out the buffer-file-name.
	Don't set list-buffers-directory.

1994-05-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (shell-command): Use buffer name *Shell-Command*.

	* gud.el (sdb): Handle tags-file-name as nil.

	* isearch.el (isearch-done): Don't call deactivate-mark.

1994-05-10  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* ediff.el (ediff-no-help-in-control-buffer): Renamed from
	ediff-nix-help-in-control-buffer, to match doc and usage.

	* autoload.el (update-file-autoloads): Delete leftover variable.

	* man.el (Man-reuse-okay-p): Doc fix.
	(Man-filter-list, Man-heading-regexp): Fix patterns.
	(Man-first-heading-regexp, Man-find-section): Likewise.
	(Man-getpage-in-background): Don't print ellipsis.
	(Man-bgproc-sentinel): Preserve match data.
	(Man-build-references-alist): Preserve restriction.
	(Man-bgproc-sentinel, Man-build-section-alist): Bind case-fold-search.
	(Man-next-section, Man-previous-section, Man-find-section): Likewise.
	(Man-goto-page): Fix interactive declaration.
	(Man-build-section-alist): Use match data, not bol/eol.
	(Man-build-man-command): Use manual-program, not hardcoded name.
	(Man-getpage-in-background): Likewise.

1994-05-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-registered): Use find-file-name-handler.

	* font-lock.el (font-lock-no-comments): New variable.
	(font-lock-after-change-function): Test it.
	(font-lock-fontify-buffer): Test it.
	(font-lock-set-defaults): Set it.

	* files.el (abbreviate-file-name): Add special case for ms-dos.
	Delete code that checked for abbreviated-home-dir ending in /;
	it never did anything.

	* ispell4.el (ispell-message): Add `ispell-message-text-end' and
	`ispell-message-limit'. Spell-check subject as well as body.

1994-05-10  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* cal-menu.el (calendar-mode-map): Change binding of Mouse-2.
	Bind Mouse-3.
	(calendar-event-to-date): Add optional error parameter.
	(calendar-mouse-print-dates): Fix first line to show day of year.
	(calendar-mouse-date-menu): Deleted; split into two parts.
	(calendar-mouse-2-date-menu, calendar-mouse-3-date-menu): The two
	new functions.

	* calendar.el (calendar-cursor-to-date): Fix error return.
	(calendar-iso-date-string): Repair punctuation.

1994-05-10  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* frame.el (frame-remove-geometry-params): Reverse the computed
	list, to preserve the original order of the elements.

1994-05-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texnfo-upd.el (texinfo-every-node-update)
	(texinfo-all-menus-update): Bind mark-active to t.

	* texinfo.el (texinfo-environment-regexp): Split lines.
	Add def..., ifset, ifclear.
	(texinfo-show-structure): Fix typo.

1994-05-10  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* files.el (file-chase-links): Delete redundant slashes.
	Match `..' only at start of string.

	* gud.el (gud-gdb-marker-filter, gud-mipsdbx-marker-filter)
	(gud-perldb-marker-filter): Allow marker string to arrive in
	mid-line.

1994-05-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (shell-command-on-region): Don't kill output buffer
	when in the one line case.

1994-05-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso-cvt.el (iso-gtex2iso-trans-tab): Reorder this list.

	* rmailsum.el (rmail-make-basic-summary-line): Get all the lines of
	the From field.

	* menu-bar.el (menu-bar-file-menu): Add Apply Patch and Compare Files.

	* ediff.el: Doc fixes.

1994-05-09  Michael D. Ernst  (mernst@monozygote.research.microsoft.com)

	* files.el (find-file-noselect): Suppress same-file warning if
	both filenames would print identically.

1994-05-08  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* cal-menu.el (calendar-mouse-set-mark): New function.
	(calendar-mouse-date-menu): Bind it to key.

1994-05-08  Kenneth Manheimer  (klm@coil.nist.gov)

	* allout.el (outline-init): New user interface for control of
	outline-mode session setup, sets up `outline-find-file-hook',
	`outline-layout', and `outline-auto-activation'.

	* allout.el (outline-mode-post-command-business, outline-mode)
	(outlineify-sticky): Major new mode activation
	scheme.  See outline-layout docstring for details.
	(outline-layout, outline-use-mode-specific-leader)
	(outline-mode-leaders): Variables for new mode-activation scheme.
	(outline-expose-topic): New specification format and
	optimizations, including thorough accommodation of multiple top-
	level topics.
	(outline-forward-current-level, outline-next-sibling)
	(outline-backward-current-level, outline-goto-prefix)
	(outline-show-children, outline-up-current-level)
	(outline-expose-topic): Behavior refinements and repairs, and
	speed optimizations.  Better accommodation for multiple top-level
	topics.
	(outline-recent-end-of-subtree): New state var,
	basis for many topic-oriented optimizations.

	* allout.el: Revisions of many docstrings, for conformance to
	gnu standards and/or clarity.

1994-05-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* calendar.el: Doc fixes.

	* cal-menu.el (calendar-mouse-print-dates): Add missing level of list
	for Islamic, Revolutionary and Mayan calendars.
	Delete duplicate entry for ISO calendar.
	(calendar-event-to-date): Set buffer in case calendar isn't current.

1994-05-08  David Kågedal  (davidk@lysator.liu.se)

	* tempo.el (tempo-insert-region, tempo-show-completion-buffer)
	(tempo-leave-completion-buffer): New variables.
	(tempo-complete-tag): Added a completion buffer mechanism.
	(tempo-display-completions): New function.
	(tempo-insert-template): An extension to the (p ...) tag
	enables named insertion for later insertion using a (s ...) tag.

1994-05-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (ignore): Allow interactive call.
	* loaddefs.el (global-map): Bind mouse-movement to ignore.

	* rmail.el (rmail-toggle-header): Call rmail-highlight-headers.

	* sendmail.el (mail-mailer-swallows-blank-line):
	Put space and tab into brackets.

1994-05-07  Morten Welinder  (terra@diku.dk)

	* hexl.el (dehexlify-buffer): Reflect that binary-process was
	renamed to binary-process-output.
	(dehexlify-buffer): Bind also binary-process-input (for ms-dos).
	(hexlify-buffer): Bind both binary-process-input and
	binary-process-output (for ms-dos).
	(hexl-save-buffer): Force binary save (for ms-dos).

1994-05-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* skeleton.el (mirror-mode): Commented out.

1994-05-06  Andreas Schwab  (schwab@issan.informatik.uni-dortmund.de)

	* asm-mode.el (asm-comment): Don't match newline.

	* dired-aux.el (dired-mark-subdir-files): Don't pass any arguments
	interactively.

	* echistory.el (Electric-history-undefined): Substitute
	`Helper-help', not `Help-for-help'.

	* forms.el (forms-mode): Set visited file name to nil to prevent
	overwrite and autosave.  The previous method didn't go far
	enough.

	* hexl.el (hexl-insert-char): Increment `address' for every
	character inserted.
	(hexl-mode-map): Add bindings for cursor keys.

	* hideif.el (hide-ifdef-syntax-table): New variable.
	(hif-tokenize): Use it.
	(hide-ifdef-mode): Don't clobber `c-mode-syntax-table'.

	* isearch.el (isearch-edit-string): Doc fix.
	(isearch-message-prefix): Initialize `isearch-within-brackets'.

	* resume.el: Provide 'resume.
	(resume-process-args): Bind `command-line-default-directory' for
	command-line-1.

	* shell.el (shell-backward-command): Fix regexp.

	* simple.el (minibuffer-history-sexp-flag): Doc fix.

	* terminal.el (terminal-edit-mode): Doc fix.
	(terminal-cease-edit): Reset the local keymap.

1994-05-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paths.el (rmail-spool-directory): On SCO 3.2v4, use /usr/spool/mail.

	* blessmail.el: If rmail-spool-directory is not a directory,
	just output an `echo' command to tell about it.

	* supercite.el (sc-cite-original): Add autoload.

	* backquote.el (backquote-backquote-symbol): Don't autoload defvar.
	(`): Write its name directly in the definition.  Use defalias.
	(backquote-list*): Define with defalias.

	* rmailsum.el (rmail-make-basic-summary-line):
	Show 14 chars before @ and 11 after.

1994-05-06  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* loadup.el: Don't precompute keybinding cache for menubar.
	* startup.el (normal-top-level): Do it here, after loading user files.
	* startup.el (command-line-1): Or here, if displaying startup message.
	* startup.el (precompute-menubar-bindings): New function.

	* menu-bar.el (menu-bar-file-menu): Change new-frame to
	make-frame, to agree with the keyboard binding.
	* mouse.el, man.el, lucid.el: Change new-frame to make-frame.

1994-05-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-start-process):
	Bind file-name-handler-alist to nil.

	* frame.el (frame-notice-user-settings): Wait till frame becomes
	visible before using its parameters.

	* imenu.el (imenu-default-create-index-function):
	Temporarily build in handling of a few major modes.
	(imenu--completion-buffer): Set completion-reference-buffer properly.

1994-05-05  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* loaddefs.el (completion-ignored-extensions): Change if to cond.

	* hilit19.el (hilit-lookup-face-create): Don't put string values
	into the global face-font data.

1994-05-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-notice-user-settings): Use geometry parms from frame
	when the initial specifications did not have them.

	* frame.el (frame-notice-user-settings): When replacing the first
	X frame, use the same geometry parms that were used to make it.
	(frame-remove-geometry-params):
	Treat user-size and user-position as geometry parms.
	Store all those parms into frame-initial-geometry-arguments.

	* simple.el (choose-completion-string): Barf if completing into
	a minibuffer but it's not now active.

	* rmailout.el (rmail-output-menu): Set rmail-default-rmail-file.
	(rmail-output-to-rmail-file): Doc fix.

1994-05-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-notice-user-settings): Discard `reverse' when
	making the replacement for the initial frame.  Put it on as nil.
	(new-frame): Use make-frame instead.

	* rmail.el (rmail-input-menu):
	Do nothing if rmail-secondary-file-menu return nil.
	Don't call expand-file-name.
	(rmail-secondary-file-menu): If no files match, warn and return nil.

	* rmailout.el (rmail-output-menu): Don't call expand-file-name.
	Do nothing if rmail-secondary-file-menu return nil.

	* imenu.el (imenu): Renamed from goto-index-pos.
	Add autoload.
	(imenu-prev-index-position-function): Renamed from prev-...
	(imenu-extract-index-name-function): Renamed from extract-...

	* gud.el (gud-marker-acc): Use make-variable-buffer-local.

	* outline.el (hide-sublevels): No need for condition-case.
	Don't call show-children if levels is 0.
	No need to check eob in while condition.
	Delete spurious setq of `first'.

	* frame.el (frame-initialize): Delete the code for reverse-video.
	x-create-frame-with-faces takes care of that.

1994-05-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-secondary-save-then-kill): Doc fix.

1994-05-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* backquote.el (backquote): Add autoloads.

1994-05-03  Per Abrahamsen  (abraham@eupectic.research.att.com)

	* lisp-mode.el: Removed duplicate ";;; Code: " section separator.
	(lisp-mode-variables): Added missing backslash to outline-regexp.

1994-05-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* autoload.el (update-directory-autoloads): Ignore files
	whose names start with =.  Bind enable-local-eval to nil.

1994-05-02  Morten Welinder  (terra@diku.dk)

	* isearch.el (isearch-case-fold-search): New possible value `yes'
	is like t except that mixed case in search string is ignored.
	(isearch-toggle-case-fold): New function.
	(isearch-search): Don't undo the work of isearch-toggle-case-fold.

1994-05-02  Lars Magne Ingebrigtsen  (larsi@dyggve.ifi.uio.no)

	* gnus-uu.el: Removed some keystrokes for obscure toggle commands:
	C-c C-v C-a, C-c C-v C-p, C-c C-v C-q and C-c C-v C-k.
	(gnus-uu-decode-and-save-all-unread-articles-and-mark): Fn deleted.
	(gnus-uu-decode-and-save-all-articles-and-mark): Fn deleted.
	(gnus-uu-do-sloppy-uudecode): Variable deleted.
	(gnus-uu-decode-and-save-articles): Rewritten.
	(gnus-uu-grab-articles, gnus-uu-uustrip-article-as): Rewritten to
	properly handle multiple encoded files in one gulp.
	(gnus-uu-uustrip-article-as): Replace spaces in file names with
	underscores before giving the file to uudecode.

	* gnus-uu.el (gnus-uu-save-in-digest): Doc fix.
	(gnus-uu-save-articles, gnus-uu-save-article)
	(gnus-uu-digest-and-forward, gnus-uu-marked-digest-and-forward):
	Changed old functions and added new functions to digest and
	forward articles.
	(gnus-uu-mark-thread): New function to mark a thread for later
	treatment.
	(gnus-uu-mark-by-regexp): Changed to add articles instead of
	clearing before adding.
	(gnus-uu-check-for-generated-files): First delete files, then
	directories.
	(gnus-uu-edit-begin-line, gnus-uu-decode-and-show-in-buffer):
	Select the current article before starting work.
	(gnus-uu-decode-and-view-all-unread-articles)
	(gnus-uu-decode-and-view-all-articles): Two new functions for
	decoding and viewing all (unread) articles in a newsgroup.

	* gnus-uu.el (gnus-uu-view-directory, gnus-uu-unpack-archives)
	(gnus-uu-treat-archive): gnus-uu will now treat archives in
	archives (etc) properly when viewing.

	* gnus-uu.el (gnus-uu-threaded-multi-decode-and-save)
	(gnus-uu-threaded-multi-decode-and-view): New interactive functions
	for decoding/saving threads.  Bound to `C-c C-v C-j'.
	(gnus-uu-save-article): Added RFC1153-compliant digest saving.

	* gnus-uu.el (gnus-uu-initialize): Does some checks and expands
	relative temp dir names.

	* gnus-uu.el (gnus-uu-decode-and-show-in-buffer)
	(gnus-uu-decode-and-strip, gnus-uu-grab-articles)
	(gnus-uu-decode-and-view-or-save): Allow multiple
	encoded files to be decoded (and viewed) in one fell swoop.
	(gnus-uu-work-dir): New variable.

	* gnus-uu.el (gnus-uu-view-file): Changed to work with metamail.
	(gnus-uu-get-action, gnus-uu-toggle-view-with-metamail): New functions.
	(gnus-uu-ext-to-mime, gnus-uu-view-with-metamail): New variables.
	(gnus-uu-ctl-map): Add C-a binding.
	(gnus-uu-summary-next-subject): Ensures that the next unread
	article is moved to.
	(gnus-uu-default-interactive-view-rules-end): New variable to
	provide a "catch-all" when using interactive mode.
	(gnus-uu-get-action): Changed viewing rules in interactive mode.

	* gnus-uu.el (gnus-uu-uustrip-article-as): Disabled
	case-fold-search and changed gnus-uu-body-line to be more
	restrictive.
	(gnus-uu-multi-decode-and-view-or-save)
	(gnus-uu-uustrip-article-as): Changed hard returns to \r.
	(gnus-uu-post-reply-mode): New mode for sending encoded files.
	(gnus-uu-post-news, gnus-uu-post-insert-binary-in-article)
	(gnus-uu-post-encode-uuencode, gnus-uu-post-encode-mime-uuencode)
	(gnus-uu-post-encode-mime, gnus-uu-post-make-mime)
	(gnus-uu-post-encode-file, gnus-uu-post-news-inews)
	(gnus-uu-post-insert-binary, gnus-uu-post-encoded): New functions.
	(gnus-uu-post-encode-method, gnus-uu-post-include-before-composing)
	(gnus-uu-post-threaded, gnus-uu-post-binary-separator): New variables.

1994-05-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): If CONT is stringp, use it
	for tags-file-name.  Don't bother calling tags-table-including
	when buffer-file-name is nil.
	(visit-tags-table): Signal error FILE is not stringp.
	Call visit-tags-table-buffer with FILE instead of 'same.
	(tags-next-table): When restoring state vars, set tags-file-name too.

	* etags.el (tags-find-table-in-list): Only recurse if
	(tags-included-tables) returns non-nil (avoid infinite recursion).

1994-05-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (Man-notify-when-ready): Don't call select-frame
	if no window system.

1994-05-02  Daniel Quinlan  (quinlan@bucknell.edu)

	* dired.el: Unspecified location of chown for Linux (Linux doesn't
	put chown in /etc).

1994-05-02  Per Abrahamsen  (abraham@eupectic)

	* double.el (double-translate-key): Changed 'delete to 127 to make
	the non-X11 version work.

1994-05-02  David M. Smith  (maa036@lancaster.ac.uk)

	* ielm.el (ielm-dynamic-multiline-inputs): New variable.
	(ielm-return): Support it.

	* ielm.el (ielm-print-working-buffer): New command.
	(ielm-change-working-buffer): New command.
	(ielm-display-working-buffer): New command.
	(ielm-map): Bindings for new commands; bindings from
	shared-lisp-mode-map; Lemacs support.

	* ielm.el (ielm-eval-input): Give bindings in scope during the eval
	non-clashing names (ielm- prefix).

	* ielm.el (ielm-get-old-input): New function.
	(inferior-emacs-lisp-mode): Bind it to comint-get-old-input.

1994-05-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el: Doc fixes.
	(hide-sublevels): Rewritten faster and simpler.

	* tex-mode.el: Doc fixes.

	* man.el (Man-notify-when-ready): In newframe case, use save-excursion.

	* tempo.el: New file.

	* mail-hist.el: New file.

	* mldrag.el: New file.

	* ielm.el: New file.

	* rsz-mini.el: New file.

1994-05-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso-cvt.el: New file.

	* replace.el (perform-replace): Call substitute-command-keys just once
	and only if querying.

	* term/x-win.el (x-handle-geometry): Specify user-position and
	user-size properties when appropriate.

	* solar.el (solar-degrees-to-hours, solar-hours-to-days):
	Force floating result.

	* blessmail.el: Don't load site-init.el.
	Print the mail directory we tested, on standard output.
	Don't load paths.el either--we now run in emacs, not temacs.

1994-05-01  Morten Welinder  (terra@diku.dk)

	* dos-fns.el (set-register-value): Setting the high byte of a
	register trashed the low byte.
	(set-register-value): Fixed test so the value 0 can be set.
	(set-register-value): Rewrote to use bit operations instead of
	multiplication and division.
	(register-name-by-word-alist, register-name-by-byte-alist):
	Combined into one list, register-name-alist.
	(register-value, set-register-value): Use combined list.
	(mode-line-format): Make the %n pure.

	* loaddefs.el (mode-line-format): Make the %n pure.

1994-04-30  Morten Welinder  (terra@diku.dk)

	* desktop.el (desktop-files-not-to-save): New variable to
	exclude certain files -- magic ftp names by default -- from
	being put into desktop files.
	(desktop-save-buffer-p): Check file name also.
	(desktop-save-buffer-p): For directories loaded by dired
	consider the directory to be the file name.
	(desktop-locals-to-save): Add line-number-mode to be saved when
	local.
	(desktop-remove): In case the desktop file cannot be deleted
	make sure that the desktop system is still inactivated.
	(desktop-kill): In case an error occurs when saving the desktop,
	offer to quit regardless.
	(desktop-save-buffer-p): Disregard case when testing file and
	buffer names against regexps.
	(desktop-buffer-dired): Display a warning if a directory no
	longer exists.
	(desktop-save-hook): New variable.
	(desktop-save): Run desktop-save-hook.
	(desktop-clear): Clear search history.
	(desktop-internal-v2s): Be more explicit when encountering an
	unprintable value.

1994-04-30  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-update-buffers): Fix misspelled variable.

1994-04-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el: Don't call menu-bar-mode here.

1994-04-30  Morten Welinder  (terra@tyr.diku.dk)

	* internal.el: Don't bind [mouse-1]; that's done elsewhere.
	Define lower-upper case correspondence for the three mostly
	used code pages.

1994-04-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* scroll-bar.el (scroll-bar-event-ratio): New function.

	* files.el (hack-one-local-variable): Silently execute eval
	if the form is a put of a harmless property with harmless args.

	* gnus.el (gnus-summary-mode-map): Bind # to gnus-uu-mark-article.
	(gnus-uu-mark-article): Autoload it from gnus-uu.

	* gnus.el (gnus-summary-mode-map): Bind C-c C-v to gnus-uu-ctl-map.
	(gnus-uu-ctl-map): Autoload it from gnus-uu.

1994-04-29  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* files.el (revert-buffer): Widen before replacing text.

1994-04-29  Kenneth Manheimer  (ken.manheimer@nist.gov)

	* allout.el: major code speedups, bug fixes, behavior
	   refinements, doc-string clarification and elaboration, etc.
	   Prominent new features include:
	 - Exposure changes and navigation are greatly accelerated.
	 - More elaborate and clear doc-string for outline-mode,
	   giving better guidance on use of the mode.
	 - A new exposure-layout syntax, which accommodates outlines
	   with multiple top-level topics.  (See `outline-expose' and
	   `outline-new-exposure'.)
	 - Automatic exposure and verification-prompting on attempts to
	   change text within concealed regions, before they are
	   applied.  (Undo affecting concealed regions is only
	   exposed, not verified, to facilitate smooth undo sequences.)
	 - 'hot-spot' navigation implemented.  When the cursor is on a
	   topic's bullet, regular-character keystrokes will be
	   interpreted as if they were preceded by ^C, when
	   appropriate, so users can navigate and adjust exposure,
	   etc, with single-stroke commands.
	 - Lucid emacs accommodated.

1994-04-29  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tags-table-parent-pointer-list): Doc fix; elts are now
	3-elt lists.
	(tags-next-table): Save tags-table-list in
	tags-table-parent-pointer-list and then set it to
	tags-included-tables.  Restore tags-table-list from
	tags-table-parent-pointer-list.
	(tags-find-table-in-list): Renamed from tags-table-list-member.
	Search included tables.  Take new arg MOVE-TO; if t, frob list
	pointers.
	(tags-table-including): Save tags-table-list in
	tags-table-parent-pointer-list.
	Set tags-table-list to the passed TABLES value.
	(visit-tags-table-buffer): When CONT is nil, pop all
	tags-table-parent-pointer-list state before doing anything else.
	Don't do list frobnication when CONT is 'same.  Call
	tags-find-table-in-list instead of tags-table-list-member; let it
	do list frobnication when it succeeds.

1994-04-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-update-buffers): Check whether frames ad
	buffers have actually changed; if not, do nothing.

1994-04-29  Morten Welinder  (terra@tyr.diku.dk)

	* desktop.el (desktop-internal-v2s): Default case fixed to
	return correct quote flag.
	Fix cons cell handling to avoid recursion in the cdr part.

1994-04-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-mode-line): Fix previous change.

1994-04-28  Michael D. Ernst  (mernst@monozygote.research.microsoft.com)

	* novice.el (disabled-command-hook): Try to enable command in user
	init file only if there is a user init file.

1994-04-28  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* lisp-mode.el (lisp-mode-variables): Undo previous change.

	* blessmail.el: Drop the trailing slash.

1994-04-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-help-menu): Add item for emacs-version.
	Add item for report-emacs-bug.

	* gud.el (gud-mips-p, gud-irix-p): Test system-configuration.

1994-04-27  Dave Love  (d.love@dl.ac.uk)

	* gud.el (gud-mipsdbx-marker-filter): Reimplemented based on
	gud-gdb-marker-filter, with regexps appropriately altered.
	(gud-marker-acc): New variable, replacing the
	debugger-specific accumulation variables.
	(dbx): On Irix, emit a marker so that the source is displayed initially
	with the marker at the first executable statement.

	* gud.el (dbx): Fix gud-break under SunOS, at least.  (I suspect
	this is a general problem, because of the \n for some reason.)

	* gud.el (gud-dbx-mips-p, gud-dbx-irix-p): Use system-type to
	choose system-dependent dbx incantations.

	* gud.el (gud-dbx-mips-p): Use "-emacs" for OSF/1 dbx as for MIPS.

	* gud.el (gud-irix-dbx-p): Determines whether to use (new)
	gud-irixdbx-marker-filter.
	(gud-irixdbx-marker-filter): New function.
	(dbx): Insert case for Irix.

1994-04-27  Ulrich Mueller  (ulm@vsnhd1.cern.ch)

	* case-table.el (describe-buffer-case-table): Don't use
	text-char-description.

1994-04-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el: Make a sub-keymap for the Buffers menu bar item.
	(menu-bar-select-buffer, menu-bar-select-frame):
	New commands for that subkeymap.
	(menu-bar-update-buffers): New function, on menu-bar-update-hook,
	made partly out of mouse-menu-bar-buffers.

1994-04-27  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* blessmail.el: Chase symlinks manually.

1994-04-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* blessmail.el: Get the file's truename in case it is a link.

1994-04-27  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* blessmail.el: Don't make an empty script.
	Use signal, not error.

1994-04-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (ange-ftp-completion-hook-function): Use new inhibit vars.

	* ange-ftp.el (ange-ftp-hook-function): Use ange-ftp-run-real-handler.
	(ange-ftp-run-real-handler): Inhibit ange-ftp-completion-hook-function
	as well as ange-ftp-hook-function.

1994-04-27  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Add fortran pattern.

1994-04-27  Noah Friedman  (friedman@splode.com)

	* yow.el: Added comment indicating author.

1994-04-26  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* faces.el (frame-update-faces): Unset old font.

1994-04-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* case-table.el: Don't modify text-mode-syntax-table.

	* ange-ftp.el (internal-ange-ftp-mode): Set comint-prompt-regexp
	and paragraph-start.

	* etags.el (tags-add-tables): Doc fix.

1994-04-25  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-scroll-msg-up)
	(rmail-summary-scroll-msg-down): Scroll rmail-buffer explicitly.

1994-04-25  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-next-error-locus): Use
	compilation-error-message instead of "Moved past last error" when
	MOVE is 1 (default value).

1994-04-25  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* desktop.el (desktop-internal-v2s): Make structure match docstring.

	* tar-mode.el (tar-copy): Don't bother with a temp buffer.

1994-04-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dos-fns.el (mode-line-format): Put `mode-line-process' earlier.
	(file-name-buffer-file-type-alist): Use nil or t, not 0 or 1.
	(find-buffer-file-type): Handle that change.

	* calendar.el (calendar-starred-day): Var renamed from starred-day.

1994-04-24  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmail.el (rmail-highlight-headers): Extracted as a new function.
	Fix overlay position.  Do nothing if face support is unavailable.

1994-04-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-mode-line): Warn if file is not vc-registered
	but is a symlink to a vc-maintained file.

	* tar-mode.el (tar-extract): Don't put whole file name in buffer name.
	Do put it in list-buffers-directory.
	Save mode line space when mentioning the tar file name.
	(tar-subfile-mode): Don't add anything to minor-mode-alist.

1994-04-24  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* shell.el (shell-dirstack-query): Defaults to nil.
	(shell-mode): Guesses shell-dirstack-query based on shell name.

1994-04-24  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* loaddefs.el (mode-line-format):
	* man.el (Man-mode-line-format):
	* tpu-edt.el (tpu-set-mode-line):
	* two-column.el (tc-mode-line-format):
	Put mode-line-process immediately after mode-name
	when setting mode-line-format.

	* cmuscheme.el (inferior-scheme-mode):
	* comint.el (comint-mode):
	* compile.el (compilation-setup, compilation-sentinel):
	* find-dired.el (find-dired, find-dired-sentinel):
	* gud.el (gud-mode, gud-sentinel):
	* inf-lisp.el (inferior-lisp-mode):
	* simple.el (shell-command):
	* terminal.el (terminal-cease-edit, terminal-mode):
	Remove space after `:' in mode-line-process.

1994-04-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* jka-compr.el: Doc fixes.
	(jka-compr-run-real-handler): New function.
	(jka-compr-handler): Call it, to reinvoke the Emacs primitive
	using the new inhibit protocol.

	* rmail.el (rmail-show-message): Always re-set overlay face property.

	* simple.el (kill-line, kill-word): Don't use save-excursion.
	(kill-read-only-ok): New variable.
	(kill-region): Handle that variable.  Handle read-only text property.

	* paragraphs.el (kill-paragraph): Don't use save-excursion.
	(backward-kill-paragraph): Likewise.
	(kill-sentence, backward-kill-sentence): Likewise.

	* rmail.el (rmail-show-message): Use overlays, not text properties.
	(rmail-overlay-list): New variable.
	(rmail-mode): Make it local.

	* subr.el (run-hooks): Don't use mapcar--save consing.

1994-04-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mail-extr.el (mail-extr-all-top-level-domains):
	Renamed from all-top-level-domains.

	* lisp-mode.el (lisp-mode-variables): In comment-start-skip,
	reject semicolon after a backslash.

	* frame.el (special-display-frame-alist): New variable.
	(special-display-popup-frame): New function.
	(special-display-function): Set it.

	* rmail.el (rmail-show-message): Highlight the specified fields.
	(rmail-highlighted-headers): New user variable.

	* ange-ftp.el (ange-ftp-add-file-entry-alist): Fix typo in prev change.

1994-04-22  Jamie Zawinski  (jwz@lucid.com)

	* mail-extr.el: Major changes by jwz and drw.

	* subr.el (run-hook-with-args): New function.

1994-04-22  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* undigest.el (undigestify-rmail-message): Update summary buffer.

1994-04-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el: Many doc fixes.

	* ange-ftp.el (ange-ftp-run-real-handler): New function.
	(ange-ftp-real-...): Use that.

	* ange-ftp.el (ange-ftp-gwp-start, ange-ftp-nslookup-host)
	(ange-ftp-start-process): Bind process-connection-type explicitly.

1994-04-22  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* hilit19.el: Don't treat $ as special if escaped.

1994-04-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse-sel.el (mouse-extend): Handle case where posn-window
	is a frame.

	* comint.el (comint-mode-map):
	comint-dynamic-list-input-ring now on C-c C-l.

	* faces.el (frame-update-faces): New function.
	* frame.el (set-default-font): Call frame-update-faces.
	* mouse.el (mouse-set-font): Simply call set-default-font.

	* font-lock.el (rmail-font-lock-keywords): New variable.
	(compilation-mode-font-lock-keywords): New variable.
	(font-lock-set-defaults): Use those vars in those modes.

	* startup.el (command-line-default-directory): New variable.
	(command-line, command-line-1): Use and set it.

	* time.el (display-time): Force use of pipe, not pty.

	* vc.el (vc-backend-diff): Test of cmp was backwards.

1994-04-22  Per Abrahamsen  (abraham@eupectic)

	* makefile.el (makefile-mode): Removed extra quote before
	makefile-warn-suspicious-lines.

1994-04-21  Boris Goldowsky  (boris@moose.cs.rochester.edu)

	* avoid.el (mouse-avoidance-point-position): New function, using
	new `compute-motion' functionality.  Use of this fixes bugs
	involving wrapped lines & horizontally-scrolled windows.
	* avoid.el: New avoidance mode, "exile", like "banish" but temporary.

	* avoid.el: Jump/animate modes now keep track of net offset that
	they have moved the mouse, and try to keep this near 0.  No longer
	wraps to other side of screen.
	* avoid.el (mouse-avoidance-mode): Update mode line.
	* avoid.el (mouse-avoidance-*-hook): Do nothing if inside kbd macro.

1994-04-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ispell.el (ispell-use-ptys-p): Doc fix.

	* gud.el (gud-filter): Call comint-output-filter at the end.

1994-04-21  Francesco Potortì  (pot@fly.cnuce.cnr.it)

	* cmacexp.el (c-macro-expansion): Changed the algorithm to allow
	__FILE__ and __LINE__ directives to be expanded correctly.
	(c-macro-expansion): Use a fourth optional argument DISPLAY meaning
	it should print messages at the start and end of preprocessing.
	All callers changed.
	(c-macro-expand): Don't display message here.

1994-04-21  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* info.el (Info-next-preorder): Don't follow footnotes here.
	(Info-mouse-follow-nearest-node, Info-follow-nearest-node): Split
	into mouse and keyboard versions.
	(Info-mode-map): Bind them to mouse-2 and RET.
	(Info-try-follow-nearest-node): Common subroutine.

	* ebuff-menu.el (Electric-buffer-menu-mouse-select): New function.
	(electric-buffer-menu-mode-map): Bind it to mouse-2.

1994-04-21  Per Abrahamsen  (abraham@research.att.com)

	* ispell.el (ispell-dictionary-alist): Renamed the entry for
	danish from "dansk" to "danish" in order to conform with reality.

1994-04-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gdb, sdb, dbx, xdb, perldb): Set paragraph-start.
	(gud-mode): Make paragraph-start buffer-local.

1994-04-21  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* comint.el (comint-mode): Set comint-last-input-start and
	comint-last-input-end to valid markers.

	* comint.el (comint-send-input): Use comint-output-filter to run
	functions on comint-output-filter-functions.

	* comint.el (comint-kill-output): Use delete-region to remove, and
	comint-output-filter to insert.

1994-04-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-kill-emacs-query-function)
	(server-kill-buffer-query-function): Give names to these hook fns.

	* sort.el (sort-subr): Use car-less-than-car when appropriate.

1994-04-20  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Fix references for column
	number, 3rd elt not 2nd.

1994-04-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile (TAGS): New target.
	(lisptagsfiles): New variable.

	* cmacexp.el: Doc fixes.
	(c-macro-expansion): Handle a and b comment styles.
	(c-macro-shrink-window-flag): Renamed from c-macro-shrink-window-p.
	(c-macro-prompt-flag): Renamed from c-macro-prompt-p.

	* cmacexp.el: Potortì's changes:
	Provide cmacexp.
	(c-macro-prompt-p): Var renamed from c-macro-always-prompt-p.
	(c-macro-cppflags): Var renamed from c-macro-default-cppflags.
	(c-macro-expand): Don't handle C-u C-u specially.
	Compute message here in var mymsg.
	Clear buffer-auto-save-file-name.
	(c-macro-display-buffer): Now takes no argument.
	Use point-max to get large number.
	(c-macro-default-message, c-macro-eval): Functions deleted.
	(c-macro-expansion): Use startinstring as the char to insert.

1994-04-19  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* startup.el (init-file-user): Doc fix.

	* blessmail.el: New file.

	* lisp.el (defun-prompt-regexp): Make this variable buffer-local.

	* emacsbug.el (report-emacs-bug): Insert at separator, not at end.

1994-04-18  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-rmail-update): Update rmail buffer
	even if it isn't displayed.

	* comint.el (comint-replace-by-expanded-history): Expand only at
	prompt.
	Pass SILENT flag to comint-replace-by-expanded-history-before-point.

1994-04-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (kill-buffer-query-functions): Fix the question text.
	(kill-emacs-query-functions): Fix typo in question text.

1994-04-18  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* outline.el (outline-end-of-subtree): Stop before final newline.

1994-04-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (shell-command-sentinel): Do nothing if buffer is dead.
	(shell-command-filter): If point was at end, leave it at end.

	* menu-bar.el (menu-bar-enable-clipboard): Construct new cons cells.

	* loaddefs.el: Move pop-global-mark bindings to this file.
	* simple.el: Move pop-global-mark bindings to loaddefs.el.

1994-04-17  Per Cederqvist  (ceder@signum.se)

	* hexl.el (hexl-mode): Make local binding for hexl-max-address.

1994-04-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* pascal.el (pascal-outline-map):
	Move pascal-outline-goto-defun to C-c C-d.

1994-04-16  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* debug.el (debug, debugger-eval-expression): Preserve match-data.

	* mouse.el (mouse-drag-region): Handle scroll off top/bottom.

1994-04-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* imenu.el: Require cl only at compile time.
	(imenu--mouse-menu): Copy list by hand, not with copy-list.

	* simple.el (auto-fill-function): New function (doc placeholder).

	* calendar.el (calendar-mode-map): Use substitute-key-definition.
	Don't mess with kill-region and copy-region-as-kill.

	* window.el (shrink-window-if-larger-than-buffer):
	Do nothing for side-by-side windows.

	* help.el (describe-mode): Always show minor modes, at front.

1994-04-15  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* mouse.el (mouse-set-font): Don't error if no selection.

	* startup.el (command-line): If no error data, print "", not nil.

	* emerge.el (emerge-goto-line): Fix return value.
	(emerge-convert-diffs-to-markers): Fix line number calculations.

	* files.el (basic-save-buffer): If selective-display is t,
	file may end in CR instead of LF.

	* comint.el: Doc fix.

1994-04-14  Lars Magne Ingebrigtsen  (larsi@bera.ifi.uio.no)

	* gnus-uu.el (gnus-uu-enter-interactive-file): Escape any special
	characters in file names.
	(gnus-uu-call-asynchronous, gnus-uu-treat-archive): Likewise.

	* gnus-uu.el (gnus-uu-uustrip-article-as): Added more corrections
	of corrupt uucode.
	(gnus-uu-uustrip-article-as): Changed the algorithm for finding
	begin/body lines of encoded articles.
	(gnus-uu-check-correct-stripped-uucode): Handle
	extraneous empty lines in uuencoded postings.

	* gnus-uu.el (gnus-uu-uustrip-article-as, gnus-uu-clean-up):
	Check before calling process-status.
	(gnus-uu-uuencode-and-post): Added possibly non-standard
	posting of uuencoded files.

1994-04-14  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* shell.el (shell-replace-by-expanded-directory): Don't display
	initial message.

	* shell.el: Properly use define-key-after to change menu-bar.

1994-04-14  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* comint.el (comint-replace-by-expanded-history-before-point):
	Advance point unconditionally.

	* shell.el (shell-dynamic-complete-as-command): Don't match
	ignored-extensions if it's nil.

	* rmailout.el (rmail-default-file, rmail-default-rmail-file):
	Cancel new defvars.

1994-04-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (make-face-x-resource-internal):
	Don't mess with terminal frames.

	* startup.el (command-line):
	Call face-initialize before frame-initialize.

	* faces.el (x-create-frame-with-faces): Create frame invisible,
	set up the faces, then make it visible.

	* saveplace.el (save-place-kill-emacs-hook): Fix typo.

1994-04-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (x-fixed-font-alist): Give multiple names for try
	for certain fonts.
	(mouse-set-font): Handle these.

	* files.el (find-buffer-visiting): Don't check buffer-file-number
	unless buffer-file-name is non-nil.

	* dired.el (dired-subdir-regexp): Allow a space in dir name.

	* rmailout.el (rmail-default-file, rmail-default-rmail-file):
	New defvars.

	* apropos.el (super-apropos-check-doc-file): Force Fundamental mode.

1994-04-13  Stephen Gildea  (gildea@stop.mail-abuse.org)

	* mh-e.el, mh-utils.el (mh-progs, mh-lib): Move from mh-e.el
	to mh-utils.el for Emacs 19.23, which doesn't define them in paths.el.

	* mh-utils.el (mh-find-progs): Add paths for BSDI.  Put local
	paths first so they override the system's paths.

	* mh-utils.el (with-mh-folder-updating): Optimize to keep
	buffer-file-name nil even while restoring modified-p status at end.

	* mh-e.el (mh-store-buffer): Autoload.  Better doc strings.

1994-04-13  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* comint.el (comint-dynamic-complete-as-filename): Simplify.

1994-04-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-bar-buffers): Put Frames pane behind Buffers.

1994-04-12  Ethan Bradford  (ethanb@ptolemy.astro.washington.edu)

	* ispell.el (ispell-message): Turn LIMIT into an integer,
	around ispell-region.

1994-04-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* edt.el (case-flip-character): Make case test more general.

	* ispell.el: Bind M-$.

	* subr.el (read-quoted-char): Convert meta chars into 128+ chars.
	* simple.el (quoted-insert): Do nothing special for meta chars.

	* backquote.el (backquote-process): Don't crash if ultimate
	expression is just a variable.

	* dired-aux.el (dired-add-entry): Set opoint at beginning of line.
	No need to explicitly discard directory from file name.

1994-04-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-move-to-filename-regexp): Match the year or time.
	(dired-move-to-filename): Simplify the code for that.

	* imenu.el (imenu): Renamed from goto-index-pos.

	* gnus-uu.el: Doc fixes.
	(gnus-uu): New function is placeholder for docs.
	(gnus-uu-summary-next-subject):
	Do sit-for before gnus-summary-recenter.

	* emerge.el (menu-bar-emerge-menu): Improve menu title.

	* edebug.el (eval-reg): Fix the require call.

	* eval-reg.el: Renamed from eval-region.el.  Fix the `provide' call.
	Doc fixes.

	* dired.el (dired-move-to-filename): Use skip-chars-forward
	instead of looking-at, for speed.

1994-04-11  Per Abrahamsen  (abraham@research.att.com)

	* makefile.el (makefile-mode): make-local-variable misspelled as
	make-local-file.

1994-04-11  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-process-filter): Call comint-output-filter.
	(ange-ftp-gwp-filter): Likewise.

	* gud.el (gud-filter): Let comint-output-filter do the hard work.

	* jka-compr.el (jka-compr-handler): Save match data.

	* comint.el (comint-dynamic-complete-as-filename): Save end of
	match before calling other functions.  Handle non-match too.

	* dired.el (dired-move-to-filename): Handle leading blanks.

	* subr.el (force-mode-line-update): Doc fix.

1994-04-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* easymenu.el (easy-menu-keymap): Don't append `...' to name.

1994-04-09  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* makeinfo.el (makeinfo-region): Fix name of tex-start/end-of-header.

1994-04-09  Daniel LaLiberte  (liberte@churchy.gnu.ai.mit.edu)

	* cust-print.el: Simplify top-level definition of defalias
	for Emacs 18.

	* edebug.el (keywordp): Remove definition.
	(edebug-form): Check whether keywordp is defined.

1994-04-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/lk201.el (function-key-map): Use f11, not \e.
	* term/vt300.el, term/vt320.el, term/vt400.el, term/vt420.el:
	Replace it with \e here.

	* files.el (inhibit-first-line-modes-regexps): Renamed from
	inhibit-local-variables-regexps.

1994-04-08  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsum.el (rmail-new-summary): Avoid unsafe save-restriction.

1994-04-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/lk201.el: Support kp-tab, kp-multiply, kp-add, kp-divide.

	* menu-bar.el (global-map): Bind function keys f16, f18 and f20,
	which Sun knows as copy, paste and cut.

	* lmenu.el (popup-dialog-box): New function.

1994-04-07  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* comint.el (comint-exec-1): Handle both termcap and terminfo.

	* simple.el (hscroll-window-column): New function.
	(hscroll-point-visible): Do the right thing in the hard cases.

	* telnet.el (telnet-initial-filter, read-password): Don't
	unnecessarily duplicate comint functionality.

1994-04-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* calendar.el: Many doc fixes.
	(general-holidays, *-holidays): Add risky-local-variable property.

	* cal-dst.el (calendar-daylight-savings-ends)
	(calendar-daylight-savings-ends): Add risky-local-variable property.

	* files.el (hack-one-local-variable): Treat varnames ending in
	-form or -forms like eval.
	(hack-one-local-variable): Test for risky-local-variable property.
	Put such properties on some variables, including minor-mode-map-alist.

	* edebug.el (edebug-version): Delete third arg of string-match.

	* term/x-win.el: If server is a Sun, call menu-bar-enable-clipboard.

1994-04-07  Frederic Pierresteguy  (fp@hal.gnu.ai.mit.edu)

	* rmail.el (rmail-secondary-file-menu): Fix typo.

1994-04-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): Doc fix.

1994-04-06  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-disable): New function.
	(rmail-summary-enable): New function.
	(rmail-summary-mode): Call rmail-summary-enable.
	* rmailedit.el (rmail-edit-mode): Disable summary during edit.
	(rmail-cease-edit): Re-enable summary.

	* replace.el (replace-regexp): Fix misbalanced quotes.

	* rmailsort.el (rmail-sort-by-keywords): New function.
	* rmailsum.el (rmail-summary-sort-by-keywords): New function.
	* rmail.el (rmail-mode-map): Key binding for rmail-sort-by-keywords.

	* info.el (Info-find-node): Don't try to backstep if no history.
	(Info-insert-dir): Print sensible error message if no dir node.

1994-04-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el: Doc fixes.

	* term/wyse50.el (kill-emacs-hook): Use add-hook.

	* saveplace.el (save-place-find-file-hook)
	(save-place-kill-emacs-hook): New functions.
	(hooks for find-file-hooks,kill-emacs-hook): Use those new functions.

	* menu-bar.el (clipboard-yank, clipboard-kill-ring-save)
	(clipboard-kill-region): New functions.  Give them
	menu-enable properties and bind the PASTE, COPY and CUT keys.
	(menu-bar-enable-clipboard): New function.

	* term/x-win.el (x-select-enable-clipboard): New variable.
	(x-select-text, x-cut-buffer-or-selection-value): Obey it.

	* term/x-win.el (x-handle-args): Doc fix.

1994-04-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (quoted-insert): Handle meta-chars usefully.

1994-04-05  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* dired-x.el: New version from maintainer.

1994-04-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* timer.el (timer-kill-emacs-hook): New function.
	(kill-emacs-hook): Add the new hook.

	* cc-mode.el: Large changes.

1994-04-05  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-goto-msg): Fix bug in earlier change.

1994-04-05  Daniel LaLiberte  (liberte@churchy.gnu.ai.mit.edu)

	* cust-print.el: Change install-* and uninstall-*
	to *-install and *-uninstall.

	* eval-region.el: Change install-* and uninstall-*
	to *-install and *-uninstall.

1994-04-04  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* man.el (manual-program): New (actually reintroduced) variable.
	(Man-getpage-in-background): Don't hardcode the program name.

1994-04-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (auto-save-mode): Don't let buffer-saved-size stay negative.

1994-04-04  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* calendar.el (calendar-cursor-to-date): Fix to signal error when
	appropriate.

1994-04-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* edebug.el (edebug-emacs-19-specific):
	Renamed from edebug-fsf19-specific.
	(edebug-emacs-version-specific): Test for not-version-18.

	* view.el (view-mode-map): Don't bind C-z.

1994-04-04  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* calendar.el (generate-calendar-month): Add mouse-face properties.
	* simple.el (completion-setup-function): Add mouse-face properties.

	* window.el (split-window-vertically): If size is negative,
	measure from bottom.

1994-04-04  Daniel LaLiberte  (liberte@spiff.gnu.ai.mit.edu)

	* edebug.el: Change "-emacs-" to "-original-" throughout.
	(edebug-last-sexp): Fix missing ";;".
	(edebug-read): Fix docstring, &optional arg,
	and the check that stream is current-buffer.
	(edebug-install-read-eval-functions): Use (elisp-eval-region-install).
	(edebug-uninstall-read-eval-functions): Restore to function values.
	(edebug-eval-defun): Repair check for edebug-all-defs.
	(edebug-top-level-form): Set edebug-all-defs to t.
	(edebug-read-and-maybe-wrap-form1): Call edebug-original-read
	instead of read.
	(edebug-enter): Bind pre-command-hook and post-command-hook to nil.
	Reset these variables and executing-macro to outside values.
	(edebug-display): Reset global variables to outside values.
	(edebug-recursive-edit): Reset global variables to outside values.
	(edebug-outside-excursion): Set outside values of global variables
	in case they were changed by side effect.
	(edebug-instrument-callee): Use edebug-original-read instead of read.
	(edebug-eval-result-list): While evaluating evaluation list,
	bind edebug-execution-mode and edebug-trace to nil.

1994-04-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* uncompress.el (uncompress-program): New variable.
	(uncompress-backup-file): Use it.
	(uncompress-while-visiting): Use that var.  Handle .gz suffix.
	(auto-mode-alist): Handle .gz suffix.
	(find-compressed-version): Handle .gz suffix.

1994-04-03  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* fortran.el (fortran-blink-matching-do): New function,
	basically copied from fortran-blink-matching-if.
	(fortran-indent-line): Call it.
	(fortran-mode): Doc mod.

1994-04-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (version-control): Doc fix.

	* rmailsum.el (rmail-summary-goto-msg):
	Highlight the whole line except first char.

1994-04-02  Karl Fogel  (kfogel@phylo.life.uiuc.edu)

	* saveplace.el (save-place-version-control): New var, for determining
	how to back up the master saved-places file.
	(save-place-alist-to-file): Bind version-control depending on
	`save-place-version-control'.
	(hook for find-file-hooks): Specify the APPEND arg to add-hook.

1994-04-01  Ethan Bradford  (ethanb@ptolemy.astro.washington.edu)

	* ispell.el (ispell-message): Fixed infinite loop on shortened msg.

1994-04-01  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* buff-menu.el (Buffer-menu-mode): Add mouse-face properties.
	(Buffer-menu-buffer-name-position): New function.

	* tar-mode.el (summarize-tar-header-block): Add mouse-face properties.

	* compile.el (compile-mouse-goto-error): Simplify.
	(compilation-parse-errors-function): Doc fix.

1994-04-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (occur): Add mouse-face property to each line.

	* dired.el (dired-insert-directory): Add mouse-face properties.
	(dired-insert-set-properties): New subroutine.
	* dired-aux.el (dired-add-entry, dired-insert-subdir-doinsert):
	Call dired-insert-set-properties.
	(dired-add-entry): Don't make name absolute; bind default-directory.

	* info.el (Info-fontify-node): Add mouse-face properties.
	Increase size limit for fontifying to 30000.

1994-03-31  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailkwd.el (rmail-message-label-p, rmail-parse-message-labels):
	Update obsolete (commented-out) functions.

1994-03-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* unrmail.el, rmailout.el: Doc fixes.

1994-03-31  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* man.el (Man-filter-list): New footer format to delete.

1994-03-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tar-mode.el: Fix error message syntax.
	(tar-mode): Doc fix.
	(tar-mouse-extract): New command.
	(tar-mode-map): Bind mouse-2.
	(tar-get-descriptor): New function.
	(tar-extract, tar-copy): Use that.
	(tar-mode-maybe-write-tar-file): Renamed from maybe-write-tar-file.

	* buff-menu.el (Buffer-menu-mouse-select): New command.
	(Buffer-menu-mode-map): Bind mouse-2.
	(Buffer-menu-mode): Doc fix.

	* replace.el (occur-mode): Doc fix.
	(occur-mode-goto-occurrence): Delete excess close paren.

	* dired.el (dired-mouse-find-file): Use same window.
	Renamed from ...-other-window.

1994-03-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (occur-mode-find-occurrence): New subroutine.
	(occur-mode-goto-occurrence): Use that.
	(occur-mode-mouse-goto): New command.
	(occur-mode-map): Bind mouse-2.
	(occur-mode-find-occurrence): Error if point is on first line.

	* compile.el (compile-mouse-goto-error): New command.
	(compilation-minor-mode-map): Bind mouse-2.

	* dired.el (dired-mouse-find-file-other-window): New command.
	(dired-mode-map): Bind mouse-2.

1994-03-29  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsort.el (rmail-sort-messages): Update summary buffer.
	(rmail-sort-messages): Use buffer-disable-undo, not buffer-flush-undo.
	* rmailsum.el (rmail-sort-from-summary): Preserve window selection.

1994-03-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-checkin): Undo previous change.

	* help.el (help): New alias.
	(help-for-help): Mention help character.
	(help-quit): New command.
	(help-map): Bind `q'.

1994-03-29  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): Don't loop forever at bobp.
	(calculate-c-indent, indent-c-exp): Test char against 0, not nil.

	* font-lock.el: Check for existence of windowing system.

	* files.el (hack-local-variables-prop-line): Search two lines if "#!".
	Ignore keyword `mode', since it's already been handled.

1994-03-28  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* debug.el (debug): Behave sensibly if pop-up-frames is set.

	* info.el (Info-suffix-list): Put empty string last.
	(info-insert-file-contents): Allow filename to already be suffixed.

1994-03-28  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* vc.el (vc-checkin): Insert name of current defun in comment buffer.
	* add-log.el (add-log-current-defun): Autoload this.

1994-03-28  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* forms.el (forms-mode): Set major mode before finding forms-file.

1994-03-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (basic-save-buffer-1): New subroutine, broken out of
	basic-save-buffer.
	(basic-save-buffer): Use basic-save-buffer-1.

	* bytecomp.el (byte-compile-file): Use whole file name for errors.

	* subr.el (momentary-string-display): Avoid modifying the undo list.

	* startup.el: Doc fixes.

1994-03-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (set-match-data): New alias.

	* mouse.el (mouse-choose-completion): Use choose-completion-string.
	(mouse-completion-delete-max-match): Moved to simple.el.

	* simple.el (choose-completion-delete-max-match): Renamed from
	mouse-completion-delete-max-match and moved here.
	(choose-completion-string): New function.
	(choose-completion): New command.
	(completion-list-mode-map): Add binding for choose-completion.
	(completion-setup-function): Mention RET.

	* vc-hooks.el (vc-find-file-hook): Set backup-inhibited.

	* files.el (set-visited-file-name): Kill local var vc-mode.
	Make buffer writable if was read-only due to vc.

1994-03-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Don't test for presence of dump-emacs.
	Use `dump' argument as criterion for copying DOC, for running
	top-level, and for extending the version number.
	Delete the sleep-for.

	* emerge.el (emerge-goto-line): New function.
	(emerge-convert-diffs-to-markers): Use it.

	* simple.el (blink-matching-open): Now three strategies for choosing
	the text to display when the matching open is off screen.

	* info.el (Info-insert-dir): Add a save-excursion.
	Require menu items for subnodes to end in ::.

1994-03-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gud-comint-buffer): Move defvar up.

1994-03-25  Rick Sladkey  (jrs@world.std.com)

	* gud.el (gud-gdb-complete-command): New defun to support true
	GDB completion in the GUD buffer.  Requires assistance from
	GDB in the form of the `complete' command.
	(gud-gdb-complete-in-progress, gud-gdb-complete-string)
	(gud-gdb-complete-break, gud-gdb-complete-list)
	(gud-gdb-complete-filter): New.
	(gdb): Bind TAB to gud-gdb-complete-command.

1994-03-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* easymenu.el: New file.

1994-03-24  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* apropos.el (apropos-match-keys): Skip duplicate keybindings.

	* menu-bar.el (mouse-menu-bar-buffers): Fix position structure.

1994-03-24  Daniel LaLiberte  (liberte@spiff.gnu.ai.mit.edu)

	* edebug.el: New version from author.

	* cust-print.el: Change "internal" to "original" throughout.
	(add-custom-printer, delete-custom-printer): Replace old
	customizers.
	(with-custom-print): New.
	(custom-prin1-to-string): Made it more robust.

1994-03-23  Simon Marshall  (simonm@penelope)

	* comint.el (comint-run): New command.
	(comint-watch-for-password-prompt): New function.
	(comint-mode, comint-show-output): Doc fix.

	* comint.el (comint-replace-by-expanded-history):
	Add menu-enable property.

	* shell.el (shell-strip-ctrl-m): New command.
	(shell-mode): Doc fix.
	(shell-dynamic-complete-as-command): Use
	comint-dynamic-simple-complete.

1994-03-23  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsort.el (rmail-sort-by-subject): Fix `Re:' regexp.

	* nroff-mode.el (nroff-mode-abbrev-table): Call define-abbrev-table.

1994-03-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-secondary-file-menu): Display relative file names.
	(rmail-output-menu): Autoload it.
	(rmail-mode-map): Add rmail-output-menu and rmail-input-menu.
	(rmail-quit): Remove summary buffer from display.
	Thoroughly remove Rmail buffer from display.

1994-03-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (where-is): New function.

	* sort.el (sort-subr): Add autoload.

	* asm-mode.el (asm-mode): Doc fix.

	* debug.el (debugger-eval-expression): Use a history list.

	* skeleton.el, sh-script.el: New files.

1994-03-21  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* register.el (jump-to-register): Handle dead marker.

1994-03-21  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Don't add any text to the
	ACTION-ALIST descriptions to make dialog box buttons.

1994-03-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (insert-directory): Quote special shell chars,
	aside from wildcards and quoting characters.

	* loaddefs.el (mode-line-buffer-identification): Doc fix.

1994-03-20  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* lmenu.el (make-lucid-menu-keymap): Any row of dashes means blank.

1994-03-20  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* sendmail.el (mail-mode): Doc mod.

1994-03-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* select.el (x-valid-simple-selection-p): Accept an overlay.
	(xselect-convert-to-string, xselect-convert-to-length)
	(xselect-convert-to-filename xselect-convert-to-charpos)
	(xselect-convert-to-lineno, xselect-convert-to-colno): Likewise.

	* subr.el (one-window-p): New argument all-frames.

	* map-ynp.el (map-y-or-n-p): Call x-popup-dialog the new way.

1994-03-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paths.el (mh-progs, mh-lib): Deleted.

	* tex-mode.el (tex-delete-last-temp-files): New arg NOT-ALL.
	(tex-region): Pass new arg.

	* help.el (help-with-tutorial): Change previous change;
	reduce threshold to 12 lines.

1994-03-18  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* iso-acc.el (iso-accents-list): Add entries for unadorned accents.

1994-03-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lmenu.el: Provide lmenu, not menubar.

	* rmailsum.el (rmail-summary-goto-msg): Highlight message number
	of current message.

1994-03-18  Michael D. Ernst  (mernst@research.microsoft.com)

	* lisp.el (beginning-of-defun-raw): Don't err when called at end
	of buffer.

1994-03-18  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* help.el (help-with-tutorial): Avoid unexplained large blank area.

	* disp-table.el (create-glyph): Don't use slots that look like ASCII.
	(standard-display-ascii): Error if using a windowing system.
	(standard-display-g1, standard-display-graphic): Ditto.
	(standard-display-underline): If window system, use underline font.

1994-03-18  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Generalize ultrix 3
	f77 regexp to match Absoft FORTRAN 77 errors.

	* replace.el (perform-replace): Set match-data markers to nil
	before discarding them.

	* map-ynp.el (map-y-or-n-p): Use a dialog box when triggered by a
	mouse event.

1994-03-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output-menu): New command.

	* rmail.el (rmail-summary-window-size): New variable.
	(rmail-maybe-display-summary): Use it.
	(rmail-secondary-file-directory): New var.
	(rmail-secondary-file-regexp): New var.
	(rmail-secondary-file-menu): New function.
	(rmail-input-menu): New command.

1994-03-18  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* telnet.el (telnet-maximum-count): Doc fix.

1994-03-17  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* term/x-win.el (x-cut-buffer-or-selection-value): Check for error
	from x-get-selection.

	* lisp.el (end-of-defun): Fix check for trailing comment.

	* lisp.el (beginning-of-defun-raw): New function.
	(end-of-defun): Handle defun-prompt-regexp correctly.

	* rmail.el (rmail-convert-to-babyl-format): Check Content-Length
	field for consistency.

1994-03-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (undo): Don't let the undo entries for the undo
	contain a specific buffer position.  Delete it if there is one.

	* foldout.el: New file.

	* version.el (emacs-version): Use system-configuration.

1994-03-15  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* man.el (manual-entry): Document what the arg does.

	* lisp.el (defun-prompt-regexp): Doc fix.

	* man.el (Man-original-frame): New variable.
	(Man-getpage-in-background): Save the frame that man was invoked in.
	(Man-notify-when-ready): Restore it, if appropriate.

1994-03-14  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* gud.el (gud-filter): Update comint-last-input-end.

	* man.el (Man-filter-list): Extend footer pattern for hpux.
	(Man-cooked-hook): New variable.
	(Man-bgproc-sentinel): Run Man-cooked-hook after cleaning backspaces.

1994-03-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* hilit19.el (LaTeX patterns): Don't match \( and \[ following a \.

	* man.el (Man-build-man-command): Redirect desc 2 to /dev/null.
	(Man-getpage-in-background): Require env before printing message.

	* mh-comp.el, mh-funcs.el, mh-mime.el, mh-pick.el, mh-seq.el,
	* mh-utils.el: New files.
	* mh-e.el: Version 4.0 from Gildea.

1994-03-14  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): Use printable escapes instead of
	embedding literal control chars in the source.
	* underline.el (underline-region, ununderline-region): Ditto.
	* edt.el (indent-or-fill-region): Ditto.
	* page-ext.el (original-page-delimiter, set-page-delimiter): Ditto.

	* register.el (view-register, insert-register): Handle dead marker.

1994-03-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* view.el (view-mode): Run view-mode-hook as well as view-hook.
	(view-mode-hook): New defvar.

1994-03-13  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* text-mode.el (text-mode): Doc fix.

1994-03-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* diff.el (diff-latest-backup-file): Call file name handler properly.

	* outline.el (hide-other, hide-sublevels): Renamed from outline-...

1994-03-11  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmailsort.el (rmail-sort-by-lines): msgnum variable should be msg.

	* appt.el: Doc fix.

	* add-log.el, ange-ftp.el, cplus-md.el, dired-aux.el, dired.el,
	* files.el, gnus.el, ispell.el, subr.el, texinfmt.el: Don't use
	triple-hyphen in a character class.
	* scheme.el (scheme-let-indent): Put hyphen in a safer place in
	the character class.
	* terminal.el (te-parse-program-and-args, te-quote-arg-for-sh): Ditto.

1994-03-11  Espen Skoglund  (espensk@lglab17.cs.uit.no)

	* pascal.el (pascal-indent-case): Handle comma separated list.
	(pascal-set-auto-comments): No comment after record block.
	(pascal-seperator-keywords): Renamed to pascal-separator-keywords.
	(pascal-get-lineup-indent): Handle multiple declarations on same line.

1994-03-10  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* mouse.el (mouse-kill): Select the clicked window first.

	* outline.el (outline-mode, outline-level): Doc fix.
	(outline-on-heading-p): Use bolp, not bobp.
	(outline-hide-other): Rename from hide-other.
	(outline-hide-sublevels): Rename from hide-sublevels.
	(outline-back-to-heading): Error if no previous heading.
	(outline-next-visible-heading): Check for search failure.
	(outline-hide-sublevels): Ignore text before first outline heading.
	(outline-level): Count characters, not columns, so ^L is level 1.

1994-03-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el (shell-dynamic-complete-as-command): Make ignored-extensions
	nil if comint-completion-fignore is nil.

	* files.el (find-buffer-visiting): Don't compare NUMBER if it is nil.

	* man.el (Man-filter-list): Don't insist on `...done' after `wait'.
	Match `Reformatting entry.  Wait'.

	* rmail.el (rmail-ignored-headers): Add several x400 header types.

	* ispell.el (ispell-pdict-save, ispell-kill-ispell, ispell-continue)
	(ispell-help): Add autoloads.

	* bookmark.el (kill-emacs-hook): Don't autoload this hook.
	(bookmark-menu-bar-delete, bookmark-menu-bar-rename)
	(bookmark-menu-bar-locate, bookmark-menu-bar-jump)
	(bookmark-menu-bar-insert): Add autoloads.

	* emerge.el (emerge-revisions, emerge-revisions-with-ancestor)
	(emerge-merge-directories): Add autoloads.

1994-03-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Preload menu-bar.
	Prescan the menu bar keymaps for keyboard equivalents.

	* term/x-win.el: Turn on menu-bar-mode.

	* autoload.el (generate-file-autoloads): Don't ignore the line
	after the form marked by a ;;;###autoload\n.

	* menu-bar.el: Delete the `>' from various menu item strings.

	* emerge.el (menu-bar-emerge-menu): Autoload the whole setup.
	* bookmark.el (menu-bar-bookmark-map): Autoload the whole setup.
	* ispell.el (ispell-menu-map): Autoload the whole setup.
	(ispell-dictionary-alist): Add autoload.
	(ispell-menu-map): Don't redefine if already defined.
	Don't test for menu-bar since this is now done before menu-bar.

1994-03-09  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* outline.el (outline-regexp): Initialize outside the defvar.

	* nroff-mode.el (nroff-mode): Deleted garbage character.

1994-03-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* text-mode.el (indented-text-mode): Run indented-text-mode-hook.

	* derived.el: Renamed from mode-clone.el.  All functions renamed.
	(define-derived-mode): Renamed from define-mode-clone.

1994-03-08  Simon Marshall  (simonm@penelope)

	* comint.el (comint-completion-fignore): New variable.
	(comint-dynamic-complete-as-filename): Use it.

	* shell.el (shell-completion-fignore): New variable.
	(shell-mode): Use it to set comint-completion-fignore.
	(shell-dynamic-complete-as-command): Use it.

1994-03-08  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* mouse.el (mouse-minibuffer-check): New function to disallow
	mouse events in an inactive minibuffer.  All relevant mouse
	functions changed to use it.

	* files.el (find-buffer-visiting): New function to look for
	another buffer visiting the same inode.
	(find-file-noselect): Use it instead of inline code.

	* apropos.el (super-apropos-check-doc-file): Use doc-directory
	instead of data-directory.
	(apropos, super-apropos): Doc fix.

1994-03-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* derived.el: Renamed from mode-clone.el.
	All functions renamed.
	(define-derived-mode): Renamed from define-mode-clone.

1994-03-08  Simon Marshall  (simonm@penelope)

	* comint.el (comint-completion-fignore): New variable.
	(comint-dynamic-complete-as-filename): Use it.

	* shell.el (shell-completion-fignore): New variable.
	(shell-mode): Use it to set comint-completion-fignore.
	(shell-dynamic-complete-as-command): Use it.

1994-03-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (etags-list-tags): Check for explicit tag names.

	* etags.el (etags-tags-completion-table): Let the line number or
	char pos be empty.
	(etags-snarf-tag): Look for line number as well as char pos.  Let
	either be empty; return both.
	(etags-goto-tag-location): Arg also contains line number.
	If char pos is nil, use line number.

1994-03-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-track-mouse): Undo previous change,
	but use byte-compile-top-level-body.

1994-03-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compile-reinitialize-errors): Rename first arg from
	ARGP to REPARSE.  Test only its nilness.
	(compile-goto-error): Pass (consp ARGP) to compile-reinitialize-errors
	instead of ARGP itself.
	(next-error): Code broken out into two new functions; call them.
	(compilation-next-error-locus): New function; bulk of code from
	next-error.  Silently skip errors whose source loci are markers in
	killed buffers.
	(compilation-goto-locus): New function, final code from next-error.

1994-03-07  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* gud.el (gdb): Use a minibuffer map with TAB to complete a filename.

	* simple.el (comment-column): Doc fix.

1994-03-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-choose-completion): Bury the completion buffer.

	* mouse-sel.el: Doc fixes.

1994-03-07  Mike Williams  (mikew@pooh.dosli.govt.nz)

	* mouse-sel.el (mouse-sel-insert-at-point): New variable.
	(mouse-insert-selection): Don't move point if
	mouse-sel-insert-at-point is non-nil.

1994-03-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* backquote.el (backquote-listify): Renamed from bq-listify.
	(backquote-process): Renamed from bq-process.
	(backquote-list*-function): Renamed from list*-function.
	(backquote-list*-macro): Renamed from list*-macro.
	(backquote-list*): Renamed from list*.

	* backquote.el: Complete rewrite by Sladkey.

1994-03-06  Michael D. Ernst  (mernst@monozygote)

	* edebug.el (edebug-skip-whitespace): Only \n, not \r, ends a comment.

1994-03-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* s-region.el: New file.

	* jka-compr.el (jka-compr-insert-file-contents): Handle 5th arg.

1994-03-04  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmail.el (rmail-message-filter): Doc fix.

1994-03-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-track-mouse): Handle >1 body form.
	Generate code that binds track-mouse.

	* font-lock.el (c++-font-lock-keywords-1, c++-font-lock-keywords-2):
	New variables.
	(c++-font-lock-keywords): Use c++-font-lock-keywords-1.

1994-03-04  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compile-goto-error): Push the mark before calling
	next-error.

1994-03-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (system-key-alist): Fix the code value for `remove'.

	* ange-ftp.el (ange-ftp-nslookup-host, ange-ftp-start-process):
	Bind default-directory to some accessible directory, if necessary.

1994-03-03  Michael D. Ernst  (mernst@research.microsoft.com)

	* bytecomp.el (byte-compile-insert-header): Take a filename argument.
	(byte-compile-from-buffer): Change second argument to filename.
	Always return outbuffer; never eval from it or kill it.
	(byte-compile-file): Pass filename to byte-compile-from-buffer.

1994-03-03  Karl Heuer  (kwzh@churchy.gnu.ai.mit.edu)

	* c-mode.el (c-fill-paragraph): Preserve final sentence boundary.

1994-03-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-input-filter-functions)
	(comint-output-filter-functions):
	Renamed from ...-sentinel-functions.

	* shell.el: Rename comint-input-filter-functions and
	comint-output-filter-functions.
	(shell-mode): Put dir tracker on comint-input-filter-functions,
	not ...output...
	(shell-directory-tracker, shell-process-popd):
	Call just error, not message and error.

1994-03-03  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* cmuscheme.el (inferior-scheme-mode): Removed unnecessary
	initialisation of comint-input-sentinel.

	* shell.el (shell-dynamic-complete-functions): New variable.
	(shell-mode): Use it to set comint-dynamic-complete-functions.

	* shell.el (shell-mode-map): Define menu-bars for command,
	variable and directory completion/expansion.

	* shell.el (shell-get-current-command, shell-after-partial-filename):
	Functions deleted.

	* shell.el (shell-dynamic-complete-environment-variable)
	(shell-replace-by-expanded-directory): New commands.
	(shell-match-partial-variable)
	(shell-dynamic-complete-as-environment-variable): New functions.

	* comint.el (comint-after-partial-filename-command)
	(comint-dynamic-complete-filename-command)
	(comint-dynamic-complete-command-command)
	(comint-get-current-command): Deleted.

	* comint.el (comint-input-sentinel-functions):
	Replaces comint-input-sentinel.
	(comint-input-sentinel): Deleted.
	(comint-send-input): Run hooks on comint-input-sentinel-functions.
	(comint-output-sentinel-functions):
	Renamed from comint-output-filter-functions.

	* comint.el (comint-dynamic-complete-functions): New variable.

	* comint.el (comint-mode-map): Removed menu-bar for command and
	variable completion.

	* comint.el (comint-exec-1): Add to environment by hand;
	avoids using setenv.

	* comint.el (comint-replace-by-expanded-history-before-point):
	Renamed from comint-replace-by-expanded-history.
	(comint-replace-by-expanded-history): New wrapper definition.

	* comint.el (comint-word): New function.
	(comint-match-partial-filename): Use it.
	(comint-after-partial-filename, comint-match-partial-variable)
	(comint-dynamic-complete-variable): Deleted.

	* comint.el (comint-dynamic-complete):
	Run hooks on comint-dynamic-complete-functions.

	* comint.el (comint-dynamic-complete-as-filename): Renamed from
	function comint-dynamic-complete-filename.
	(comint-dynamic-complete-filename): New wrapper definition.

	* comint.el (comint-dynamic-simple-complete):
	Return a symbol representing completion.

1994-03-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Move misplaced paren in
	match clause of cond so copying the rest of the line to the output
	is the else clause of if (eolp), not after the if.

1994-03-03  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* server.el (server-switch-buffer): Don't select a minibuffer.

1994-03-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-on-heading-p): Use bolp.
	(show-children): Use outline-back-to-heading.
	(outline-next-preface): Don't retreat over \n or ^M if no more headers.

	* simple.el (current-word): Check properly for bolp.
	New optional arg STRICT.  Doc fix.

1994-03-03  Christian Lynbech  (lynbech@daimi.aau.dk)

	* appt.el: Better use add-hook than setq when setting display-time-hook.

1994-03-03  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* files.el (buffer-file-truename): Doc fix.

	* subr.el (substitute-key-definition): Avoid infinite recursion.

1994-03-02  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* lunar.el (lunar-phase): Use calendar-mod instead of % so that it
	works for negative phase numbers.

1994-03-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (completion-list-mode): Set completion-reference-buffer
	to the buffer for which the completions were requested.
	(completion-reference-buffer): New variable.

	* mouse.el (mouse-choose-completion): Use that as the buffer to edit.

	* comint.el (full-copy-sparse-keymap): Function deleted.
	(comint-arguments): Use just one regexp to find end of arg
	and detect whether it has any quotes.
	(comint-delim-arg): Don't check for quotes.  Use loop, not regexps.
	(comint-delimiter-argument-list): List now has chars, not strings.
	* shell.el (shell-delimiter-argument-list): Now has chars, not strings.
	* telnet.el (telnet): Use chars in comint-delimiter-argument-list.

	* shell.el (shell-mode-map): Use copy-keymap.
	(shell-dirtrackp): Variable definition added.

	* inf-lisp.el (inferior-lisp-mode-map): Use copy-keymap.
	* cmuscheme.el (inferior-scheme-mode-map): Use copy-keymap.

	* comint.el (comint-mode-map): Rename `input' to `inout' as menu key.
	Don't put `output' in menu-bar-final-items.

1994-03-02  Espen Skoglund  (espensk@stud.cs.uit.no)

	* pascal.el (pascal-calculate-indent): Fixed indentation bug
	in for-loops, with-structures and else-structures.
	(pascal-noindent-re): Add `else'.

1994-03-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* diff.el (diff-latest-backup-file): Check for a file-name-handler
	and run it.

1994-03-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* makefile.el (makefile-mode): Set local-write-file-hooks,
	not write-file-hooks.

1994-03-02  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* faces.el (copy-face): Don't change old-face and new-face before
	the frame loop.

	* term/x-win.el (iconify-or-deiconify-frame): Don't make invisible
	before making visible.

1994-03-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tags-add-tables): Change default value to 'ask-user;
	update doc.
	(visit-tags-table-buffer): If tags-add-tables is nil, never add to
	current list; if t, always; if non-nil, non-t, ask user.

1994-03-02  Thomas Neumann  (tom@smart.bo.open.de)

	* makefile.el: Version 1.16.
	(makefile-mode): Correct `make-variable-buffer-local' to
	`make-local-variable'.  Set indent-tabs-mode to t.

	* makefile.el (makefile-insert-macro-ref): Do not append a space
	to the inserted macro reference.
	(makefile-insert-macro-ref): Likewise if the reference is to
	one of makefile-runtime-macros-list.
	(makefile-format-macro-ref): If the name of the macro ref
	starts with a '(' or '{' then the enclosing parentheses are not added.

	* makefile.el (makefile-warn-suspicious-lines): New function.

	* makefile.el: Changed mode name to "Makefile" instead of "makefile".

1994-03-01  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* term/x-win.el (iconify-or-deiconify-frame): Force temporary
	invisibility even if this is the only frame.

1994-03-01  Ed Reingold  (reingold@goldman.gnu.ai.mit.edu)

	* calendar.el (calendar-current-date): Use fixed assoc list for
	month names so that changing the array of names doesn't screw up
	the determination of the current date.

1994-03-01  Ethan Bradford  (ethanb@ptolemy.astro.washington.edu)

	* ispell.el (ispell-message-text-end): New variable.
	(ispell-message): Use ispell-message-text-end.
	Spell check all of a multi-line subject.
	Correct bug whereby internally generated messages were not recognized.

1994-03-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Don't write a newline before the text.

	* pascal.el (pascal-sub-block-re): Recognize for and with.

1994-03-01  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* info.el (Info-restore-point): Don't wipe out hl before using it.

	* picture.el (picture-forward-column, picture-backward-column):
	Allow backward motion across multi-column characters.

1994-02-28  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* startup.el (inhibit-startup-echo-area-message): Doc fix.

	* two-column.el (tc-mode-map): Fix binding of tc-dissociate.

1994-02-26  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* avoid.el: Fix comment typos.

1994-02-25  Michael D. Ernst  (mernst@monozygote)

	* menu-bar.el (menu-bar-mode): Make menu-bar-mode without an
	argument toggle display of a menu bar.

1994-02-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (system-key-alist): Renamed from vendor-key-syms.

1994-02-25  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* comint.el (comint-exec-1): Force a local copy of the environment.

	* font-lock.el: Clean up c-font-lock-keywords; now slightly more
	consistent about highlighting declarations.

1994-02-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cmacexp.el (c-macro-display-buffer): Delete special view-mode hack.
	(c-macro-expansion): Parse from 1 to START just once.
	Avoid counting lines.  Use ???!!!???!!! to mark start of
	the region we want to look at.

1994-02-24  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* files.el (set-visited-file-name): Unlock the file if setting the
	visited file name to nil.

	* buff-menu.el (Buffer-menu-toggle-read-only): Change
	toggle-read-only to vc-toggle-read-only.

	* help-macro.el (make-help-screen): Initialize help-screen before
	changing the keymap.
	* help.el (help-for-help): Use help-map in the docstring.

1994-02-24  Hans Chalupsky  (hans@hydra.cs.buffalo.edu)

	* bytecomp.el (byte-compile-protect-from-advice): New macro that
	temporarily deactivates advice of `defun/defmacro' while BODY is run.
	(byte-compile-from-buffer, byte-compile-top-level): Use
	`byte-compile-protect-from-advice' to protect compilation.

1994-02-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (c-mode): Set outline-regexp and outline-level.
	(c-outline-level): New function.

	* nroff-mode.el (nroff-mode): Set outline-regexp and outline-level.
	(nroff-outline-level): New function.

	* lisp-mode.el (lisp-mode-variables): Set outline-regexp.

	* outline.el (outline-minor-mode-prefix): Change to C-c C-o.
	(hide-sublevels, hide-other): New functions.
	(outline-mode-map): New key bindings.  New menu bindings.

	* macros.el (insert-kbd-macro): Handle C-@, C-[, etc. properly
	and their meta variants too.

1994-02-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (kill-emacs-query-functions, kill-buffer-query-functions):
	Add functions to these lists.

	* files.el (kill-emacs-query-functions): New variable.
	(save-buffers-kill-emacs): Use it.

	* info.el (Info-build-node-completions): Add a call to widen.
	(Info-goto-emacs-command-node): Fix paren error.  Fix typo in message.
	(Info-restore-point): Use iteration instead of recursion.

	* debug.el (debug, debug-on-entry): Doc strings.

1994-02-23  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-file): Return nil on failure.

1994-02-23  Gregor Schmid  (schmid@fb3-s7.math.tu-berlin.de)

	* tcl-mode.el (tcl-mode-menu): Move defvar.
	New order for menu entries.

1994-02-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tcl-mode.el (tcl-mode): Handle files that don't start with #.
	(tcl-mode-menu): New keymap.
	(tcl-setup-keymap): Use tcl-mode-menu.

	* mouse.el (help-menu-map): Variable deleted, and its binding.
	(mouse-select-window): New command, now on mode-line mouse-1.
	(mouse-delete-other-windows): Now on mode-line mouse-2.
	(mouse-split-window-horizontally): Now on mode-line C-mouse-2.

	* subr.el (posn-x-y): New function.
	(posn-col-row): Convert coords from pixels to glyph units.

1994-02-22  Jay K. Adams  (jka@mustang.ece.cmu.edu)

	* jka-compr.el (jka-compr-partial-uncompress): Make dd give you
	one more block than you think you need.

	* jka-compr.el (jka-compr-dd-blocksize): Change default value to 256.

1994-02-22  Hans Chalupsky  (hans@hydra.cs.Buffalo.EDU)

	* advice.el: Removed all support for Emacs-18:
	Removed autoload for `backquote'.
	Removed arglist specifications for `documentation' and `fset'.
	(ad-emacs19-p, ad-use-jwz-compiler): Removed these variables.
	(ad-lemacs-p, ad-v19-compiled-p, ad-subr-arglist)
	(ad-make-advised-docstring): Removed reference to `ad-emacs19-p'.
	(ad-compiled-p): Renamed from `ad-v19-compiled-p'.  Removed old
	definition of `ad-compiled-p'.
	(ad-compiled-code): Renamed from `ad-v19-compiled-code'.
	(ad-arglists, ad-docstring, ad-interactive-form): Use new names.
	(ad-body-forms): Always return nil for compiled definitions.
	(ad-compile-function): Simplified, because the v19 incarnation of
	`byte-compile' can compile macros.
	(ad-real-byte-codify): Removed.
	(ad-execute-defadvices): Removed. The `defadvice's it contained
	are now at the top level.
	(ad-advised-byte-code-definition): Renamed to `ad-advised-byte-code'
	and removed the definition of `ad-advised-byte-code' via `fset'.
	(ad-advised-byte-code-definition, ad-recover-byte-code)
	(ad-stop-advice, ad-recover-normality): Removed
	`ad-real-byte-codify'-cation of their definitions.
	(ad-adjust-stack-sizes): Removed.
	(ad-enable-definition-hooks, ad-disable-definition-hooks):
	Removed v19 conditionalization.

	* advice.el: Fixed the problematic interaction between the
	byte-compiler and Advice when `ad-activate-on-definition' was t which
	resulted in erroneous compilation of nested `defun/defmacro's:
	(byte-compile-from-buffer, byte-compile-top-level): Advised
	to temporarily deactivate the advice of `defun/defmacro'.
	(ad-advised-definers, ad-advised-byte-compilers): New variables.
	(ad-enable-definition-hooks, ad-disable-definition-hooks):
	En/disable the advised byte-compiler entry points.

	* advice.el (defadvice): Implement a `freeze' option which expands
	the `defadvice' into a redefining and dumpable `defun/defmacro'
	whose documentation can be written to the `DOC' file. Frozen
	advices cannot be undone, hence, they do not need any Advice
	runtime support.
	(ad-defadvice-flags): Add `freeze' flag.
	(ad-make-advised-docstring, ad-make-single-advice-docstring):
	New STYLE option for `plain' and `freeze' styles. Slightly
	changed the default formatting of advised docstrings.
	(ad-make-plain-docstring, ad-make-freeze-docstring): New functions.

	* advice.el (ad-recover-all, ad-scan-byte-code-for-fsets):
	Removed unused condition variable `ignore-errors'.

	* advice.el (ad-save-real-definition): New macro to save real
	definitions of functions used by Advice.
	Use `ad-save-real-definition' to save definitions of `fset',
	`byte-code' and now also `documentation'.
	(ad-subr-arglist, ad-docstring, ad-make-advised-docstring):
	Use `ad-real-documentation' to avoid interference with the
	advised version of `documentation'.

	* advice.el (ad-execute-defadvices): Copy advice infos.

	* advice.el (ad-start-advice-on-load): Default changed to t.

1994-02-22  Ed Reingold  (reingold@mole.gnu.ai.mit.edu)

	* calendar.el (calendar-cursor-to-date): Fix to handle starred
	days correctly.

1994-02-22  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* rmail.el (rmail-insert-inbox-text): Recognize the spool
	directory even if symlinks are present.

1994-02-21  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* window.el (shrink-window-if-larger-than-buffer): Don't shrink if
	the window that would expand is the minibuffer.

1994-02-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* picture.el (picture-mode-map): Replace delete-backward-char
	like backward-delete-char-untabify.

1994-02-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cal-mayan.el (calendar-string-to-mayan-long-count): Don't
	assume that periods must end numbers.  Look for digit runs explicitly.

	* subr.el (substitute-key-definition): Don't discard menu strings.

	* lisp.el (lisp-complete-symbol): Doc fix.

	* mouse.el (mouse-delete-max-match): Set len properly.

	* jka-compr.el: New file.

	* double.el: New file.

	* gud.el (gud-mode): Define C-c C-l in gud buffer.

	* soundex.el: New file.

1994-02-18  Paul Eggert  (eggert@twinsun.com)

	* (vc-lookup-triple): Yield nil, not "", if version name is nil.

1994-02-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-insert-file-contents): New arg REPLACE.

	* lmenu.el: Delete the code to enable menu bars.

	* lisp.el (defun-prompt-regexp): Now a user variable.

	* files.el (revert-buffer): Use new insert-file-contents replace arg.

1994-02-17  Noah Friedman  (friedman@splode.com)

	* files.el (interpreter-mode-alist): Add entries for awk, gawk, and
	scm scripts.

1994-02-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Tighten up Ultrix
	3.0 f77 regexp to exclude : from file names; avoids lossage when :
	appears in error text.

1994-02-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (recover-file): Call auto-save-file-name-p correctly.

	* cplus-md.el (c++-mode): Set parse-sexp-ignore-comments to t.

1994-02-16  Stephen Gildea  (gildea@stop.mail-abuse.org)

	* time-stamp.el (time-stamp-start): Allow more white space
	between keyword and time stamp.

1994-02-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (face-try-color-list): Don't rely on errors from using
	a color that the server can't really support.

1994-02-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (interpreter-mode-alist): New variable.
	(set-auto-mode): Use that for choosing a mode.

1994-02-14  Karl Heuer  (kwzh@geech.gnu.ai.mit.edu)

	* simple.el (current-word): Remove (interactive).

1994-02-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-mailer-swallows-blank-line): Fix regexp typo.
	Check for apparent header line as well as for leading whitespace.

1994-02-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (undo, yank): Set this-command to t at start,
	and set it correctly at the end.

	* startup.el (inhibit-startup-echo-area-message): New variable.
	(command-line-1): Undo prev change.
	New test for whether to suppress echo area message.
	Update copyright year in displayed message.

	* faces.el (face-initialize): Specify default characteristics
	for the standard faces.  Use face-fill-in to set up existing frames.
	(face-fill-in, face-try-color-list): New subroutines.
	Handle underline, foreground and background in the
	frame-independent info of a face.
	(x-create-frame-with-faces): Use face-fill-in.
	(x-initialize-frame-faces): Function deleted.

1994-02-11  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* apropos.el (super-apropos-check-doc-file): Don't attempt to
	retrieve function documentation from a symbol with no function
	binding.

1994-02-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* perl-mode.el (perl-mode): Set parse-sexp-ignore-comments.

1994-02-11  Paul Eggert  (eggert@twinsun.com)

	* editfns.c (init_editfns): Look at LOGNAME before USER.
	* fileio.c (Fsubstitute_in_file_name): Remove long-dead code
	that looked at USER before LOGNAME.

	* time.el (display-time-filter): Remove unnecessary (getenv "LOGNAME")
	and (getenv "USER"), since (user-login-name) already does this.
	* gnuspost.el (gnus-inews-login-name): Likewise.
	* gnus.el (gnus-user-login-name): Fix doc string accordingly.
	* subr.el (user-original-login-name): Reduce to a defalias, since
	it's redundant with user-login-name.  All callers changed to use
	user-login-name.

1994-02-11  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* replace.el (perform-replace): Check for empty stack.

	* completion.el: Fix spelling of pre-command-hook.

	* simple.el: Fix syntax used for C-SPC.

1994-02-11  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (etags-goto-tag-location): First go directly to
	STARTPOS and see if PAT is right there.

1994-02-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el (shell-get-current-command): Make regexp more selective.

1994-02-10  David Megginson  (dmeggins@aix1)

	* mode-clone.el (clone-init-mode-variables): Don't defvar
	variables if already bound.  Put on clone-unmerged props if
	they were not bound.
	(clone-make-docstring): Install the map unconditionally;
	set clone-unmerged property to nil.  No clone-merged property.
	(clone-set-syntax-table): Set clone-unmerged prop, not clone-merged.
	(clone-set-abbrev-table): Call clone-merge-abbrev-tables.
	Don't touch properties here.
	(clone-merge-keymaps): Splice out the `keymap' of the OLD map.
	(clone-merge-abbrev-tables): New function.

1994-02-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-start-end): For double click with START on openparen,
	start forward scan from START.

1994-02-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (lisp-font-lock-keywords-2): Quote the * in let*.

1994-02-09  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* outline.el (outline-mode): Fix spelling of add-hook.

	* vc.el (vc-comment-to-change-log): Load add-log before binding
	add-log-current-defun-function.

	* mouse.el (mouse-start-end): Check START rather than point for
	being at eob.

1994-02-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-program): Use expand-file-name.

	* time.el (display-time): Use expand-file-name to make
	file name of wakeup.

	* novice.el (disabled-command-hook): Use eq to compare elts
	of this-command-keys.  Choose the appropriate kind of Meta.

1994-02-08  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-expunge-and-save): Mark summary buffer as
	unmodified.
	* rmailsum.el (rmail-summary-expunge-and-save): Likewise.

	* rmailout.el: Add (require 'rmail) so the macro will be
	byte-compiled properly.

1994-02-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (show-children): Don't narrow to (1+ (point-max)) when
	exposing the last level-n header in the buffer.

1994-02-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Don't frob literal
	formfeeds into \f; just bind print-escape-newlines to t around
	printing (now has same effect).

1994-02-08  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-variables): Make local variables permanent, so
	the user can safely change major modes during an edit.
	* rmailedit.el (rmail-edit-current-message): Likewise.

1994-02-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* version.el (emacs-minor-version, emacs-major-version):
	New variables.

	* faces.el (copy-face): Doc fix.

	* finder.el (finder-mode): Doc fix.

	* sendmail.el (mail-signature): Insert a `-- ' line.

1994-02-08  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* subr.el (make-syntax-table): Behave like copy-syntax-table if an
	argument is given, for backward compatibility.

1994-02-07  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* autoload.el (batch-update-autoloads): Add missing close paren.

	* ange-ftp.el (ange-ftp-load): Honor the NOERROR and NOSUFFIX
	flags.

1994-02-07  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* sendmail.el (mail-signature): Doc mod.

	* lisp.el (insert-parentheses): Doc mod.

1994-02-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (autoload-trim-file-name): New function.
	(generate-file-autoloads): Bind print-readably to t for Lucid.
	Use autoload-trim-file-name on FILE when inserting the name.  Scan
	written text and fix up ^L to \f and ( at bol in doc string to \(.
	(update-file-autoloads): When we find a later file's section, set
	FOUND to 'new.  If FOUND is 'new after loop, check file for autoload
	cookies and don't call generate-file-autoloads if none.
	(update-directory-autoloads): Get absolute file names from
	directory-files.
	(batch-update-autoloads): Rewrite from jwz to process later files in a
	directory after one file errs.

1994-02-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* desktop.el (desktop-bug-report): Command deleted.

1994-02-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* rcompile.el (remote-compile): Set comint-file-name-prefix in the
	compilation buffer.

1994-02-07  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* simple.el (push-mark): Fix Roland's misplaced paren around
	call to marker-buffer.

1994-02-07  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-mode-line-format): Change "current" to "today".
	(calendar-cursor-to-date): Add optional parameter to cause error
	signal when cursor is not on a date---this allows lots of
	simplifications throughout the code.
	(calendar-forward-month,calendar-set-mark)
	(calendar-exchange-point-and-mark,calendar-count-days-region)
	(calendar-print-day-of-year,calendar-print-iso-date)
	(calendar-print-julian-date,calendar-print-islamic-date)
	(calendar-print-hebrew-date,calendar-print-astro-day-number):
	Use simplification.

	* holidays.el (calendar-cursor-holidays): Use new error arg
	to calendar-cursor-to-date.

	* diary.el (view-diary-entries,diary-islamic-date): Use new error arg
	to calendar-cursor-to-date.

	* diary-ins.el (insert-diary-entry,insert-weekly-diary-entry)
	(insert-monthly-diary-entry,insert-yearly-diary-entry)
	(insert-anniversary-diary-entry,insert-block-diary-entry)
	(insert-cyclic-diary-entry,insert-hebrew-diary-entry)
	(insert-monthly-hebrew-diary-entry,insert-yearly-hebrew-diary-entry)
	(insert-islamic-diary-entry,insert-monthly-islamic-diary-entry)
	(insert-yearly-islamic-diary-entry): Use new error arg
	to calendar-cursor-to-date.

	* solar.el (calendar-sunrise-sunset): Use new error arg
	to calendar-cursor-to-date.

	* cal-french.el (calendar-print-french-date,diary-french-date):
	Use new error arg to calendar-cursor-to-date.

	* cal-mayan.el (calendar-print-mayan-date): Use new error arg
	to calendar-cursor-to-date.

	* solar.el (sunrise-sunset): Allow it to be called without an
	argument (as advertised).

1994-02-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso-transl.el: Set up Alt keys as well as C-x 8 prefix.
	No need to create the prefix submaps explicitly.
	(iso-transl-char-map): New variable.
	Change the sequences aa and ae to just a and e.

	* iso-insert.el: Change the sequences aa and ae to just a and e.

	* gomoku.el (gomoku-init-display, gomoku-put-char):
	Bind inhibit-read-only; don't set buffer-read-only.

	* tar-mode.el (tar-pad-to-blocksize):
	Bind inhibit-read-only, not buffer-read-only.

	* makefile.el (makefile-browser-fill, makefile-browser-toggle):
	Bind inhibit-read-only; don't set buffer-read-only.

	* hideif.el (show-ifdefs, hide-ifdefs): Bind inhibit-read-only.
	Set buffer-read-only directly.
	(hide-ifdef-block): Likewise.
	(show-ifdef-block): Bind inhibit-read-only; don't set buffer-read-only.

	* hexl.el (hexl-mode): Bind inhibit-read-only;
	don't alter buffer-read-only.
	(hexl-mode-exit): Likewise.

	* cmacexp.el (c-macro-expand): Check inhibit-read-only.

1994-02-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads): Never ask the user where to
	put a new section.  While searching the file, look for an
	alphabetically later file's section, and insert the new section
	before it.

1994-02-06  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (push-mark): Don't push on global-mark-ring if its car
	is a marker in the current buffer.

	* simple.el (global-mark-ring, global-mark-ring-max): New variables.
	(push-mark): Also push a marker on the global-mark-ring.
	(pop-global-mark): New function; on C-x C-@, C-x C-SPC.

1994-02-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rcompile.el: New file.

	* c-mode.el (indent-c-exp): If line starts with }, ignore what
	the previous line ends with.

	* cc-mode.el: Renamed from cplus-md1.el.

	* simple.el (kill-region): Test inhibit-read-only.

	* files.el (auto-mode-alist): Add elt for .tcl files.
	Move texinfo elts up.

	* tcl-mode.el: Doc fixes.
	(tcl-mode): Add autoload.
	(tcl-prefix-key): Changed to C-c.

	* tcl-mode.el: New file.

1994-02-06  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* dired.el (dired-listing-switches): Doc fix.

1994-02-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-yank-secondary): Do move point.
	(mouse-yank-at-point): New var.
	(mouse-yank-at-click, mouse-yank-secondary): Obey that.

	* menu-bar.el: Use > as convention for another menu follows.
	(menu-bar-edit-menu): Add entry for Emerge.
	* emerge.el (menu-bar-emerge-menu): New map.

	* emerge.el: Add defvars for many vars already being used.
	(emerge-options-menu, emerge-merge-menu, emerge-move-menu): New vars.
	(emerge-setup-fixed-keymaps): Set up emerge-move-menu,
	emerge-merge-menu and emerge-options-menu.  Put them into
	emerge-fast-keymap.
	(emerge-set-keys): Put them into the emerge-edit-keymap.
	(emerge-minor-modes-list): Add defvar.
	(emerge-before-flag, emerge-after-flag): Move defvars up.
	(emerge-files-remote, emerge-files-with-ancestor-remote)
	(emerge-remote-exit): Var exit-func renamed to emerge-exit-func.

1994-02-05  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* rlogin.el (rlogin-delchar-or-send-Ctrl-D): Call
	rlogin-send-Ctrl-D.  Doc fix.

	* rlogin.el: Removed many extra autoload cookies.
	(rlogin-send-Ctrl-D): New function, on C-c C-d.

1994-02-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* profile.el: Comment changes and doc fixes.
	The C program in the comments was moved into ../lib-src/profile.c.

1994-02-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rect.el (string-rectangle): Make operate-on-rectangle convert tabs.
	(string-rectangle-line): After inserting string, insert the same
	width of whitespace that we deleted earlier.
	(operate-on-rectangle): Operate even if width is 0.
	(open-rectangle-line): Clean up.

	* outline.el (outline-end-of-subtree): If loop leaves us at eob,
	don't move back from there.

	* vc-hooks.el (vc-make-backup-files): Doc fix.

	* rmail.el (rmail-reply): If no resent-date, use ordinary date.
	If no resent-to, use empty string for to.

	* hideif.el: Delete bindings for C-c C-f, C-c C-b, C-c C-u, C-c C-d,
	C-c C-p and C-c C-n.  Move C-c C-h to C-c C-d.
	(define-hide-ifdef-mode-map): Remove this code
	from a function and execute it at load time.
	(hide-ifdef-mode-submap): New variable holds the list of commands.
	(hide-ifdef-mode-map): Set this up with a prefix key
	and put it in minor-mode-map-alist.
	(hide-ifdef-mode-map-before): Variable deleted.
	(hide-ifdef-mode): Use force-mode-line-update.
	Delete the code to manipulate keymaps.

	* outline.el (outline-mode-map): Move C-c C-h to C-c C-d.

	* terminal.el (te-escape-help, te-more-break-help, terminal-emulator):
	Pass just one KEYMAP arg to where-is-internal.

	* calendar.el (calendar-mode-map):
	Pass (keymap) as KEYMAP arg to where-is-internal.
	* edmacro.el (edit-kbd-macro, edmacro-finish-edit, insert-kbd-macro):
	Pass (keymap) as KEYMAP arg to where-is-internal.
	* hideif.el (define-hide-ifdef-mode-map):
	Pass (keymap) as KEYMAP arg to where-is-internal.
	* macros.el (insert-kbd-macro):
	Pass (keymap) as KEYMAP arg to where-is-internal.

1994-02-04  Morten Welinder  (terra@tyr.diku.dk)

	* desktop.el (desktop-internal-v2s): Allow saving of markers and subrs.
	(desktop-delay-hook): New variable.
	(desktop-read): Run desktop-delay-hook.
	(desktop-globals-to-save): Save register-alist.
	Always make desktop-locals-to-save local.
	(desktop-value-to-string): Make sure floating point numbers are
	output with maximum accuracy.
	(desktop-bug-report): New function.

	* desktop.el (desktop-internal-v2s): New function.
	(desktop-value-to-string): Use above function.

	* desktop.el (desktop-buffers-not-to-save): Add regexp for "nn"
	temporary files.
	(desktop-save, <top-level>): Remove support for Emacs 18, because
	it's not worth the effort and didn't work anymore, anyway.
	(desktop-save): Needn't bind `print-escape-newlines' anymore.

1994-02-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (do-auto-fill): Don't break line at period-single-space.

	* fill.el (sentence-end-double-space): New variable.
	(fill-region-as-paragraph): Handle it.

	* rmailout.el (rmail-output): Handle rmail-output-file-alist.

	* simple.el (comment-region): Fix previous change.

	* mode-clone.el: New file.
	(define-mode-clone): Renamed from mode-clone.
	Swap args PARENT and CHILD.
	Don't use clone-run-setup-function.
	(clone-run-setup-function): Function deleted.

1994-02-03  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* simple.el (backward-word): Rms changed `interactive' to be
	`INTERACTIVE' on Feb 1.  I changed it back.

1994-02-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cplus-md1.el: Fix terminology used to name various Emacs versions.

	* server.el (server-done): If we kill the old buffer,
	and server-buffer-done gives us nil, return the new current buffer.

1994-02-03  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* c-mode.el (c-fill-paragraph): Delete extraneous close paren.

1994-02-02  Barry A. Warsaw, ITB  (warsaw@anthem)

	* cplus-md1.el (c-lineup-arglist): Add kludge for
	arglist-cont-nonempty to get correct indentation.
	(c-guess-basic-semantics): CASE 5D: arglist-cont-nonempty's relpos
	needs to be boi of containing-sexp paren.  This is good for + offset,
	but bad for c-lineup-arglist, so add the kludge described above.

1994-02-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-buffer-done): If buffer is dead, don't bury it.

	* font-lock.el (dired-font-lock-keywords): New variable.
	(font-lock-set-defaults): Handle dired.el.

	* server.el (server-program): Add exec-directory to value.

1994-02-02  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* sort.el (sort-paragraphs): Use proper paragraph definition
	instead of just checking for whitespace.

	* advice.el (ad-execute-defadvices): Don't allocate advice-infos
	in pure space, in case we want to preload this file.

1994-02-02  Mike Williams  (mikew@pooh.dosli.govt.nz)

	* mouse-sel.el (mouse-sel-version): Don't base version number on
	RCS revision.  Updated to version 2.0.
	(mouse-sel-set-selection-function, mouse-sel-get-selection-function)
	(mouse-sel-check-selection-function):
	Check whether X11 functions are bound when setting defaults.
	(mouse-extend): Check whether modify-frame-parameters is bound before
	calling it.  Add support to kill region with double-mouse-3.

	* thingatpt.el (thing@pt-version): Removed variable.

1994-02-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* avoid.el: Doc fix.

	* font-lock.el (shell-font-lock-keywords): Doc fix.

1994-02-02  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-mode-line): Use force-mode-line-update instead
	of the Emacs 18 kluge.

1994-02-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* novice.el (disable-command): Reject invalid commands.

1994-02-02  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* help-macro.el (make-help-screen): Remove debugging code.

1994-02-01  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* files.el (file-relative-name): Allow for ancestors as well
	as descendants.

1994-02-02  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc.el (vc-parse-buffer): Arrange for old properties to get
	cleared when their match string is not found in the master file.

1994-02-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-set-defaults): Handle shell mode.
	(shell-font-lock-keywords): New variable.

	* simple.el (comment-region): Handle comment-end deletion for C-u.
	Don't let short lines confuse the comment-end deletion.

	* pascal.el: Many doc fixes.
	(pascal-get-beg-of-line, pascal-get-end-of-line):
	Use defsubst.  Renamed from get-...
	(pascal-within-string): Use defsubst.
	(delete-whitespaces): Function deleted;
	callers use delete-horizontal-space instead.
	(pascal-string-diff): Renamed from string-diff.

	* files.el (auto-mode-alist): Add .p and .pas for pascal-mode.

	* simple.el (comment-region): Just C-u prefix means uncomment lines.

	* files.el (revert-buffer): Doc fix.

1994-02-01  Espen Skoglund  (espensk@stud.cs.uit.no)

	* pascal.el: Complete rewrite.  Added an outline-
	minor-mode and completion.

1994-02-01  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* files.el (revert-buffer): Reposition after-revert-hook, and add
	before-revert-hook.
	* font-lock.el (font-lock-mode): Use the new hooks to get proper
	behavior on a revert.

1994-02-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tabify.el (tabify): Don't delete back before initial START.

	* appt.el (appt-display-interval, appt-display-duration)
	(appt-message-warning-time): Use larger defaults.

1994-01-31  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el (calculate-fortran-indent): Handle
	Fortran 90 INTERFACE and SELECT/CASE blocks.

1994-01-31  Boris Goldowsky  (boris@moose.cs.rochester.edu)

	* avoid.el (mouse-avoidance-nudge-mouse): Use (frame-width) and
	(frame-height) instead of erroneous (window-width) and (window-height).
	(mouse-avoidance-simple-hook): Raise frame first.
	(mouse-avoidance-fancy-hook): If moving mouse would enter
	another frame, stay put.
	* avoid.el: Doc fixes.

1994-01-31  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): Don't change
	VISIT-TAGS-TABLE-BUFFER-CONT when it is 'same.  Do list
	verification frobbing for it being either 'same or nil; but only
	set tags-table-list-started-at and tags-table-list-pointer when
	it's nil.

1994-01-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (show-children): Don't call outline-level at eob.

	* tabify.el (tabify): Don't delete back before initial START.

	* appt.el (appt-display-interval, appt-display-duration)
	(appt-message-warning-time): Use larger defaults.

1994-01-31  Karl Heuer  (kwzh@mole.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-mail, rmail-summary-continue)
	(rmail-summary-reply, rmail-summary-retry-failure): Fix rmail
	summary commands to work with rmail-mail-new-frame.

1994-01-30  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-print-hebrew-date): Change to use
	calendar-hebrew-date-string.

1994-01-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (minor-mode-alist): Don't add "Outl" if already added.

	* rmail.el (rmail-make-in-reply-to-field): Discard text properties from
	the address before printing it.

1994-01-28  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* cal-mayan.el (calendar-mayan-date-string): New function.
	(calendar-print-mayan-date, diary-mayan-date): Use it.

	* cal-french.el (calendar-french-date-string): New function.
	(calendar-print-french-date, diary-french-date): Use it.

	* cal-menu.el: New file with all menu support functions.

	* calendar.el (calendar-version): New function.
	Adjustments to commentary at top of file.
	(diary-entry-marker, calendar-today-marker)
	(calendar-holiday-marker): Don't autoload them; change definitions
	to support monochrome and color workstations.
	(calendar-french-date-string,calendar-mayan-date-string): Autoload them.
	(calendar-day-of-year-string, calendar-iso-date-string)
	(calendar-julian-date-string,calendar-islamic-date-string)
	(calendar-hebrew-date-string,calendar-astro-date-string): New functions.
	(calendar-print-day-of-year, calendar-print-iso-date)
	(calendar-print-iso-date,calendar-print-julian-date)
	(calendar-print-islamic-date,calendar-print-hebrew-date)
	(calendar-print-astro-day-number): Use them.
	(calendar-mode-map): Add mouse support.
	(calendar-unmark,mark-visible-calendar-date,calendar-mark-today):
	Rewritten.

	* diary.el (diary-day-of-year, diary-iso-date, diary-islamic-date)
	(diary-hebrew-date, diary-julian-date, diary-astro-day-number):
	Use new functions from calendar.el.

	* holidays.el (list-calendar-holidays): Fix mode line.

	* lunar.el (calendar-phases-of-moon): Fix mode line.

	* solar.el (calendar-sunrise-sunset): Add date to message.

1994-01-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (help-for-help): Doc fix.

	* help-macro.el (three-step-help): New option.
	(make-help-screen): Implement that option.
	Handle delete function key like DEL.
	Don't include the option list in the prompt when displaying
	a full window of options.

	* rmailsum.el (rmail-summary-undelete):
	If we don't undelete anything, don't move point.

1994-01-26  Rick Sladkey  (jrs@world.std.com)

	* simple.el (next-line): Move error signaling and special end of
	line behavior into line-move so that next-line is symmetric with
	previous-line when next-line-add-newlines is nil.
	(line-move): Move as far as possible and ding with a message
	if the requested motion cannot be accomplished.  When
	selective-display is numeric, ensure point actually moves and does
	so to a visible line.

1994-01-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (c-fill-paragraph): Handle C++ mode.

1994-01-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* appt.el (appt-check): Doc fix.

	* sendmail.el (mail-mailer-swallows-blank-line): New variable.
	(sendmail-send-it): Add extra newline if appropriate.

1994-01-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paragraphs.el (forward-paragraph): Doc fix.

1994-01-21  Michael Kifer  (kifer@cs.sunysb.edu)

	* appt.el (appt-check): Use the new variables
	appt-disp-window-function and appt-delete-window-function.
	(appt-disp-window-function): New variable.
	(appt-delete-window-function): New variable.
	(appt-delete-window): New function.
	(appt-disp-window): Don't delete the appt window here;
	instead, call appt-delete-window-function.
	Fixed bug that messed up the screen when appt-check ran
	when mouse is in the minibuffer.
	Call select-frame only if window-system.

1994-01-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-highlight): Do nothing if not window-system.

	* flow-ctrl.el (enable-flow-control-on): Do nothing if no TERM.

	* help-macro.el (make-help-screen): Use overriding-local-map.
	Recognize C-v and M-v properly.
	Compute help-screen after changing the map.

1994-01-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-push-state): Save isearch-case-fold-search.
	(isearch-top-state): Restore it.

	* simple.el (shell-command-on-region): If we quit the command,
	display the output buffer anyway.

	* compile.el (compilation-error-regexp-alist): Handle DEC AXP OSF/1.

1993-01-19  Stephen Gildea  (gildea@stop.mail-abuse.org)

	* time-stamp.el: Better, more user-oriented doc strings.
	(time-stamp-mail-host): Now a user option.
	(time-stamp-current-year, time-stamp-hh:mm): Removed.
	(time-stamp-mm/dd/yy, time-stamp-dd/mm/yy): Removed.
	(time-stamp-yyyy-mm-dd): New function, ISO 8601 format.

1994-01-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-mode): Set after-revert-hook
	to refontify after revert.

	* files.el (revert-buffer): Run after-revert-hook.

1994-01-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Do nothing when in kbd macro.

1994-01-17  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	The most important new feature added to GNU Emacs in recent history.
	* yow.el (yow-file): Doc fix.
	(yow): With non-nil arg (prefix arg), insert the chosen pinhead
	wisdom at point.  Use (interactive-p) instead of arg to decide if
	interactive.
	(insert-zippyism): Yow!  Am I INSERTED yet?

1994-01-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-mode): Set overriding-local-map locally.
	Don't set isearch-old-local-map and don't call use-local-map.
	(isearch-done): Set overriding-local-map to nil.
	Don't call use-local-map.
	(isearch-old-local-map): Variable deleted.

	* menu-bar.el (menu-bar-file-menu): Add rmail, gnus, calendar items.

	* rmail.el (rmail-get-new-mail): Avoid error if file is empty.

	* paragraphs.el (forward-paragraph): If moving back we find nothing
	but separator lines till buffer beg, just stay there.
	Exit outer loop if at beg or end of buffer.

1994-01-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Add regexp for
	Lucid lcc.  Element lists can now contain a 4th elt giving subexpr
	for the column.
	(next-error): Handle error records with column numbers.
	(compilation-parse-errors): Parse column numbers when the alist elt
	specifies it.  Use string-to-int instead of read for numbers from
	buffer text.

1994-01-15  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Wrap final copyright-matching
	regexp in parens, so \1 gets all the year tokens, not just the
	last.  (The old regexp won with the pre-POSIX defn of
	subexpressions with +.)

1994-01-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el: SPC is not special in regexp within brackets.
	(isearch-within-brackets): New variable.
	(isearch-mode): Set that.
	(isearch-edit-string): Bind that.
	(isearch-search-and-update): Set that.
	(isearch-top-state): Set that.
	(isearch-push-state): Use that.
	(isearch-search): Set that.

	* files.el (set-auto-mode): Handle (REGEXP FUNCTION t) elements.

	* dired-x.el: New file.

1994-01-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-default-file): Renamed from rmail-last-file.
	(rmail-default-rmail-file): Renamed from rmail-last-...
	* rmailout.el: Use new names.

	* perl-mode.el: Change defconsts to defvars.  Doc fixes.

	* rmail.el (rmail-bury): Rename local rmail-buffer to buffer-to-bury.
	(rmail-set-message-counters): Avoid errors moving backwd if new file.

	* debug.el (debug): Bind unread-command-char to -1, not nil.

	* files.el (abbreviate-file-name): Don't convert / to ~/
	when the home dir is /.

	* term/lk201.el (function-key-map): Rename kp-period to kp-decimal.
	Add f1 thru f5.
	Change insertchar and deletechar to insert and delete.

1994-01-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-show-output): Leave point at start of output,
	but push the mark.

1994-01-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (Man-default-man-args): Use Man-specified-section-option.
	(Man-default-man-entry): Likewise.

	* loaddefs.el (global-map): Add binding for C-M-delete.

	* simple.el (open-line): Treat all cases of enabled undo alike.

	* bytecomp.el (byte-compile-condition-case): Disable warning about
	symbol not naming a condition.  Allow a list of condition names.

	* hideif.el (hif-tokenize): Handle // comments after #if.

1994-01-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-mode): If not slow,
	clear isearch-window-configuration.

	* telnet.el (telnet): Fix previous change--tentative idea
	wasn't fully removed.

1994-01-10  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* info.el (Info-follow-reference): If point is not in middle of a
	cross-reference but located somewhere on current line, make
	cross-reference the `default'.  If only one cross-reference
	located in node, make it `default'.

1994-01-10  Michael D. Ernst  (mernst@monozygote)

	* mailabbrev.el (mail-abbrev-mode-regexp): Add Reply-to.

1994-01-09  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* term/x-win.el (vendor-key-syms): Fixed typo (extra parens).

	* debug.el (debug): Fixed typo (extra paren).

1994-01-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* debug.el (debug): Bind a bunch of vars, like last-command, to
	neutral values.  Save the outer values in debugger-last-command, etc.
	Put those saved values back into effect when returning.
	(debugger-eval-expression): Put the saved values into effect
	while evaluating, and store modified values back into
	debugger-outer-... after evaluating.

	* diff.el (diff-latest-backup-file): Call file-chase-links.
	(diff): Select the differences buffer.

	* c-mode.el (c-indent-region): Keep looping till reach endmark.
	Treat #-lines specially.

	* shell.el (shell-input-autoexpand): New variable.
	(shell-mode): Set comint-input-autoexpand.
	(shell-mode): Don't call shell-dirstack-message.

	* comint.el (comint-input-autoexpand): Make default nil.

	* term/x-win.el (vendor-key-syms): Add more HP keysyms and some Sun.

1994-01-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (vendor-key-syms): Set this variable.

	* rmailsum.el (rmail-summary-delete-forward): Fix regexp
	used for recognizing deleted message.
	(rmail-summary-output, rmail-summary-output-to-rmail-file):
	Use rmail-summary-delete-forward.

	* loadup.el: If there are no subversions yet, use 1.

	* gud.el (gud-common-init): Don't crash if no file specified.

	* rmailsum.el (rmail-summary-by-senders):
	Add missing arg to rmail-new-summary.
	(rmail-summary-output, rmail-summary-output-to-rmail-file):
	Handle rmail-delete-after-output explicitly here.

	* flow-ctrl.el (enable-flow-control): Use prefix argument
	like minor modes.
	(enable-flow-control-memstr=): Function deleted.
	(enable-flow-control-on): Use member instead.
	(flow-control-c-q-replacement, flow-control-c-s-replacement): New vars.

	* loadup.el: Load version.el before site-load.el.

1994-01-08  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* gnus.el (gnus-group-list-all-groups): Display a message in the
	echo area.

1994-01-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Extend emacs-version based on which executable
	files exist.
	* version.el (emacs-version): Discard the third version component.
	* inc-vers.el, grow-vers.el: Files deleted.

	* dired.el (dired-move-to-filename-regexp): New variable.
	(dired-move-to-filename): Use that.

	* info.el (Info-directory-list): Change last elt to ../info (expanded).

	* startup.el (command-line-1): Improve echo area message wording.
	Don't print it if C-h C-p has been redefined.

	* ange-ftp.el (ange-ftp-hash-mark-msgs): Undo previous change.

	* lmenu.el (make-lucid-menu-keymap):
	Allow multiple identical inactive strings.

1994-01-06  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-show-output): Use (point-max) rather than
	erring when the comint-last-input-end marker points nowhere.

	* compile.el (compilation-parse-errors): Prepend
	comint-file-name-prefix (if boundp) to absolute file names culled
	from error msgs.
	(compile-abbreviate-directory): Prepend comint-file-name-prefix (if
	boundp) to DIR before other processing.

	* shell.el (shell-cd): Function removed.
	(shell-prefixed-directory-name): New defsubst.
	(shell-process-popd, shell-process-pushd, shell-process-cd)
	(shell-resync-dirs): Apply it to ARG when it's a directory name.
	Use (concat comint-file-name-prefix "~") in place of (getenv "HOME")
	or "~".  Call cd instead of shell-cd.

	* menu-bar.el (mouse-menu-choose-yank): Don't use
	rotate-yank-pointer; set kill-ring-yank-pointer explicitly
	instead.

	* compile.el (compilation-buffer-p): Move defsubst before all
	callers.
	(compilation-forget-errors): Reset compilation-parsing-end to 1 here.
	(compile-reinitialize-errors): Don't reset compilation-parsing-end
	after calling compilation-forget-errors.  Comment out gratuitous
	switch-to-buffer call; what was the rationale for it?  Don't check
	compilation-parsing-end (removed local AT-START); instead always
	append to compilation-old-error-list, it will be nil if at start.
	If compilation-error-list is non-nil before calling the parser,
	restore its previous value afterwards; it still indicates the
	current error position.  Subtract the length of the existing
	compilation-error-list from FIND-AT-LEAST when calling the parser.
	(compilation-parse-errors): Don't check LIMIT-SEARCH at end of loop.
	Inside check it inside each case of the cond; in error case we
	must discard the last new error before stopping (just as for
	FIND-AT-LEAST).  Use floating-point in buffer percentage
	calculation, to avoid integer overflow.

1994-01-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-resend): Use send-mail-function.

	* files.el (auto-mode-alist): Treat changelo like ChangeLog.
	* add-log.el (change-log-name): On MSDOS, use changelo.

	* rmail.el (rmail-convert-to-babyl-format):
	Fix one-off error in handling content-length field.

	* makefile.el (makefile-mode): Make comment-start, comment-end,
	and comment-start-skip buffer-local.

1994-01-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lmenu.el (make-lucid-menu-keymap): For "----", make blank line.

	* add-log.el (change-log-name) [MSDOS]: Use change.log, not changelo.

	* subr.el (eval-after-load): Do nothing if FORM is already on the list.

1993-01-05  Morten Welinder  (terra@diku.dk)

	* hexl.el (dehexlify-buffer): If msdos, bind binary-process.
	(hexl-find-file): Load as binary.

	* ls-lisp.el (ls-lisp-format): Bad format for uid and gid fixed.

	* compile.el (compile-internal): Extended to work without
	asynchronous subprocesses available.

	* subr.el (start-process-shell-command): Doc fix.

	* find-dired.el (start-process-shell-command): Doc fix.

	* add-log.el (change-log-name): Let default name for ms-dos be
	"change.log".

	* files.el (auto-mode-alist): Default mode for "changelo" set to
	change-log-mode to support ms-dos 8+3 file names.  AAAARRGGG!  Also
	use emacs-lisp-mode for "_emacs" file which is the equivalent of
	".emacs".

	* bytecomp.el (byte-compile-file) [ms-dos]: Save as binary.

	* dos-fns.el, term/internal.el: New files for MSDOS.

	* files.el (make-backup-file-name, backup-file-name-p) [ms-dos]:
	Use "*.bak" as backup file name.
	(user-init-file): New variable.

	* inc-vers.el [ms-dos]: Save version.el as *binary*.

	* loadup.el [ms-dos]: Preload mouse.el, dos-fns.el,
	disp-table.el, and ls-lisp.  Dump only one version.  Use simpler
	name for doc file.

	* loaddefs.el (completion-ignored-extensions) [ms-dos]: More suitable
	set for MSDOS.

	* startup.el (command-line): Set user-init-file.

	* novice.el (enable-command, disable-command): Use user-init-file.

	* desktop.el (desktop-buffer-mh): New function for mh mail system.
	(desktop-buffer-handlers): Add desktop-buffer-mh.
	(desktop-buffer): Correct setting of auto-fill-mode.
	Make the compilation silent using (eval-when-compile ...)
	(old-kill-emacs): New explicit variable (for Emacs 18 comp.)
	(desktop-globals-to-save): Add the history rings for interactive
	searches.
	(postv18): Remove.
	(desktop-create-buffer-form): New variable.
	(desktop-save): Use desktop-create-buffer-form.
	(desktop-value-to-string): New function.
	(desktop-outvar): Clean-up using desktop-value-to-string.
	(desktop-save): Clean-up using desktop-value-to-string.
	(desktop-save): Decide Emacs version at compile time.
	(desktop-locals-to-save): New variable.
	(desktop-truncate): New function.

1994-01-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lmenu.el (popup-menu): Add loop to handle submenus.

1994-01-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* debug.el (debug): Bind this-command and last-command.

1994-01-03  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-finish-logentry): Sync the buffer in case the user
	modified it while editing the comment.

1994-01-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* time.el (display-time-file-nonempty-p): Check existence here.
	(display-time-server-down-time): New variable.
	(display-time-filter): If accessing mail-spool-time takes too long,
	don't try again for twenty minutes.

	* tex-mode.el (slitex-mode, latex-mode): Set paragraph-start and
	paragraph-separate to a specific list of control sequences.
	(tex-common-initialization): Make parse-sexp-ignore-comments t.

	* lpr.el (lpr-headers-switches): Set proper value on hpux and usg.

	* comint.el (comint-last-output-start): Add defvar.

	* subr.el (make-syntax-table): New function; no longer an alias
	for copy-syntax-table.

	* rmail.el (rmail-get-new-mail): Cope if display-time-string is nil.

1994-01-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-float-fields): Commented out.

	* c-mode.el (c-mode-map): Add menu bar menu.

	* isearch.el (isearch-repeat): If we matched a null string and there's
	no place to advance to, fail instead.

1994-01-02  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* cal-french.el (calendar-goto-french-date): Fix special day
	choice in non-leap years by re-reversing the list.  Fix out of
	place parenthesis in prompt.

1994-01-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-read-command, compilation-ask-about-save):
	New variables.
	(compile): Obey them.

	* paths.el (Info-default-directory-list): Doc fix.

	jrs.
	* ispell.el (ispell-highlight, ispell-dehighlight): New functions.
	(ispell-command-loop, ispell-next): Call them.
	(ispell-highlight, ispell-overlay): New variables.

	* simple.el (next-line): Don't signal error here.
	(line-move): Do it here instead.

	* comint.el (comint-dynamic-list-completions): Use read-key-sequence.
	Special handling for mouse-choose-completion.

	* files.el (save-some-buffers): Fix previous change.

	* gnuspost.el (gnus-news-reply): Handle reply-to field.

	* paths.el (manual-program): Deleted.

1993-01-01  Martin Boyer  <mboyer@ireq-robot.hydro.qc.ca>

	* bibtex.el (bibtex-field-name, bibtex-field-const, bibtex-field-text):
	Adapted to Emacs 19 regex rules.
	(bibtex-reference): Removed one set of parentheses (a workaround).

1993-01-01  Michael D. Ernst  (mernst@research.microsoft.com)

	* rmailout.el (rmail-output-to-rmail-file): If just a dir is specified,
	use default name in specified dir.

1993-12-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	jrs.
	* replace.el (query-replace-highlight): New variable.
	(replace-overlay): New variable.
	(replace-highlight, replace-dehighlight): New functions.
	(perform-replace): Use them.

	* lpr.el (print-region-1): If lpr-headers-switches is string,
	turn it into a list before appending.

	* files.el (save-some-buffers): Reinsert lost code to save abbrevs.

	jrs.
	* edebug.el (eval-current-buffer): Old definition deleted.
	(eval-buffer): Use current buffer by default.

	* diff.el (diff): Call shell-quote-argument.

	* subr.el (shell-quote-argument): New function.

	* ispell.el (ispell-next): Remove periods from messages.
	(ispell-complete-word): Improve error messages.

	* simple.el (open-line): Properly put fill-prefix on each line.

1993-12-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (help-for-help): Mention the scroll commands.

	* help-macro.el (make-help-screen): Use read-key-sequence.
	Temporarily switch keymaps.

	* startup.el (command-line): In most cases, if init file sets
	debug-on-error, leave it set that way.

	* files.el (hack-one-local-variable): Treat file-name-handler-alist
	and after-load-alist like eval.

	* simple.el (transient-mark-mode): Doc fix.

	* rmailsum.el (rmail-summary-delete-forward): Move to next or prev msg
	among those included in the summary.

1993-12-29  Ken Manheimer  (klm@nist.gov)

	* icomplete.el (icomplete-pre-command-hook): Reconciled with
	keyboard macro operation.
	(icomplete-post-command-hook): Likewise.
	(window-minibuffer-p): Cleaned up according to suggestion from
	Richard Mlynarik.
	General rectification of doc strings and comments.

1993-12-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (super-apropos-check-doc-file): Verify that the doc
	string can actually be found from the symbol.

1993-12-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-set-defaults): Add missing paren.

	* lisp-mnt.el (lm-report-bug): Don't crash if version is nil.
	(lm-report-bug): lm-maintainer returns a cons; convert it to a string.

1993-12-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-write-region): Call set-visited-file-modtime.
	(ange-ftp-insert-file-contents): Likewise.

	* isearch.el (isearch-mode-map): Bind kp-... keys.

	* simple.el (setting up kp-... keys): Make ascii-character props.

	* bytecomp.el: Provide bytecomp as well as byte-compile.

	* vc.el (vc-buffer-sync, vc-diff): New arg NOT-URGENT.
	(vc-diff): Pass new arg.

	* replace.el (query-replace-map): Don't bind ESC.
	(query-replace-help): Changed accordingly.

	* loadhist.el (unload-feature): Ignore conses in the feature-symbols.

	* shell.el (shell-backward-command): If comint-bol moves forward,
	use real beginning of line instead.
	Use skip-syntax-backward properly.
	If backward search finds a separator, move forward over it.
	(shell-forward-command): Call skip-syntax-backward properly.

1993-12-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* telnet.el (telnet): Use comint-arguments.

	* rmailout.el (rmail-output-to-rmail-file): When copying to a buffer,
	maybe enable auto save in that buffer.

	* awk-mode.el (awk-mode-syntax-table): Was mistakenly changing
	emacs-lisp-mode-syntax-table.

	* isearch.el (isearch-update): If isearch-other-end is nil,
	call isearch-dehighlight.

	* rmail.el (rmail-insert-inbox-text): If copy-file fails,
	call rename-file with t as third arg.

	* simple.el (next-complete-history-element): Doc fix.
	(previous-complete-history-element): Doc fix.

	* comint.el (comint-next-matching-input-from-input): Doc fix.

1993-12-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tex-mode.el (tex-common-initialization): Make paragraph-start
	and paragraph-separate match a line of $$.

1993-12-22  Noah Friedman  (friedman@splode.com)

	* lisp-mnt.el (Bogus-Bureaucratic-Cruft): Changed to
	`X-Bogus-Bureaucratic-Cruft'.
	Change comments to indicate that any header starting with `X-' is
	not supposed to be implemented.  This gives us the same "out"
	that RFC822 does.

1993-12-16  Richard Stallman  (rms@srarc2)

	* ange-ftp.el (ange-ftp-hash-mark-msgs): Make match more general.

1993-12-16  Karl Berry  (karl@cs.umb.edu)

	* compile.el (grep-command): New variable.
	(grep): Use it.

1993-12-16  Richard Stallman  (rms@srarc2)

	* awk-mode.el (awk-mode): Use c-indent-line.

	* gud.el (gud-format-command): Rewrite.

	* lpr.el (lpr-headers-switches): Treat hpux like usg-unix-v.

1993-12-15  Richard Stallman  (rms@srarc2)

	* asm-mode.el (asm-mode): Don't mess with auto-fill mode.

	* man.el (Man-specified-section-option): Test system-configuration.

	* lpr.el (print-region-1): Adjust start, end after running pr.

	* info.el (Info-insert-dir): Compute truename just once for each dir.

	* calendar.el (calendar-mode-map): Put back C-v and M-v bindings.

	* telnet.el (telnet-filter): Rewrite, taken mostly from Lucid.

	* rmailsum.el (rmail-summary-goto-msg): Use unwind-protect to go
	back to summary, and go back to the window that was selected before.

	* rmail.el (rmail-quit): Expunge without updating summary.

	* paths.el (rmail-spool-directory): Use dgux, not dgux-unix.
	* lpr.el (lpr-command): Use dgux, not dgux-unix.

1993-12-14  Ulrich Mueller  (ulm@vsnhd1.cern.ch)

	* gud.el (gud-format-command): Use gud-last-last-frame if
	gud-last-frame is nil.

1993-12-14  Richard Stallman  (rms@srarc2)

	* isearch.el (isearch-text-char-description): Treat TAB as ctl char.

	* info.el (Info-insert-dir): For generated menu items, add ::.

1993-12-13  Ulrich Mueller  (ulm@vsnhd1.cern.ch)

	* gud.el (gud-mipsdbx-massage-args, gud-mipsdbx-marker-filter):
	New functions for dbx support on Mips under Ultrix.
	(gud-dbx-mips-p, gud-mipsdbx-marker-acc): New variables.
	(dbx): If gud-dbx-mips-p is non-nil, overload above two functions
	and initialize appropriate command strings for dbx.

1993-12-12  Richard Stallman  (rms@srarc2)

	* loaddefs.el (ctl-x-map): Add C-x r d binding for delete-rectangle.

	* rmailout.el (rmail-output-to-rmail-file): Call rmail-update-summary.

	* etags.el (visit-tags-table-buffer): Change "Add to list" question.

	* mouse.el (mouse-kill-secondary): Fix previous change.

	* man.el (Man-mode-hook): Renamed from Man-mode-hooks.

1993-12-12  Michael D. Ernst  (mernst@monozygote)

	* dired-aux.el: Autoload dired-.*-file.

1993-12-11  Richard Stallman  (rms@srarc2)

	* rmail.el (rmail-resend): Delete more than one Sender,
	but only in the headers, not in the body.

	* mouse.el (mouse-kill-secondary): Get rid of CLICK argument.
	Instead, use this-command-keys.

	* lpr.el (print-region-new-buffer): Rename args to OSTART and OEND.

	* isearch.el (isearch-text-char-description): Really call
	text-char-description for ctl chars.

	* doctor.el (make-doctor-variables): Fix some local var names.

	* bytecomp.el (byte-compile-dest-file): If FILENAME is not recognized,
	append .elc to it.

	* comint.el (comint-read-input-ring): New arg SILENT.
	* shell.el (shell-mode): Pass t to comint-read-input-ring.

	* rmail.el (rmail-resend): Doc fix.

1993-12-10  Richard Stallman  (rms@srarc2)

	* mouse.el (x-fixed-font-alist): For 6x10, look for normal font,
	not semicondensed.

1993-12-09  Richard Stallman  (rms@srarc2)

	* supercite.el (sc-read-string):
	Don't pass a history arg to read-string.

	* sendmail.el (mail-default-reply-to): Add autoload cookie.

1993-12-08  Boris Goldowsky  (boris@mink.cs.rochester.edu)

	* shadowfile.el (shadow-noquery): Use it.
	(shadow-copy-file): Use abbreviate-file-name to
	avoid incorrect warnings.
	Lucid support commented out (didn't work and caused compiler warnings).

1993-12-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Generalize
	`"foo.c", line 13:' regexp to also match `"foo.c", line 13 pos 1...'.

	* loaddefs.el (point-to-register-compatibility-binding)
	(jump-to-register-compatibility-binding)
	(copy-to-register-compatibility-binding)
	(insert-register-compatibility-binding): Add defaliases for these.
	(ctl-x-map): Bind / j x g to those, respectively, so \[...] always
	expands to the C-x r ... bindings.

1993-12-08  Stephen Gildea  (gildea@stop.mail-abuse.org)

	* time-stamp.el (time-stamp-month-dd-yyyy): No leading zero on day.

1993-12-08  Richard Stallman  (rms@srarc2)

	* gud.el (gud-common-init): Call substitute-in-file-name.

	* doctor.el (doctor-adverbp): Don't die if doctor-make-string
	gives a string of length < 2.

	* rmailsum.el (rmail-summary-rmail-update): Special handling for eob.

	* mail-utils.el (mail-fetch-field): Add autoload cookie.

1993-12-07  Richard Stallman  (rms@srarc2)

	* comint.el (comint-replace-by-expanded-history): New arg SILENT.
	(comint-send-input): Pass t as new arg.

	* bytecomp.el (byte-recompile-directory): Don't treat symlinks as dirs.

1993-12-06  Noah Friedman  (friedman@splode.com)

	* loaddefs.el: Remove autoload for `rlogin-with-args', which no
	longer exists.

1993-12-06  Michael D. Ernst  (mernst@monozygote)

	* reposition.el (reposition-window): Fix whitespace-skipping regexp.

1993-12-06  Richard Stallman  (rms@srarc2)

	* fill.el (fill-region-as-paragraph): Do allow breaking line at a period
	followed by two spaces, in the case where we are insisting on having at
	least one complete word.

	* files.el (hack-local-variables-prop-line): If we can't switch-to-buffer
	in selected window, try another window, then a new frame.

	* font-lock.el (font-lock-set-defaults): Do nothing if
	font-lock-keywords is already set.

	* gnuspost.el (gnus-post-news): Call gnus-read-distributions-file.

1993-12-06  Anders Holst  (aho@sans.kth.se)

	* hippie-exp.el (;; Keywords:): Changed to "abbrev".
	(hippie-expand-ignore-buffers): New variable.
	(he-regexp-member): New function.
	(hippie-expand-try-functions-list): Added `try-expand-list'.
	(try-expand-line-all-buffers, try-expand-list-all-buffers,
	try-expand-dabbrev-all-buffers): Use `he-regexp-member' and
	`hippie-expand-ignore-buffers'.
	(he-list-search): Don't find list containing point.
	(he-dab-search-regexp): Just match at beginning of words.
	(he-dabbrev-beg): Never move point forward.

1993-12-05  Paul Eggert  (eggert@twinsun.com)

	* lunar.el (lunar-phase): Add calendar-time-zone to solar
	ephemeris correction.  This fixes a bug where GMT was being
	reported as if it were local standard time.

1993-12-05  Michael D. Ernst  (mernst@monozygote)

	* ispell.el: Don't imply private dictionary is always ispell.words.

1993-12-05  Richard Stallman  (rms@srarc2)

	* man.el (Man-follow-manual-reference): Strip trailing - from default.

	* apropos.el (apropos-match-keys): If REGEXP is nil,
	always act as if it matched.

	* replace.el (perform-replace): Prompt now says how to get help.

	* menu-bar.el (menu-bar-edit-menu): Add query-replace menu item.
	Make a menu-enable property for query-replace.

	* comint.el (comint-mode-map): Put comint-show-output on C-M-l.

	* cplus-md.el (c++-indent-line, calculate-c++-indent)
	(indent-c++-exp): Recognize `friend' without `class'.

	* rmail.el (rmail): Doc fix.

	* man.el (Man-getpage-in-background): Use lower case for arg vars.
	(Man-follow-manual-reference): Check for existence of references
	before using the minibuffer.  Delete period from error message.
	Delete spurious concat call.  Pass arg, not (consp arg),
	to Man-getpage-in-background.

1993-12-05  Simon Marshall  (simonm@tintin)

	* comint.el (comint-preinput-scroll-to-bottom): Removed calls to
	window-minibuffer-p and 'not-minibuf arg to walk-windows.
	Removed mouse-yank-at-click from command list and doc string.
	Removed duplicate test for comint-scroll-to-bottom-on-input (scroll).
	Removed test for 'this within walk-windows code.

1993-12-04  Michael D. Ernst  (mernst@monozygote)

	* reposition.el (reposition-window): Don't err if comment-height = 0.

1993-12-04  Richard Stallman  (rms@srarc2)

	* man.el (Man-follow-manual-reference): Try to use current word
	as a default for the reference to follow.
	Use interactive to read the reference name.

	* add-log.el (add-log-current-defun):
	Remove spurious quote on c++-mode.  Recognize c++-c-mode.

	* rmailout.el (rmail-output-to-rmail-file): Turn off the deleted
	attribute outside of the save-restriction.

	* subr.el (remove-hook): Use equal to see if hook is just that fcn.
	(add-hook): Use member to see if a lambda expr is already in the list.

	* lpr.el (lpr-headers-switches): New variable.
	(print-region-1): Use it.

	* tex-mode.el (tex-send-command): New local var BUF.
	Use it when calling buffer-modified-tick.

	* comint.el (comint-postoutput-scroll-to-bottom):
	Don't select a different buffer permanently.

	* ange-ftp.el (ange-ftp-gateway-prompt-pattern): Don't match
	more than one line.

	* cmuscheme.el (inferior-scheme-mode):
	Don't let `comint-prompt-regexp' match more than one line.

	* comint.el (comint-prompt-regexp): Fixed documentation to
	reflect changes to some prompt regexps.

	* gud.el (dbx): Let `comint-prompt-regexp' not match more than
	one line.

	* inf-lisp.el (inferior-lisp-prompt): Don't match more than
	one line.

	* telnet.el (telnet-prompt-pattern)
	(telnet-check-software-type-initialize):
	Don't let `telnet-prompt-pattern' match more than one line.

	* files.el (set-visited-file-name): Don't rename-buffer if buffer
	already has the desired name.

	* c-mode.el (c-delete-backslash): Do nothing if empty line.

1993-12-03  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-workfile-unchanged-p): Add optional argument
	specifying whether we want to compute the differences if the
	file is changed.  Otherwise, use cmp instead of diff.
	(vc-next-action-on-file): Use new vc-workfile-unchanged-p option;
	this avoids recomputing the differences in some cases.
	(vc-backend-diff): OLDVERS is now optional; all callers changed.
	New optional argument CMP says to use `cmp' rather than `diff'.

1993-12-03  Richard Stallman  (rms@srarc2)

	* dired.el (dired-in-this-tree): Call expand-file-name.

	* outline.el (outline-minor-mode): When turning off the mode,
	turn ^Ms back to \n's.
	(outline-mode): Set change-major-mode-hook.

	* lpr.el (lpr-add-options): New variable.
	(print-region-1): Obey that.

	* bookmark.el, compile.el, edmacro.el, dabbrev.el, ispell.el:
	* macros.el, reposition.el: Don't repeat at load time any bindings
	that are autoloaded.

	* tex-mode.el (tex-send-command):
	Switch to buffer before checking for subproc output in it.

	* dired.el (dired-goto-file): Call expand-file-name.

	* page-ext.el (pages-copy-header-and-position):
	Call end-of-line, not forward-line.
	(pages-directory): Omit space at end of pages-directory-buffer.

	* dired-aux.el (dired-insert-subdir-validate): Call expand-file-name.

1993-12-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sendmail.el (mail-fcc): Take argument and use interactive spec
	to prompt, rather than calling read-file-name explicitly.  This
	function is useful to call from programs with a computed argument.

1993-12-02  Richard Stallman  (rms@srarc2)

	* mouse.el (mouse-yank-secondary): Doc fix.

	* makefile.el (makefile-ignored-files-in-pickup-regex):
	Supply missing \\.
	(makefile-insert-target-ref): Fix typo.

	* gnus.el (gnus-capitalize-newsgroup): Modify a new temporary
	syntax table, not the current one.

	* etags.el (etags-goto-tag-location): Improve not-found error msg.

	* files.el (insert-file): Add * to interactive spec.

1993-12-02  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-locking-user): Don't assume that the umask permits
	group-write and other-write.

1993-12-02  Michael D. Ernst  (mernst@monozygote)

	* vip.el (vip-replace-string): Don't use replace-regexp.
	* vc.el (vc-record-rename): Don't use replace-regexp.
	* bibtex.el (hide-bibtex-entry-bodies): Don't use replace-regexp.
	* allout.el (outline-copy-exposed): Don't use replace-regexp.

1993-12-01  Morten Welinder  (terra@tyr.diku.dk)

	* desktop.el: Add keywords.
	(desktop-outvar): Clean-up output using fewer quotes and \n for
	newlines.
	(desktop-save): Print buffer information using \n for newlines.
	(desktop-save-buffer-p): Doc fix.
	(desktop-save): Bug in mark-activity saving.
	(desktop-buffer-rmail): Doc fix.
	(desktop-buffer-rmail, desktop-buffer-dired, desktop-buffer):
	Use `eq' instead of `equal'.
	(desktop-clear): End up with one window.

1993-12-01  Richard Stallman  (rms@srarc2)

	* byte-opt.el: Add side-effect-free props for many functions.
	(byte-boolean-vars): Add highlight-nonselected-windows.

	* picture.el (picture-mode): Save the old truncate-lines value.
	(picture-mode-exit): Restore that value.

	* bytecomp.el (batch-byte-recompile-directory): Add autoload cookie.

1993-12-01  Noah Friedman  (friedman@splode.com)

	* rlogin.el (rlogin-filter): Initialize `region-begin' to
	(marker-position proc-mark), not just (point), whatever random
	value that may be.
	Put bindings for `proc-mark', `region-begin', and `window' in
	separate setq forms.
	In determining whether window-start readjustment is needed, do not
	examine scroll-step; it is irrelevant.

1993-11-30  Richard Stallman  (rms@srarc2)

	* comint.el (comint-replace-by-expanded-history):
	Use skip-chars-forward to advance in main loop.

1993-11-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.22 released.

	* vc.el (vc-buffer-sync): Signal error if user says no.

	* vc-hooks.el (vc-mode-line): Make buffer read-only for root
	if file is locked.

	* mouse.el (mouse-set-font): Update nonstandard faces that are supposed
	to use a modification of the frame's font.

1993-11-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-variables): Abbreviate truename for comparison.

1993-11-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (make-face-unitalic, make-face-unbold, make-face-bold)
	(make-face-bold-italic, make-face-italic): If frame is t,
	do the special handling only if face-font is a list.

	* etags.el (tags-add-tables): New variable.
	(visit-tags-table-buffer): Use it.
	(default-tags-table-function): No longer user var, no longer autoload.

	* ange-ftp.el (ange-ftp-binary-file-name-regexp):
	Accept .tgz and .taz files.

	* tpu-edt.el (tpu-revision): Variable deleted.

1993-11-24  Rob Riepel  (riepel@Snowflake.Stanford.edu)

	* tpu-edt.el (tpu-quoted-insert): New function.
	(tpu-reset-control-keys): Remove C-f mapping.
	Insert (in file) fsets for free/bound cursor, scroll
	margins, key mappings for same.

	* tpu-extras.el: Remove free/bound cursor and scroll
	margin fsets and key mappings.  Add autoload cookies.

	* tpu-doc.el: Add sample test for tpu-set-scroll-margins.

1993-11-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-send-input): Don't call comint-arguments
	to set HISTORY, even if comint-input-autoexpand is not `history'.
	When comint-input-autoexpand is `history', undo part of prev change:
	do put INPUT back in the buffer in place of expanded hist.

	* tabify.el: Add a provide.

	* vc.el (vc-next-action): Doc fix.
	(vc-checkout-carefully): New variable.
	(vc-next-action-on-file): Obey vc-checkout-carefully.

	* vc-hooks.el (vc-make-backup-files): Doc fix.
	(vc-rcs-status): Use colon, not dash, in the string LOCKS.

	* rmailsort.el (rmail-sort-messages): In summary buf, go to rmail buf.

	* subr.el (walk-windows): If start at minibuf window, do return to it.

	* comint.el (comint-send-input): Don't call comint-arguments while
	computing the value for history.
	(comint-delim-arg): Treat quoted delim chars as non-delims.

1993-11-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (count-lines): In selective-display case,
	adjust value if end is not at bol.

	* isearch.el (isearch-other-meta-char): Correct the test for a split-up
	mode line or scroll bar mouse event.

	* icomplete.el: New file.

	* info.el (Info-follow-reference): Correct one-off error in
	comparing start-point.

	* dired-aux.el (dired-diff): Require diff.

	* telnet.el (telnet-rsh-program): New variable.
	(rsh): Use it.
	(telnet-count): Now buffer-local.

	* finder.el (finder-known-keywords): Add data, faces, mouse, matching.

	* edebug.el: Delete periods from error messages.
	(edebug-functionp): Recognize compiled functions.
	(edebug-display): Supply missing parens in let.

	* simple.el (repeat-complex-command): Undo Oct 2 change.

	* c-mode.el (c-indent-region): Don't goto-char sexpend if it's nil.
	As first thing, advance to a nonblank line.

	* view.el (View-scroll-lines-forward):
	Allow scrolling backward at the end of the buffer.

	* comint.el (comint-preinput-scroll-to-bottom): If SCROLL is `this',
	don't bother with walk-windows; just hack the selected window.

	* avoid.el: New file.
	* shadowfile.el: New file.

1993-11-22  Morten Welinder  (terra@tyr.diku.dk)

	* add-log.el (add-change-log-entry): Put buffer in change-log-mode.
	(find-change-log): Correct calculation of file one directory out.

1993-11-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-goto-file): Don't try matching one line twice.

	* rmailsum.el (rmail-summary-wipe): If rmail buffer is not visible,
	switch to it in this window.
	(rmail-summary-mode): Doc fix.

	* dired.el (dired-readin-insert): Expand default-directory and dirname
	before comparing them.
	(dired-internal-noselect): Set default-directory to abbreviated name.

	* mouse.el (mouse-save-then-kill-delete-region):
	Call undo-boundary at the beginning and at the end.

	* gnuspost.el (gnus-inews-do-fcc): If gnus-author-copy-saver
	is rmail-output, call rmail-output the proper way.

	* man.el (Man-specified-section-option): New variable.
	(Man-translate-references): Use that variable.

1993-11-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-start-end): Use MODE mod 3.
	(mouse-save-then-kill): Test mouse-selection-click-count mod 3.
	(mouse-drag-secondary, mouse-secondary-save-then-kill): Likewise.

	* inf-lisp.el (inferior-lisp-proc): Clean up error message.

	* iso-acc.el (iso-accents-enable): New variable.
	(key-translation-map): Enable an accent only if in iso-accents-enable.

	* lisp-mode.el (lisp-eval-defun): Renamed from lisp-send-defun.
	(lisp-mode-map): Use new name lisp-eval-defun.
	Move run-lisp to C-x C-z.

	* sendmail.el (mail-yank-original):
	Delete windows on selected frame only.

	* mouse.el (mouse-kill-secondary): Do the kill in proper buffer.
	Give error if in the wrong buffer.
	(mouse-secondary-save-then-kill): Give error if click is not in
	the buffer already used for secondary selection.
	Don't switch windows; always temporarily switch buffers.

	* mail-utils.el (mail-fetch-field): Exclude trailing whitespace.
	Delete duplicate (goto-char (point-min)).

	* faces.el (x-resolve-font-name): Undo previous change.

	* info.el (Info-edit): Use proper map in substitute-command-keys.

1993-11-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tex-mode.el (tex-send-command): Wait for output first,
	if text has not changed since previous tex-send-command.
	(tex-send-command-modified-tick): New buffer-local variable.

	* texinfo.el (texinfo-tex-region): Use tex-send-command to do commands.
	(texinfo-tex-buffer, texinfo-texindex, texinfo-tex-print): Likewise.
	(texinfo-delete-from-print-queue, texinfo-quit-job): Likewise.

	* tex-mode.el (tex-start-shell): Don't use -v option.
	(tex-send-command): Insert text in the buffer, then use
	comint-send-input to send it.

	* etags.el (tags-complete-tag): Bind enable-recursive-minibuffers to t.

1993-11-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line): Set init-file-had-error to t or nil.
	(command-line-1): Inhibit startup message if init-file-had-error.

1993-11-19  Robert J. Chassell  (bob@geech.gnu.ai.mit.edu)

	* texinfmt.el (texinfo-if-set, texinfo-if-clear): Act
	appropriately when flat neither set nor cleared.

1993-11-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnuspost.el (gnus-inews-do-fcc): Use gnus-output-to-rmail
	if file is an rmail file.  Pass extra args to rmail-output.

	* simple.el (eval-expression): Don't bind minibuffer-history-sexp-flag.
	(edit-and-eval-command): Likewise.

	* ange-ftp.el (ange-ftp-parse-dired-listing): Skip extra blank line
	after the "total" line.

	* hexl.el (hexlify-buffer): Add autoload cookie.

1993-11-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso-acc.el (iso-accents-list): Fix entries for 'y and ~c.
	(iso-accents-list): Add "s.

1993-11-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-scroll-show-maximum-output): Make default nil.

	* gnus.el (gnus-summary-save-in-mail): Use rmail-output
	if the file is not an Rmail file.

	* font-lock.el (font-lock-hack-keywords):
	Handle next-single-property-change returning nil.

1993-11-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.21 released.

	* gnus.el (gnus-summary-save-in-mail): Don't use rmail-output.
	Instead, use either gnus-output-to-rmail or gnus-output-to-file.
	Expand filename before use.
	* rmailout.el (rmail-file-p): Add autoload cookie.

	* comint.el (comint-send-input): Run comint-output-filter-functions
	only if process is using comint-output-filter as its filter.

	* subr.el (remove-hook): Doc fix.

	* rmail.el (rmail-set-attribute): Do nothing if MSGNUM is 0.

	* nntp.el (nntp-encode-text): Insert a CR before the newline.

	* info.el (Info-mode): Doc fix.

	* loaddefs.el: Delete duplicate etags.el autoloads.

	* add-log.el (change-log-default-name, add-log-current-defun-function)
	(add-log-full-name, add-log-mailing-address): Delete autoload cookies.

1993-11-15  Per Bothner  (bothner@cygnus.com)

	* iso-acc.el (iso-accents-list): Added /A for A-with-ring
	and /E for AE-ligature, with lowercase versions.  These
	letters are used (with O-with-slash) in Norwegian and Danish.

1993-11-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* appt.el (appt-display-interval): New variable.
	(appt-check): Obey that variable.

	* sun.el (sun-raw-prefix): Make this just a variable,
	not a function name.

	* startup.el (command-line-1): Display a message in the echo area.

	* comint.el (comint-read-input-ring, comint-write-input-ring):
	Treat "" like nil in comint-input-ring-file-name.

1993-11-15  Robert J. Chassell  (bob@grackle.stockbridge.ma.us)

	* page.el: Add `provide'.
	(narrow-to-page): Enable page-delimiter to span lines.

	* page-ext.el: Revise documentation.  Add `provide'.
	(pages-directory-for-adding-addresses-narrowing-p):
	New user option for adding addresses.  Default to narrowing.
	(pages-directory-for-addresses): Install user settable options.
	(add-new-page): Insert new page in specified location.
	(original-page-delimiter): Set default value to "^^L".

1993-11-15  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc.el: vc-static-header-alist shouldn't have been declared const.

1993-11-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): New argument FROM-GNUS.
	* gnus.el (gnus-summary-save-in-mail): Pass new args to rmail-output.

	* solar.el (solar-equinoxes-solstices): Add autoload.

	* calendar.el (solar-holidays): Change top-level progn to an if.

	* mouse.el (mouse-save-then-kill-delete-region): Take args BEG and END.
	Update the undo list properly.
	(mouse-save-then-kill): Pass those args.
	When we kill, clear mouse-save-then-kill-posn
	and mouse-selection-click-count.
	(mouse-secondary-save-then-kill): Likewise.
	Delete the overlay after deleting the selection text.
	(mouse-selection-click-count): Initialize to 0.
	(mouse-save-then-kill-delete-region): Handle buffers with no undo list.
	Handle empty regions.  Handle end < beg.

	* rmailsum.el (rmail-summary-forward): Accept prefix arg
	and pass it to rmail-forward.

1993-11-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compare-w.el (compare-windows-skip-whitespace): Swap the two
	and's within the or.

	* help.el (describe-project): New function, on C-h C-p.
	(help-for-help): Add C-p.  Refer to help-command, not
	help-for-help, in the \\[...].

	* paths.el (rmail-spool-directory): Check for irix,
	not silicon-graphic-unix.
	* dired.el (dired-chown-program): Likewise.
	* lpr.el (lpr-command): Likewise.

	* xscheme.el: Add a provide call.

	* dired.el (dired-make-relative): Expand DIR if starts with ~.

1993-11-12  Paul Eggert  (eggert@twinsun.com)

	* cal-dst.el (calendar-absolute-from-time): Undo Sep 14 patch.
	Fix comments instead, since they didn't match the code.

1993-11-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-match-partial-filename): Consider +@: part of
	filenames; don't consider parens as part of them.

	* fill.el (fill-individual-paragraphs): Fix skipping headers
	of yanked message.

	* rmailsum.el (rmail-summary-edit-map): Inherit text-mode-map properly.

1993-11-12  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-rename-file): Don't overwrite an existing file.
	Fix test for unsaved files.
	Calculate name of new master file properly.

1993-11-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.20 released.

	* man.el (Man-section-regexp): Allow section names l, n, L, N.

1993-11-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Handle help-char values other than chars.

	* c-mode.el (c-indent-region): When looking for a sexp that ends
	past this line, make sure it really starts on this line.

	* replace.el (occur-mode): Run occur-mode-hook.

1993-11-10  Robert J. Chassell  (bob@kropotkin.gnu.ai.mit.edu)

	* texinfo.el (texinfo-texi2dvi-command): Separate `texi2dvi'
	command from `tex' command so `texinfo-format-region' can use
	straight `tex' command.
	(texinfo-format-buffer): Use `texinfo-texi2dvi-command'.
	(texinfo-delete-from-print-queue): Revise documentation.
	(texinfo-quit-job): Use comint-send-input.

	* texinfmt.el (texinfo-format-region): Change `texinfo-[start
	end]-of-header' to `tex-[start end]-of-header'.

1993-11-10  Brian J. Fox  (bfox@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-start-mail): Don't do other frame unless we have
	a window system, regardless of the state of rmail-mail-new-frame.

	* man.el (Man-filter-list): Include anything starting with
	alphabetics, and containing "Last change:".
	(manual-entry): Don't call `Man-downcase' since
	Man-translate-references has already done the right thing.

	* info.el (Info-extract-menu-item): Quote `*' in the menu-item
	leading re-search to prevent us from finding node names which
	contain the text of another node name within them.

	* files.el (find-backup-file-name): Don't fatal-error on
	directories that are hard to read; fall back on ~/%backup%.

	* hexl.el (hexl-mode): Use `add-hook' to modify buffer local
	`write-contents-hooks'.
	(hexl-mode-exit): Remove our hook when turning off Hexl mode.

	* files.el (file-truename): Treat ~USER like just ~.

	* subr.el (remove-hook): New function, analogous to add-hook.  This
	is now the recommended way to remove a hook that you have added.
	* lucid.el (remove-hook): Function deleted.

1993-11-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-mode-map): Add C-c C-e bindings for texinfmt.el.

	* texnfo-upd.el (texinfo-sequential-node-update): Add autoload.
	(texinfo-update-node, texinfo-every-node-update): Add autoload.

	* comint.el (comint-postoutput-scroll-to-bottom):
	Don't alter point in a window if it's after the process-mark.
	Don't treat minibuffer window specially.

	* menu-bar.el (menu-bar-edit-menu): Add menu items for searching.

	* etags.el (etags-list-tags): Return t if found the file.
	(list-tags): Clear first-time when we go around the loop.
	Supply file name in error message.
	Remove dir names from files when preparing for completion.

1993-11-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el: Doc fixes.

1993-11-08  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* comint.el (comint-preinput-scroll-to-bottom): Added
	comint-magic-space to list of commands recognised as inserting.

	* comint.el (comint-output-filter): Corrected check for killed
	buffer.

1993-11-08  Robert J. Chassell  (bob@geech.gnu.ai.mit.edu)

	* texinfo.el (texinfo-show-structure): Indent appendices properly.

1993-11-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* disp-table.el (describe-current-display-table):
	Don't get error if no display table now.
	(describe-display-table): Put all the output in the temp buffer.

	* ws-mode.el (wordstar-mode): Add autoload.

	* pascal.el: New file.
	* thingatpt.el: New file.
	* mouse-sel.el: New file.

	* ispell.el (ispell-message): Delete excess (beginning-of-line).

	* frame.el (set-frame-configuration): Iconify frames
	rather than making them invisible.

	* register.el (jump-to-register): Rename prefix arg to DELETE
	and invert its sense.

	* comint.el (comint-postoutput-scroll-to-bottom):
	Walk the windows even if scroll is nil.

1993-11-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ispell.el (ispell-message): If gnus, but no mail-yank-prefix,
	use ispell-message-cite-regexp.  Turn off case-fold-search
	for the searching and matching in this function.

	* ispell.el (ispell-message): Stop if ispell-region returns nil.
	(ispell-next, ispell-word): Catch ispell-quit, not quit.
	(ispell-next): Return t if exit normally (no throw to ispell-quit).
	(ispell-command-loop): For q, throw to ispell-quit.
	Explicitly handle C-g.
	(ispell): If we don't call ispell-next, return t.

	* compare-w.el (compare-windows-skip-whitespace): Return t
	if there is whitespace before point.

	* iso-acc.el (iso-accents-mode): Doc fix.

	* comint.el (comint-postoutput-scroll-to-bottom):
	Always keep point at end in all buffers if was at end.
	comint-scroll-to-bottom-on-output controls what to do
	if point was not already at the end.

	* iso-acc.el: Support ~ and /.  Support 'Y, 'y, "y.
	Delete the `compose' support.
	(iso-accents-list): Fix typo in ^A code.  Support ~< and ~>.

	* iso-transl.el: Alter isearch-mode-map so C-x 8 works in search.

	* frame.el (set-frame-configuration): If NODELETE, make the
	unwanted frames invisible.

1993-11-07  Ethan Bradford  (ethanb@ptolemy.astro.washington.edu)

	* ispell.el (ispell-non-empty-string): New function.
	(ispell-message): Add autoload.
	Choose a citation regexp automatically.
	Don't fail if there is no following cited line after filled lines.

1993-11-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (Man-frame-parameters): New variable.
	(Man-notify-when-ready): Handle `newframe' as Man-notify value.

1993-11-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-load): Handle extra args after the file name.

1993-11-03  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* tex-mode.el (tex-alt-print): New function for menu bar.
	(tex-define-common-keys, tex-mode-map): Move some items from
	tex-define-common-keys to tex-mode-map.
	Add more menu-enable properties.
	(tex-append): Cope with both the original
	Pascal-based TeX and the newer C-based TeX.

1993-11-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (other-frame): Subtract 1 from hpos for new mouse position.

	* sendmail.el (sendmail-send-it): Don't insert Sender.

	* tex-mode.el (tex-validate-region, tex-region):
	Enable menu items if only mark is active.

1993-11-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-drag-region): Set this-command to mouse-set-point
	if not setting the mark.
	(mouse-save-then-kill): Consider mark-active only in transient mark md.

1993-10-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tex-mode.el (tex-define-common-keys): Define menu items.

1993-10-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-mode-map): Merge menu bar item Output into Input.
	Rename Completion to Complete.

	* font-lock.el (font-lock-fontify-buffer): Don't turn
	font-lock-mode on and off; just call font-lock-set-defaults.

1993-10-26  Lawrence R. Dodd  (dodd@roebling.poly.edu)

	* ispell.el (ispell-look-command): New user variable.
	(ispell-do-look, ispell-lookup-build-list): Use it as
	PROGRAM for call-process instead of just "look".

	* ispell.el (ispell-complete-word-interior-frag): New command.
	(ispell-complete-word): New command.
	(ispell-menu-map): Add bindings for them.
	(ispell-gnu-look-still-broken-p, ispell-look-dictionary): New vars.

	* text-mode.el (text-mode-map): Bind ispell-complete-word to M-TAB.

1993-10-26  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (eval-expression): Fix typo: missing paren.
	(read-expression-map): Use an indirection to minibuffer-local-map
	rather than copying it.

1993-10-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bookmark.el (bookmark-load, bookmark-write-file):
	Bind enable-local-variables instead of enable-local-eval.

1993-10-25  Karl Fogel  (kfogel@mole.gnu.ai.mit.edu)

	* bookmark.el (bookmark-load, bookmark-write-file): Made
	enable-local-eval be nil when loading a bookmark file, since
	bookmark context strings can contain eval forms from the files in
	which the bookmarks are set, and we don't want them evalled when
	.emacs-bkmrks is found!

	Got rid of ###autoload to put a bookmark menu on the menu-bar.
	Now it will appear on the File menu -- that change is made in
	menu-bar.el.  See below:

	* menu-bar.el: Added a define-key for menu-bar-bookmark-map, so
	that bookmarks will appear on the File menu of the menu-bar, right
	after the Print Buffer item.

1993-10-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-scroll-to-bottom-on-input): Default to nil.
	(comint-mode): Use pre-command-hook, not before-change-function.
	(comint-preinput-scroll-to-bottom): Take no arguments.
	(comint-output-filter-functions):
	Renamed from comint-output-filter-hook.
	(comint-output-filter): Pass STRING as arg to output hook functions.
	(comint-preinput-scroll-to-bottom): Take an arg.
	Move point to new process mark if it was at the old one.
	Scroll so only if point is at or after the process mark.
	When scrolling, put end of text on bottom line, regardless of point.

1993-10-25  Brian J. Fox  (bfox@albert.gnu.ai.mit.edu)

	* ispell.el (ispell): If the buffer to spell has no associated
	file, or, the associated file has a special handler, use a
	temporary file with the buffer contents to pass to the local
	ispell process.

	* dired.el (provide): Provide "dired" before running user hooks.

	* ange-ftp.el (ange-ftp-dired-uncache): Fix parens so that `(setq
	...' is a result of the if statement, and not a top level
	expression.

	* simple.el (eval-expression, edit-and-eval-command): Let
	minibuffer-history-sexp-flag be 't during the call to
	read-from-minibuffer.

1993-10-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso-acc.el: Define "dead keys" in key-translation-map,
	not in global-map.
	(iso-accents-compose): New subroutine to do the composition.
	Method of doing so is new.
	(iso-accents-accent-key): Use iso-accents-compose.
	(iso-accents-compose-key): New function.

1993-10-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-yank): Handle `kill' as chunk type.
	(isearch-yank-kill): New command, on M-y and mouse-2.

	* frame.el (make-frame): Use before-make-frame-hook and
	after-make-frame-hook.

	* comint.el (comint-scroll-to-bottom-on-output)
	(comint-scroll-to-bottom-on-input): Default to nil if baud-rate<=9600.

1993-10-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-filename-prefix): Deleted.
	* rlogin.el (rlogin, rlogin-mode): Use comint-file-name-prefix,
	not comint-filename-prefix.

1993-10-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el (shell-after-partial-filename): Renamed from
	shell-after-partial-pathname.
	* comint.el (comint-after-partial-file-name-command):
	Renamed from comint-after-partial-pathname-command.
	(comint-match-partial-file-name, comint-after-partial-file-name):
	Renamed from comint-match-partial-pathname, etc.

1993-10-21  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* shell.el (shell-after-partial-pathname): New subroutine.

	* shell.el: Renamed shell-command-execonly to
	shell-completion-execonly for consistency.

	* shell.el (shell-read-input-ring, shell-input-ring-file-name):
	Moved to, and renamed in, comint.el.

	* shell.el (shell-dynamic-complete-command): Make sure local
	completion-ignore-case is nil.

	* shell.el (shell-mode): Set buffer-local variable paragraph-start
	to comint-prompt-regexp so paragraph motion/mark commands work on
	output groups.
	Set comint-after-partial-pathname to it.
	(shell-read-input-ring): Use find-file-noselect.

	* shell.el (shell-match-cmd-w/optional-arg): Removed.

	* comint.el (comint-last-output-start): New variable to record
	where most recent process output started from.
	(comint-mode): Initialise it.
	(comint-output-filter): Set it.

	* comint.el (comint-previous-matching-input-string): Moved to
	comint-previous-matching-input-position.
	(comint-previous-matching-input-string): Use it.
	(comint-search-arg, comint-search-start)
	(comint-previous-input-string): New subroutines.
	(comint-previous-input, comint-next-input)
	(comint-previous-matching-input, comint-next-matching-input)
	(comint-previous-matching-input-from-input)
	(comint-next-matching-input-from-input): Use them.

	* comint.el (comint-mode-map): Added signal menu-bar.  Moved
	comint-backward/forward-matching-input to output menu-bar, since
	they move within the buffer rather than do input.

	* comint.el (comint-send-input, comint-after-pmark-p)
	(comint-kill-input, comint-proc-query): Removed serialisation of
	obtaining the process mark's marker-position.

	* comint.el, shell.el: Commented out comint/shell-load-hooks.

	* comint.el (comint-dynamic-simple-complete): New subroutine.

	* comint.el (comint-dynamic-complete-filename-command): New variable.
	(comint-after-partial-pathname-command): New variable.
	(comint-after-partial-pathname): New subroutine.
	(comint-dynamic-complete): Use them.
	(comint-mode): Make them local.

	* comint.el, shell.el: Renamed comint-dynamic-complete-command to
	comint-dynamic-complete-command-command for consistency.
	Renamed comint-file-name-addsuffix/autolist/recexact to
	comint-completion-addsuffix/autolist/recexact for consistency.

	* comint.el (comint-replace-by-expanded-history): Check if input
	ring size is not big enough for relative reference.

	* comint.el (comint-read-input-ring, comint-input-ring-file-name):
	From shell.el.
	(shell-write-input-ring): New subroutine.

	* comint.el (comint-file-name-prefix): New variable.
	(comint-directory): New inline subroutine.
	(comint-dynamic-complete-filename, comint-dynamic-complete-variable)
	(comint-dynamic-list-filename-completions): Use it.

	* comint.el (comint-dynamic-complete-filename)
	(comint-dynamic-complete-variable)
	(comint-dynamic-list-filename-completions): Make sure local
	completion-ignore-case is nil.

	* comint.el (comint-next-prompt, comint-previous-prompt): Use
	paragraph-start and paragraph motion commands rather than
	re-search-forward and re-search-backward commands.

	* comint.el (comint-dynamic-list-input-ring)
	(comint-previous-matching-input-string): Use ring-empty-p rather
	than zerop and ring-length.

	* comint.el (comint-input-ignoredups): New variable.
	(comint-send-input, shell-read-input-ring): Use it.
	(comint-mode): Make comint-input-ignoredups local.  Doc fix.

	* comint.el (comint-scroll-to-bottom-on-input): New variable.
	(comint-scroll-to-bottom-on-output): New variable.
	(comint-scroll-show-maximum-output): New variable.
	(comint-output-filter-hook): New variable, defaults to
	comint-postoutput-scroll-to-bottom.

	* comint.el (comint-output-filter): Renamed from comint-filter
	for consistency.  Now calls comint-output-filter-hook.

	* comint.el (comint-preinput-scroll-to-bottom): New subroutine.
	(comint-postoutput-scroll-to-bottom): New subroutine.
	(comint-show-maximum-output): New command.
	(comint-copy-old-input): New command.

	* comint.el (comint-send-input): Run comint-output-filter-hook if
	necessary as a kludge to prevent messy redisplays.

	* comint.el (comint-mode-map): Added comint-show-maximum-output to
	C-c C-e and menu-bar output, and comint-copy-old-input to C-c C-i
	and menu-bar input.

	* comint.el (comint-mode): Make local variables
	comint-scroll-to-bottom-on-input, before-change-function,
	comint-scroll-to-bottom-on-output, comint-scroll-show-maximum-output,
	and comint-output-filter-hook.

1993-10-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (blink-matching-open): Treat / syntax like \ syntax.

	* texinfmt.el (texinfo-format-begin-end): Bind cmd locally.
	(texinfo-defun-type): Renamed from command-type in various fns.
	(texinfo-command-start, texinfo-command-end, texinfo-command-name)
	(texinfo-defun-type, texinfo-last-node-pos, texinfo-stack)
	(texinfo-short-index-cmds-alist)
	(texinfo-short-index-format-cmds-alist, texinfo-format-filename)
	(texinfo-footnote-number, texinfo-start-of-header)
	(texinfo-end-of-header, texinfo-raisesections-alist)
	(texinfo-lowersections-alist): Add defvars.

1993-10-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cdl.el: New file.

1993-10-20  Brian J. Fox  (bfox@gnu.ai.mit.edu)

	* forms.el (forms--set-minor-mode): Rewrite so that describe-mode
	can parse the value of minor-mode-alist correctly.  The string
	" View" is now dependent on the value of forms-read-only.

1993-10-20  Johan Vromans  (jv@mh.nl)

	* forms.el: Documentation: `forms-forms-scroll' and `forms-forms-jump'
	now default to nil.
	`forms-new-record-filter' and `forms-modified-record-filter'
	cannot be redefined as functions.
	Commands and keymaps are changed.
	Add function key defs.
	(forms-version): Docstring includes full RCS id.
	(forms-forms-scroll): Defaults to nil.
	(forms-forms-jump): Defaults to nil.
	(forms-mode-edit-map, forms-mode-ro-map): Additional keymaps
	for edit mode and read-only mode.
	(forms--new-record-filter, forms--modified-record-filter): Deleted.
	(forms-mode): Docstring now includes the key bindings, since
	both edit mode and read-only mode must be supported.
	Changed `forms-new-record-filter' and `forms-modified-record-filter'
	semantics: the variable must point to a function and may
	not be defined as a function anymore.
	Use three keymaps: `forms-mode-map' (C-c commands),
	`forms-mode-edit-map' (normal mode) and `forms-mode-ro-map'
	(read-only mode). The maps are not buffer local.
	Changed the text of error messages to be more descriptive, and
	consistent with the documentation.
	Moved setting up write-file-hooks and revert-buffer-function
	to function `forms--change-commands'.
	(forms--process-format-list): Changed error messages to be
	more descriptive.
	(forms--set-keymaps): Setup the three keymaps.
	(forms--mode-commands): Use new command key bindings.
	(forms--mode-commands1): New helper function for
	`forms--mode-commands'.
	(forms--change-commands): Handle setup of
	local-write-file-hooks and revert-buffer-function.
	(forms--help): Show new command bindings.
	(forms--show-record): Replaced `forms--modified-record-filter' by
	`forms-modified-record-filter'.
	(forms-jump-record): Changed error message.
	(forms-toggle-read-only): New function, replaces
	`forms-view-mode' and `forms-edit-mode'.
	(forms-view-mode, forms-edit-mode): Deleted.
	(forms-insert-record): Replaced `forms--new-record-filter' by
	`forms-new-record-filter'.
	(forms-insert-record, forms-delete-record): Disallow in read-only
	mode.
	(forms-prev-field): New function.

1993-10-19  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-week-start-day): New var (autoloaded) to
	allow the calendar week to start on any day, not just Sunday.
	(calendar-mod): New support function.
	(calendar-cursor-to-visible-date, generate-calendar-month)
	(calendar-beginning-of-week, calendar-end-of-week): Rewritten to
	use new var calendar-week-start-day.

	* holidays.el (holiday-easter-etc): Fix Ascension Day string.

	* diary.el (list-sexp-diary-entries): Fix doc string.

	* solar.el (solar-n-hemi-seasons, solar-s-hemi-seasons): New vars.
	(solar-equinoxes-solstices): Use them to fix names for
	southern hemisphere.

	* calendar.el (calendar-day-name-array, calendar-month-name-array)
	(calendar-islamic-month-name-array)
	(calendar-hebrew-month-name-array-common-year)
	(calendar-hebrew-month-name-array-leap-year): Change to defvar.

	* diary.el (hebrew-calendar-parashiot-names): Change to defvar.

1993-10-18  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (list-tags): Fix completing-read call interactive spec;
	TABLE and PREDICATE args were reversed, and more processing was
	needed on tags-table-files.

1993-10-18  Noah Friedman  (friedman@splode.com)

	* rlogin.el (rlogin-initially-track-cwd): New variable.
	(rlogin): Use it to determine whether enable directory tracking
	via ange-ftp.
	(rlogin-mode): Make `comint-filename-prefix' local here.

	* rlogin.el (rlogin): Arguments to function are now a string with
	multiple words (hostname first) and an optional prefix.
	(rlogin-with-args): Function deleted.

	* rlogin.el (rlogin): Set process filter after calling
	`rlogin-mode' since the latter called `comint-mode', which sets
	its own initial process filter.

1993-10-18  Barry A. Warsaw, ITB  (warsaw@anthem)

	* reporter.el (reporter-submit-bug-report, reporter-mailer):
	reporter-mailer variable can now take a list of mailers,
	trying each one until an commandp one is found.

	* reporter.el: Fixed elisp archive address.
	Handle dumping of buffer local variables via reporter-eval-buffer.

1993-10-14  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-checkout): Do not set umask to value that does
	not allow user-write permission while `co' is running; this breaks
	versions of `co' that need to write temporary files.

1993-10-13  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* rmailout.el (rmail-output-file-alist): Doc fix.

1993-10-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* supercite.el, regi.el: New files.
	* sc-elec.el: Files deleted.
	* sc.el: Just load supercite.

1993-10-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (abbreviated-home-dir): Doc fix.

1993-10-11  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Take new optional arg to not set
	cursor-in-echo-area.

1993-10-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-retry-setup-hook): New hook variable.
	(rmail-retry-failure): Use that variable.

	* pp.el: New file.

1993-10-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ispell.el (ispell-message-cite-regexp): Add definition.

1993-10-09  Karl Fogel  (kfogel@occs.cs.oberlin.edu)

	* bookmark.el (bookmark-write): Add numbered backups for bookmark file.
	(bookmark-version-control): New variable.

	* bookmark.el (bookmark-jump): bookmark-jump now gives a
	default value if no bookmark is entered manually.
	(bookmark-set): Default to bookmark-current-bookmark or
	buffer-name the way bookmark-jump does.

	* bookmark.el (ctl-x-map): Check if C-x r is a prefix
	before using it as one.

	* bookmark.el: Include string "Bookmarks" in defining
	[menu-bar bookmark] in global-map in the menu-bar code.

	* bookmark.el (menu-bar-bookmark-map): Supply t as 4th arg of autoload.

	* bookmark.el (bookmark-jump-noselect): New subroutine taken from
	bookmark-jump.  Support compressed files.
	(bookmark-jump): Call bookmark-jump-noselect.
	Offer to relocate if necessary, but change default dir to that of
	the old bookmark in read-file-name.

	* bookmark.el (bookmark-set, bookmark-rename, bookmark-delete)
	(bookmark-write-file, bookmark-load, Bookmark-menu-show-filenames)
	(Bookmark-menu-hide-filenames, Bookmark-menu-bookmark)
	(Bookmark-menu-save, Bookmark-menu-load): Fixed the save-excursion
	bugs by wrapping things in save-window-excursion as well.

	(bookmark-make-menu-bar-alist): Added sorting.

	(bookmark-map): Added new keybindings.
	(bookmark-try-default-file): Set bookmarks-already-loaded to t
	after the load.

	* bookmark.el (list-bookmarks): Added bookmark menu stuff.
	(Bookmark-menu-*): New functions.

1993-10-09  David J. MacKenzie  (djm@kropotkin.gnu.ai.mit.edu)

	* isearch.el, reporter.el: Change comments saying they're not yet
	part of GNU Emacs.

1993-10-08  Jonathan I. Kamens  (jik@security.ov.com)

	* timezone.el (timezone-parse-date): Handle new style 22-AUG-1993.

	* rmail.el (rmail): Really don't get new mail if file name was given.
	(rmail-reformat-message): Move past Mail-from as well as Summary-line.
	(rmail-toggle-header): Likewise.
	(rmail-next-undeleted-message): Return t unless hit end of buffer.
	(rmail-delete-forward): Likewise.
	(mail-unsent-separator): Add `Original message follows'.
	(rmail-resend): Handle mail-self-blind.

	* files.el (hack-local-variables): If buffer has no file,
	display its buffer name.

	* rmailout.el (rmail-output): If message was shown with full headers,
	copy the full headers (or each message copied) into the file.
	New local var original-headers-p, header-beginning, mail-from.
	Bind locals outside the while loop.  Kill tembuf only after loop.
	If message has a saved mail-from field, use that.
	Detect reaching end of rmail buffer; display # messages copied.

1993-10-06  Morten Welinder  (terra@diku.dk)

	* desktop.el: Internal clean-up.  Save information about current
	tags files, don't save the tags buffers (to save reload time).
	Don't save desktop-globals-to-save (desktop files must be erased
	for this to take effect, sorry.)  Save "mark-activity" and
	allow multi-dir direds.

1993-10-04  Brian J. Fox  (bfox@albert.gnu.ai.mit.edu)

	* telnet.el (rsh): Add `host' to args passed to make-comint.

1993-10-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-convert-to-babyl-format): Protect against
	nonsensical content-length values.

1993-10-04  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc.el (vc-next-action): Fix (throw ... ) invocation to work with 19;
	allows vc-next-action on all marked files in a dired buffer to work.

	(vc-finish-logentry): There isn't necessarily a *VC-log-entry* buffer
	to remove if this function was called from within a dired buffer.  Fix
	its handling of this case.

1993-10-02  Brian J. Fox  (bfox@ai.mit.edu)

	* simple.el (edit-and-eval-command): Let `read-from-minibuffer'
	manipulate the history list, don't manipulate it directly.
	(repeat-complex-command): Same thing.

1993-10-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el (build-mail-abbrevs): Pass just 1 arg to
	substitute-in-file-name.

1993-09-27  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-find-binary): Fix bug; it always claimed success.

1993-09-26  Johan Vromans  (jv@mh.nl)

	* forms.el: Version 2.3.
	Documentation: `forms-forms-scroll' and `forms-forms-jump'
	now default to nil.
	`forms-new-record-filter' and `forms-modified-record-filter'
	cannot be redefined as functions.
	Commands and keymaps are changed.
	Add function key defs.
	(forms-version): Docstring includes full RCS id.
	(forms-forms-scroll): Defaults to nil.
	(forms-forms-jump): Defaults to nil.
	(forms-mode-edit-map, forms-mode-ro-map): Additional keymaps
	for edit mode and read-only mode.
	(forms--new-record-filter, forms--modified-record-filter): Deleted.
	(forms-mode): Docstring now includes the key bindings, since
	both edit mode and read-only mode must be supported.
	Changed `forms-new-record-filter' and `forms-modified-record-filter'
	semantics: the variable must point to a function and may
	not be defined as a function anymore.
	Use three keymaps: `forms-mode-map' (C-c commands),
	`forms-mode-edit-map' (normal mode) and `forms-mode-ro-map'
	(read-only mode). The maps are not buffer local.
	Changed the text of error messages to be more descriptive, and
	consistent with the documentation.
	Moved setting up write-file-hooks and revert-buffer-function
	to function `forms--change-commands'.
	(forms--process-format-list): Changed error messages to be
	more descriptive.
	(forms--set-keymaps): Setup the three keymaps.
	(forms--mode-commands): Use new command key bindings.
	(forms--mode-commands1): New helper function for
	`forms--mode-commands'.
	(forms--change-commands): Handle setup of
	local-write-file-hooks and revert-buffer-function.
	(forms--help): Show new command bindings.
	(forms--show-record): Replaced `forms--modified-record-filter' by
	`forms-modified-record-filter'.
	(forms-jump-record): Changed error message.
	(forms-toggle-read-only): New function, replaces
	`forms-view-mode' and `forms-edit-mode'.
	(forms-view-mode, forms-edit-mode): Deleted.
	(forms-insert-record): Replaced `forms--new-record-filter' by
	`forms-new-record-filter'.
	(forms-insert-record, forms-delete-record): Disallow in read-only
	mode.
	(forms-prev-field): New function.

1993-09-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* disass.el (disassemble-internal): Allow a call to byte-code
	as argument.

1993-09-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ispell.el (ispell-message): Handle cited messages.

	* frame.el (other-frame): Warp the mouse so that the other
	frame actually stays selected.

1993-09-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-delete-max-match): New function.
	(mouse-choose-completion): Use that.  Now supports buffers
	other than minibuffer.

	* comint.el (comint-version): Deleted--no need for separate version.
	(comint-input-ring-index): Make this a permanent local.
	(comint-mode): Don't alter comint-input-ring-index or comint-input-ring
	if already set meaningfully.

1993-09-21  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* comint.el (comint-mode-map): Added keys M-R/S for
	comint-previous/next-matching-input-from-input and to completion
	menu-bar.  Added comint-forward/backward-matching-input and
	comint-previous/next-matching-input to completion menu-bar.

	* comint.el (comint-mode): Doc fix for functionality.

	* comint.el (comint-exec-1): Uses setenv.
	(comint-update-env): Removed.

	* comint.el (comint-input-ring-size): Incremented to 32, as with
	command history.
	(comint-dynamic-list-input-ring): Check for zero
	length ring.  Use ring length, not ring size, when generating
	list.  Use buffer " *Input History*".
	(comint-previous-matching-input-string): Check for zero-length ring.
	Check last item in case at end of cycle and it's a match.
	(comint-searching-input-ring): New subroutine.

	* comint.el (comint-regexp-arg): New subroutine.

	* comint.el (comint-previous-matching-input-from-input): New command.
	(comint-next-matching-input-from-input): New command.

	* comint.el (comint-replace-by-expanded-history): Fix for matching
	inside quotes.  Fix to allow argument subrange specifiers.  Fix to
	identify and reject absolute input number references.

	* comint.el (comint-within-quotes): New subroutine.
	(comint-how-many-region): New subroutine.
	(comint-args): New subroutine.
	(comint-delim-arg): New subroutine.
	(comint-arguments): New subroutine.
	(comint-delimiter-argument-list): New variable.

	* comint.el (comint-send-input): Inserts input arguments into ring
	separated by single spaces.

	* comint.el (comint-filter): Checks the buffer's process to make
	sure it's still there.  Otherwise, set-buffer will fail.

	* comint.el (comint-backward-matching-input): New command.
	(comint-forward-matching-input): New command.

	* comint.el (comint-next-prompt, comint-previous-prompt):
	Error if reach beg/end of buffer.

	* comint.el (comint-dynamic-complete): Fix for absolute input
	number references.
	(comint-dynamic-complete-filename): Changed listings
	function to comint-dynamic-list-filename-completions.  Uses
	file-directory-p rather than string-match to test for directories.
	(comint-dynamic-list-completions): Changed to list the
	list of completions supplied as the function argument.  Use buffer
	" *Completions*".

	* comint.el (comint-match-partial-pathname): New subroutine.
	(comint-dynamic-complete-variable): New command.
	(comint-dynamic-list-filename-completions): New function.

	* shell.el (shell-delimiter-argument-list): New variable.
	(shell-input-ring-file-name): New variable.

	* shell.el (shell-mode-map): Changed file name completions listing
	binding to new name comint-dynamic-list-filename-completions.

	* shell.el (shell-mode): Call new function shell-read-input-ring
	and shell-dirstack on start up.  Doc fix for new functionality.

	* shell.el (shell-mode): Set shell-input-ring-file-name depending
	on the command that was invoked for the inferior shell.  Set
	comint-delimiter-argument-list to shell-delimiter-argument-list.

	* shell.el (shell-read-input-ring): New function.

	* shell.el (shell-directory-tracker): Use comint-arguments.

	* shell.el (shell-front-match): Removed.
	(shell-match-cmd-w/optional-arg): Removed.

	* shell.el (shell-process-popd): Fixed bug when numeric argument
	equal to length of stack including current directory.
	(shell-process-pushd): Fixed missing ()s in cond.

	* shell.el (shell-dynamic-complete-command): Uses exec-path minus
	trailing emacs library path.  Uses "." for nil elements in
	exec-path.  Uses string-match rather than funcall to test
	candidate extensions.  Uses member on completions list rather than
	file-exists-p to test for existence.  Uses file-directory-p rather
	than funcall to test for directory.  Uses directories only if in
	current directory.  Uses comint-dynamic-list-completions.

1993-09-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el (global-map): Add bindings for menu and find keys.
	(function-key-map): Add translation for labeled help key.

	* mouse.el (mouse-drag-region): Put the text on the kill ring.
	Don't set mark if region is empty.
	(mouse-yank-at-click): Set this-command.
	(mouse-start-end): Fix double-click-on-closeparen case.
	(mouse-save-then-kill): When used repeatedly at different places,
	alter the nearer end of the region.  This applies regardless of how
	the previous selection was made.
	(mouse-drag-secondary, mouse-secondary-save-then-kill):
	Rewrite for xterm-style dragging and extending.

	* comint.el (comint-previous-input):
	Don't use replace-match; just insert before deleting.
	(comint-magic-space): Use self-insert command.
	(comint-history-file-name): New variable.

1993-09-21  Brian J. Fox  (bfox@albert.gnu.ai.mit.edu)

	* edebug.el (edebug-enter): Don't call the current function being
	debugged in pre-command-hook or post-command-hook.

1993-09-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* edmacro.el: Total rewrite by Gillespie.

1993-09-20  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* shell.el (shell-command-regexp, shell-command-execonly)
	(shell-pushd-tohome, shell-pushd-dextract)
	(shell-pushd-dunique): New variables.

	* shell.el (shell-mode-map): Bound shell-forward/backward-command
	to C-c C-f and C-c C-b.

	* shell.el (shell-mode): Set comint variables for which
	shells have different values:
	comint-get-current-command, comint-dynamic-complete-command.

	* shell.el (shell-directory-tracker): Parse through
	command sequences for directory commands.
	(shell-process-popd): Signal error if can't
	process argument/stack.  Fixed bug when no argument and no stack.
	(shell-process-cd): Signal error if can't process argument.
	(shell-process-pushd): Signal error if can't
	process argument/stack.  Handle shell-pushd-tohome,
	shell-pushd-dextract, and shell-pushd-dunique.

	* shell.el (shell-forward-command, shell-backward-command)
	(shell-dynamic-complete-command): New commands.

1993-09-20  Simon Marshall  (Simon.Marshall@mail.esrin.esa.it)

	* comint.el (comint-mode): Initialize comint-input-ring before
	running comint-mode-hook.

	* comint.el (comint-input-autoexpand): New variable.
	(comint-dynamic-complete-command): New variable.
	(comint-get-current-command): New variable.

	* comint.el (comint-read-input-ring): New function.

	* comint.el (comint-send-input): Handle history expansion.
	(comint-input-sentinel): Doc fix.

	* comint.el (comint-mode-map): Added key binding for C-c C-h.
	Added menu bars for completion, input and output.

	* comint.el (comint-dynamic-list-input-ring): New function.

	* comint.el (comint-previous-input-string): New subroutine.
	(comint-previous-input): Use it.
	(comint-previous-matching-input-string): New subroutine.
	(comint-previous-matching-input): Use it.

	* comint.el (comint-replace-by-expanded-history): New command.
	(comint-magic-space): New command.
	(comint-replace-by-expanded-filename): Now replaces
	expanded match for a filename, and then calls filename completion
	comint-dynamic-complete-filename to do file name completion.

	* comint.el (comint-kill-output): Don't kill prompt.
	(comint-show-output): Don't move point if it's
	visible where it is, and if point is moved, put it after prompt.

	* comint.el (comint-dynamic-complete): Totally new definition.
	(comint-dynamic-complete-filename): New name for old
	function comint-dynamic-complete, completes files and lists
	candidates, souped up for configurability.
	(comint-dynamic-complete-variable): New command.
	(comint-file-name-autolist): New variable.
	(comint-file-name-addsuffix): New variable.
	(comint-file-name-recexact): New variable.

1993-09-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-save-then-kill): If follows a multi-click selection,
	extend the selection.
	(mouse-save-then-kill-delete-region): New subroutine.
	(mouse-selection-click-count): New variable.
	(mouse-drag-region): Set it.

	* ispell.el (ispell-message): New command, with menu bar item.

1993-09-19  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (revert-buffer):
	Enable menu item when the buffer is modified.

1993-09-17  Brian J. Fox  (bfox@inferno)

	* simple.el (kill-region): Use `equal' instead of `eq' to compare
	markers `beg' and `end'.  They might be two different markers that
	point to the same place.

	* rmail.el (rmail-forward): Insert the forwarded message
	on the line which follows mail-header-separator, not at the end of
	the buffer.

	* diary.el (diary-syntax-table): Make sure that we use a copy of
	standard-syntax-table, and not the table itself.

	* compile.el (compile-reinitialize-errors): Use ">=" to compare
	`find-at-least' to the `length' of compilation-error-list.

	* simula.el (simula-mode-syntax-table): Make sure that we use a
	copy of standard-syntax-table, and not the table itself.

	* compile.el (compile-internal): Back out jimb change of making
	buffer read-only.  It is non-ergonomic.

	* vc.el (vc-print-log): Delete extraneous lines of RCS output if
	present.

	* dired.el (dired-mode): Don't change the value of
	case-fold-search.

1993-09-15  Brian J. Fox  (bfox@inferno)

	* files.el (local-write-file-hooks): Make this variable
	buffer-local.

	* dired.el (dired-build-subdir-alist): Call `expand-file-name' to
	clean up the subdirectory title (removing extra "./").

1993-08-31  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-do-command): Remove debugging output.  Use (forward-line
	-1) instead of (previous-line 1).

1993-09-14  Brian J. Fox  (bfox@inferno)

	* rmail.el (rmail-convert-file): If the file is empty, don't
	convert it after inserting the BABYL header.

	* cal-dst.el (calendar-absolute-from-time): Fix typo by
	interchanging (floor) and  (%).

	* byte-opt.el (side-effect-free-fns): Add "-" and "1-" to the
	list.

	* subr.el (suppress-keymap): Use substitute-key-definition instead
	of manually checking each key (we were using 127 instead of 255
	anyway).

	* loaddefs.el (ctl-x-map): `C-x r c' now runs `clear-rectangle'.

	* texinfmt.el (texinfo-format-region texinfo-format-buffer): Add
	###autoload cookies.
	(batch-texinfo-format): Use `buffer-disable-undo' instead of
	obsolete function `buffer-flush-undo'.

	* solar.el (s-hemi-seasons n-hemi-seasons): New constants are
	hemisphere dependent list of season names.  The names are
	"international"; i.e., `vernal' and `autumnal' are used
	consistently.
	(solar-equinoxes-solstices): Use new constants, allowing southern
	hemisphere reports to be meaningful.
	(sunrise-sunset): Use `frame-width' instead of `screen-width'.

	* calendar.el (calendar-mode): Fix typos in documentation string.

	* outline.el (outline-minor-mode): Force update of modeline when
	outline-minor-mode is toggled.

1993-08-26  Jim Blandy  (blandy@comano.cscs.ch)

	* add-log.el (add-log-full-name, add-log-mailing-address): New
	variables.
	(add-change-log-entry): Don't ask for the login name and site name
	separately; instead, prompt for a mailing address; that's more
	useful.  Set add-log-full-name and add-log-mailing-address, so
	that the values specified persist after being specified once.
	Create a new change log entry if the mailing address doesn't
	match; don't just compare the date, full name, and login name.

1993-09-01  Brian J. Fox  (bfox@inferno)

	* tex-mode.el (slitex-mode): Add ###autoload magic cookie.

1993-08-27  Brian J. Fox  (bfox@sonderbar)

	* diff.el (diff): Doc fix.

1993-08-17  Brian J. Fox  (bfox@inferno)

	* version.el: Changed comment to refer to actual filename
	"inc-vers.el" instead of "inc-version.el".

1993-09-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-set-region): Put region in kill ring.
	(mouse-drag-region): Handle double and triple clicks
	when displaying region and when setting it.
	(mouse-skip-word, mouse-start-end): New functions.

1993-09-17  Jonathan Stigelman  <Stig@netcom.com>

	* hilit19.el:
	- (hilit-rehighlight-region): Added (save-restriction (widen))
	  to avoid hangups in dired.
	- Also slight improvements to fortran patterns and
	  hilit-default-face-table doc string
	- added optional case-fold argument to hilit-set-mode-patterns
	- added hilit-rehighlight-buffer-quietly to dired-after-readin-hook
	- fixed bug in hilit-string-find that mishandled some strings: "\\"
	- work-around for bug in next-overlay-change
	- the pattern matcher now starts it's searches from the end of the
	  most recently highlighted region (which is not necessarily the end
	  of the most recently matched regex).
	- code moved from hilit-highlight-region to hilit-set-mode-patterns.
	  This will affect you if you pass your patterns directly to
	  hilit-highlight-region....use a pseudo-mode instead.
	- twiddled C/C++, latex, texinfo, fortran, nroff patterns.
	- added calendar-mode, icon-mode and pascal-mode patterns
	- diverged lisp-mode and emacs-lisp-mode...also added lisp keywords.

1993-09-17  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* yow.el (read-zippyism): New function.

	* cookie1.el (read-cookie): New function.

1993-09-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (directory-abbrev-alist): Doc fix.

1993-09-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (perldb): New function, plus subroutines.

	* text-mode.el (indented-text-mode): Make only blank lines
	separate or start paragraphs.  Doc fix.

	* font-lock.el (font-lock-fontify-region): Don't add `font-lock' props.
	(font-lock-unfontify-region): Don't remove `font-lock' props.
	(font-lock-hack-keywords): Don't add `font-lock' props.
	Handle values other than t and nil for allow-overlap-p specially.
	(c-font-lock-keywords-1): Don't override how comments in #if... appear.
	Highlight text after #else or #endif.

1993-09-15  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-version-other-window): New function.
	(vc-backend-checkout): Add optional arg workfile, which specifies
	where to put the working file.
	* vc-hooks.el (vc-prefix-map): Bind C-x v ~ to
	vc-version-other-window.

1993-09-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-forward): Insert the text right after the
	header separator.

	* iso-acc.el: Set up keymap at load time.
	(iso-accents-mode): Not here.  Just setq iso-accents-minor-mode.
	(iso-accents-minor-mode): Make it local in all buffers.

1993-09-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso-acc.el: New file.
	Rename `iso-accents' to `iso-accents-mode' and change comments
	accordingly.  Fix doc strings.
	(iso-accents-minor-mode): Now a user option.
	(iso-accents-mode): Positive arg means enable.
	No arg means toggle.

1993-09-13  Per Cederqvist  (ceder@signum.se)

	* forms.el: Change typos in comments.
	(forms-delete-record, forms--update): Use `delete-region' instead of
	`kill-line' to avoid messing around with the kill ring.

1993-09-13  Johan Vromans  (jv@mh.nl)

	* forms.el: Release 2.1 for Emacs 19.19.
	(forms--process-format-list): No need to prepend a text item
	anymore.
	(forms--ro-modification-start): Renamed to `forms--iif-start.
	(forms--ro-properties): Renamed to `forms--iif-properties'.
	(forms--romh): Renamed to `forms--iif-hook'.  Rewritten to use
	`insert-in-front-hooks' instead of `modification-hooks'.
	(forms--romh-post-command-hook): Renamed to
	`forms--iif-post-command-hook'.  Rewritten to use
	`insert-in-front-hooks' instead of `modification-hooks'.
	(forms--make-format, forms--make-format-elt-using-text-properties):
	Use `insert-in-front-hooks' instead of `modification-hooks'.
	Remove `forms--electric' code.  Use `front-sticky' and
	`rear-nonsticky' text properties to control the insertion of text
	between read-only fields.
	(forms--show-record): Remove `forms--electric' code.

1993-09-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sc.el (sc-glom-headers): Bind mark-active around calling region-...
	(sc-cite-original): Likewise.

1993-09-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* font-lock.el (font-lock-fontify-region): Put on `font-lock'
	property as well as `face' property.
	(font-lock-hack-keywords): Likewise.

	* rmail.el (rmail-convert-file): Narrow to exclude the Babyl header.

1993-09-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* paths.el (rmail-spool-directory): Use "/var/mail/" if
	system-type is netbsd.

1993-09-09  Noah Friedman  (friedman@splode.com)

	* rlogin.el: require 'shell.

1993-09-08  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-steal): Fix typo when invoking the 'rcs'
	command to steal the lock.

1993-09-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* shell.el (shell-dirstack-message): Recognize ~ by matching the
	expansion of "~" with comint-filename-prefix prepended.  Strip
	comint-filename-prefix from elts.

	* comint.el (comint-filename-prefix): New variable.
	(comint-replace-by-expanded-filename, comint-dynamic-complete)
	(comint-dynamic-list-completions): Prepend it to absolute file
	names before completing.
	* shell.el (shell-cd): New function, like `cd' but prepend
	comint-filename-prefix.
	(shell-resync-dirs, shell-process-cd, shell-process-pushd)
	(shell-process-popd): Use shell-cd in place of cd.
	* rlogin.el (rlogin): After rlogin-mode, set
	comint-filename-prefix locally to indicate the host, and cd to
	/HOST:~/.
	(rlogin-mode-map): Start with (cons 'keymap shell-mode-map),
	rather than with a full copy of comint-mode-map.

	* ange-ftp.el (ange-ftp-file-executable-p): New function, handles
	file-executable-p.

1993-09-07  Ron Schnell  (ronnie@media.mit.edu)

	* dunnet.el (dun-save-game): Use correct name of endgame question.

1993-09-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (hack-local-variables-prop-line): Ignore any specification
	for `mode:', since set-auto-mode has already handled it.
	(set-auto-mode): Clean up.  Handle more than one `mode:' spec in -*-.

	* rmail.el (rmail-convert-file): Exclude the Babyl header
	when calling rmail-convert-to-babyl-format.

	* startup.el (command-line): Setq inhibit-startup-message to nil.

1993-09-06  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* register.el (jump-to-register): Take new optional arg NODELETE
	(prefix arg); pass through to set-frame-configuration.
	* frame.el (set-frame-configuration): Take new optional arg
	NODELETE; if non-nil, don't delete any frames.

	* register.el (window-configuration-to-register): Fix
	prompt string in interactive spec.
	(frame-configuration-to-register): Likewise.

	* menu-bar.el: Don't clobber existing binding for menu-bar in
	global-map.

1993-09-06  Paul Eggert  (eggert@twinsun.com)

	* cal-dst.el (calendar-time-zone-daylight-rules): Remove
	special case for Israel.  Israel has changed its daylight
	saving time rules.  We don't know what the current rules are,
	but the special case was definitely incorrect.

1993-09-06  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tag-exact-match-p): Return true if TAG is the explicit
	tag name.

1993-09-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simula.el: Doc fixes.
	(simula-mode-syntax-table): Copy the syntax table.

1993-08-30  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (next-file): If arg is neither t nor nil, then eval it
	to return initial list of files.
	(tags-loop-continue): Doc fix.
	(tags-search, tags-query-replace): Take optional final arg and pass to
	tags-loop-continue (through to next-file) instead of t if non-nil.

1993-08-29  Paul Eggert  (eggert@twinsun.com)

	* solar.el (solar-degrees-to-quadrant): Use `floor' not `truncate'.
	(solar-sunrise, solar-sunset, solar-longitude-of-sun):
	Undo Aug 19 patch; not needed with new `mod'.

1993-08-29  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* solar.el (solar-equinoxes-solstices): Invert seasons in southern
	hemisphere.  Use "Autumnal" not "Fall".

1993-08-28  Paul Eggert  (eggert@twinsun.com)

	* cal-dst.el (calendar-time-zone-daylight-rules): Scan through the
	next few years until at most one rule remains; if none remain, then
	just use the first candidate rule; it's wrong in general, but it's
	right for at least one year.  This is a better heuristic in case the
	underlying time zone implementation has bugs (which is all too
	common).  If possible, don't convert back and forth between gregorian
	and absolute; this speeds things up noticeably.  This uses the new
	calendar-nth-named-absday function.

	(calendar-current-time-zone): Some locales start DST at a different
	time of day than they end; allow for this by yielding both times.  The
	performance speedups in calendar.el are great enough that we now no
	longer need the "Checking time zone data..." message.  If
	current-time-zone yields nil, don't bother with
	calendar-next-time-zone-transition.  Use clearer names for local vars.

	(calendar-time-zone, calendar-daylight-time-offset)
	(calendar-{standard,daylight}-time-zone-name)
	(calendar-daylight-savings-{starts,ends}): Default to US Eastern rules
	for information that is not available.

	(calendar-daylight-savings-{starts,ends}-time): New vars, replacing
	calendar-daylight-savings-switchover-time, to support locales that
	start DST at a different time of day than they end.

	(calendar-absolute-from-time): Fix typo by interchanging floor and mod.

	* calendar.el (solar-holidays): Use new
	calendar-daylight-savings-{starts,ends}-time vars instead of old
	calendar-daylight-savings-switchover-time var.

	(calendar-last-day-of-month): Tune by testing month before year.
	(calendar-absolute-from-gregorian): Tune by computing (1- year) once.

	(calendar-nth-named-absday): New function, used to improve performance
	in calendar-time-zone-daylight-rules.
	(calendar-nth-named-day): Use it.

	* solar.el (solar-time-string):
	Use new calendar-daylight-savings-{starts,ends}-time
	vars instead of old calendar-daylight-savings-switchover-time var.

1993-08-26  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-locked-example): Renamed from vc-quiescent-p.  Now
	yields example of why current directory is not quiescent.  All
	callers changed to use this.

	* vc-hooks.el (vc-find-file-hook, vc-file-not-found-hook): Use
	add-hook to install these hooks.

1993-08-19  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* solar.el (solar-sunrise, solar-sunset, solar-longitude-of-sun):
	Make both arguments to solar-mod float.

	(sunrise-sunset): Change screen-width to frame-width.

	* calendar.el (calendar-absolute-from-iso,
	american-calendar-display-form, european-calendar-display-form):
	Fix typos in doc strings doc strings.

	(calendar-mode-map): Use "[prior]" and "[next]" in key bindings.

1993-08-18  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* texinfo.el (texinfo-environment-regexp): Match cartouche.

	* upd-copyr.el (update-copyright): Handle two-digit years with
	apostrophes.

1993-08-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.19 released.

	* menu-bar.el (list-buffers-directory): Add declaration.

	* files.el (find-file-noselect): If a find-file-not-found-hook
	succeeds, clear `error'.

	* faces.el (x-create-frame-with-faces): Check for `on' or `true'
	as reverseVideo resource value.
	* frame.el (frame-initialize): Likewise.

	* outline.el (outline-minor-mode-prefix): New variable.
	(outline-minor-mode-map): Use it.
	(outline-level): New var.  Everything funcalls this
	instead of calling outline-level.

	* frame.el (frame-initialize): Handle reverseVideo x-resource.

	* subr.el (momentary-string-display): Scroll to keep the string
	on the screen.

1993-08-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Don't add multiple errors
	for one source line.

	* bibtex.el (bibtex-mode-map): Change C-c e to C-c C-b.

	* menu-bar.el (mouse-menu-bar-buffers): Use list-buffers-directory.

	* isearch.el (isearch-edit-string): Use read-event, not read-char.

1993-08-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (backup-inhibited): Doc fix.

	* saveplace.el: New file.

	* bookmark.el: New version from Fogel.

	* mouse.el (mouse-choose-completion): Really go to minibuffer;
	no save-excursion.

1993-08-12  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* tar-mode.el (tar-mode-map): Don't bind C-c.

1993-08-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paragraphs.el (paragraph-start): Doc fix.

	* paren.el (show-paren-command-hook): Do nothing if input is pending.

1993-08-11  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (next-error): Handle zero and negative prefix args.

1993-08-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired-aux.el (dired-compress-file): Fix previous change.

	* rmail.el (rmail-forward): Don't bind mail-signature, mail-setup-hook.

	* mouse.el (mouse-drag-region): Mouse in menu bar means scroll up.

	* text-mode.el (indented-text-mode): Doc fix.

	* userlock.el (ask-user-about-supersession-threat): Mention file name
	when asking question.

	* paren.el (show-paren-command-hook): Don't use value of make-face.

	* mouse.el (font-menu-add-default): Use list, not cons, for new elt.
	Don't get confused if no Misc entry.

	* emerge.el (emerge-find-difference): Add interactive spec.

	* mouse.el (mouse-set-point): Use event-end, not event-start.

	* frame.el (other-frame): Fix error in loop counting.

1993-08-10  Paul Eggert  (eggert@twinsun.com)

	* autoload.el (generate-file-autoloads): Set float-output-format to
	nil, not "%.20e", since nil is guaranteed to not lose info on output.
	* bytecomp.el (byte-compile-from-buffer): Likewise.

1993-08-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (site-run-file): New variable.
	(command-line): Use it.  Support -no-site-file.

	* mouse.el (mouse-drag-region): Doc fix.

	* texinfo.el (texinfo-delete-from-print-queue)
	(texinfo-tex-buffer): Load tex-mode to get tex-start-shell, etc.

1993-08-10  Rob Riepel  (riepel@Snowflake.Stanford.edu)

	* tpu-edt.el (tpu-help): Use variables for "n" and "p".
	(tpu-help-N, tpu-help-n, tpu-help-P, tpu-help-p): New vars.
	* tpu-mapper.el: Insert (in buffer) setqs for tpu-help-... variables.

1993-08-09  Paul Eggert  (eggert@twinsun.com)

	* calendar.el (hebrew-holidays-3): Fix misspelling in var name.

	* array.el (abs, ceiling, floor): Remove, since they now redefine
	builtin functions.  All `ceiling' callers rewritten to invoke `floor'.

	* bytecomp.el: `mod' is no longer an alias for `%'.
	* subr.el: Likewise.

	* cal-dst.el (calendar-/, calendar-%): Remove, since floor and mod
	now subsume them.  All callers changed.
	* cal-mayan.el (mayan-mod): Likewise.
	* ring.el (ring-mod): Likewise.
	* solar.el (solar-mod): Likewise.

	* cl-extra.el (floor*): Use `floor' rather than doing all the work.

	* gnus.el (gnus-caesar-region): Replace `%' by `mod' and simplify.
	* rnews.el (caesar-region): Likewise.
	* isearch.el (isearch-ring-adjust1, isearch-ring-advance-edit):
	Likewise.
	* simple.el (current-kill): Likewise.

	* timezone.el (timezone-fix-time): Simplify complicated expression
	with `floor'.
	(timezone-zone-to-minute): Replace (max X (- X)) with (abs X).

1993-08-09  Rob Riepel  (riepel@Snowflake.Stanford.edu)

	* tpu-doc.el: Added section on local variables.

	* tpu-edt.el (tpu-version): Print version number rather than the RCS
	revision number.

	* tpu-edt.el (tpu-next-file-buffer): Bind starting-buffer with let.
	* tpu-edt.el (tpu-load-xkeys): Check value of tpu-xkeys-file.
	Make sure to use the "*scratch*" buffer.

	* tpu-edt.el (tpu-lm-replace): Changed variable searching-forward
	to tpu-searching-forward.
	(tpu-substitute): Likewise.
	(tpu-toggle-search-direction): Likewise.
	(tpu-search-forward, tpu-search-reverse, tpu-set-search): Likewise.
	(tpu-search-internal, tpu-adjust-search): Likewise.

	* tpu-extras.el (tpu-search-internal): Changed variable
	searching-forward to tpu-searching-forward.

	* tpu-extras.el: Changed "edit-picture-hook" to
	"picture-mode-hook" for emacs version 19.

	* tpu-mapper.el (tpu-gnu-map-key): Repaired the key name
	generation code to work with the latest version of emacs.

1993-08-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.18 released.

	* tpu-doc.el (enable-local-variables): setq deleted.
	* tpu-extras.el (edit-picture-hook): Use add-hook to modify it.

	* server.el (server-visit-files): Restore current-buffer by hand,
	not using save-excursion.

	* gud.el (gud-dbx-marker-filter): Detect signals as well as bpts.

	* ange-ftp.el (ange-ftp-send-cmd): Bind ange-ftp-this-...
	in the outermost let, not an inner one.

	* comint.el (comint-mode-map): Delete C-c C-y binding.

	* mh-e.el (mh-read-msg-list): Undo previous change.

	* subr.el (minibuffer-window-active-p): New function.

	* mouse.el (mouse-set-point): Error if click in inactive minibuffer.
	(mouse-drag-region): Use mouse-set-point.
	Don't set a mark if final event wasn't suitable for setting point.

	* etags.el (etags-goto-tag-location): If match started with Ctrl-m,
	compensate when setting point.

	* simple.el (shell-command, shell-command-on-region):
	Fix bugs in previous change.

	* dired-aux.el (dired-compress-file): For .z file, run gunzip.
	When running gzip, see if it made .gz or .z.
	(dired-compress): Delete any old entry for new-file.

1993-08-07  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* vc.el (vc-diff, vc-directory-18): Add missing paren to end of
	vc-diff, and remove extra paren from vc-directory-18.

1993-08-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired-aux.el (dired-diff): Read options right here;
	don't try to use diff-read-switches.  Always call diff with 3 args.
	(dired-backup-diff): Likewise.

	* simple.el (do-auto-fill): Don't keep breaking the line
	if it doesn't help matters.

1993-08-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* indent.el (indent-region): Fix paren error in last change.

	* mouse.el (mouse-save-then-kill): Fix paren error in last change.

1993-08-06  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	Fix {menu,scroll}-bar-mode so prefix arg of M-- works.
	* scroll-bar.el (scroll-bar-mode): If FLAG is non-nil, set it to
	its prefix-numeric-value.
	* menu-bar.el (menu-bar-mode): Defvar removed.
	(menu-bar-mode): Rewritten to parallel scroll-bar-mode.

	* info.el (Info-goto-emacs-command-node)
	(Info-goto-emacs-key-command-node): Doc fix.

	* help.el (help-for-help): Mention C-k and C-f.

1993-08-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (after-find-file): Improve warning message about
	existing file that can't be read.

1993-08-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* indent.el (indent-region): Rename arg ARG to COLUMN.
	Don't add fill-prefix to empty line.
	Don't change whitespace in empty line.

	* mouse.el (help-admin-map): Fix menu item text.

	* font-lock.el (font-lock-fontify-region):
	Handle comment-start-skip = nil.

	* rmail.el (rmail-resend): Delete any Sender field.

1993-08-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* perl-mode.el (perl-mode): Add autoload cookie.

	* paths.el (sendmail-program): Try /usr/sbin/sendmail.el also.

	* mouse.el (mouse-save-then-kill): Don't discard all the normal
	undo info; just replace the deletion entry.

	* tpu-edt.el, tpu-doc.el, tpu-extras.el, tpu-mapper.el: New files.
	* vt-control.el: New file.

1993-08-04  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* diary.el (list-diary-entries): Split diary-display-hook into two
	pieces, diary-display-hook and diary-hook.  If diary-display-hook
	is nil, use simple display.
	(include-other-diary-files): Set those hooks properly for other files.

	* calendar.el (diary-display-hook): Change default and fix doc string.
	(diary-hook): New user variable.
	(diary-date-forms, calendar-date-display-form): Don't autoload
	them so the European/American style is decided at load time.

1993-08-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lpr.el (print-region-1): Make END a marker so untabify relocates it.

1993-08-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-minor-mode): Make variable buffer-local.
	(compilation-minor-mode): Autoload this function.

1993-08-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (man): Define as alias.

	* paren.el (window-setup-hook): Add hook function.

1993-08-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-dynamic-list-completions): Expand PATHDIR in
	call to file-name-completion.

1993-08-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el: Make boldness/italicness affect frames created later.
	(make-face-bold, make-face-italic, make-face-bold-italic)
	(make-face-unbold, make-face-unitalic): Update global-face-data.
	Ignore a list found in the font slot.
	(make-face-bold-internal, make-face-italic-internal)
	(make-face-bold-italic-internal): New subroutines.
	(x-create-frame-with-faces): If global-face-data's font slot
	indicates bold and/or italic, make it so.

1993-08-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* window.el (shrink-window-if-larger-than-buffer): Pass WINDOW to
	pos-visible-in-window-p.

1993-08-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* completion.el (cmpl-read-time-eval): Make it no-op.
	(cmpl-hours-since-origin): Use truncate to make an integer.
	(completion-search-reset): Use completion-prefix-min-length.

	* telnet.el (telnet): If we already have a telnet to HOST,
	just switch buffers.

1993-08-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* frame.el (other-frame): Skip iconified and invisible frames.

1993-08-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (occur-mode-goto-occurrence): Give meaningful error
	message if there's nowhere useful to go.

1993-08-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-dynamic-complete): If called interactively
	twice in a row, give the completion list.

	* comint.el (comint-dynamic-complete): Expand PATHDIR in call to
	file-name-completion.

	* comint.el (comint-dynamic-completion): Say "Sole completion",
	not "Unique completion".

	* frame.el (other-frame): New function, analogous to other-window.
	(ctl-x-5-map): Bind C-x 5 o to other-frame.

1993-08-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (add-hook): Change a single function into a list.

	* lucid.el (remove-hook): Doc string added.
	Change a single function into a list.

	* sendmail.el (mail-yank-hooks): Initialize to nil.
	(mail-yank-original): If mail-yank-hooks is nil,
	call mail-indent-citation.

	* c-mode.el (indent-c-exp): Don't document ENDPOS.
	(c-indent-region): Rewrite to use indent-c-exp on one sexp at a time,
	then use c-indent-line on the next line, etc.

	* bytecomp.el (byte-recompile-directory): At end of compiling a file,
	put back the "Checking DIR..." message.

1993-08-01  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (etags-tags-completion-table): Fixed regexp for today's
	format.
	(etags-snarf-tag): Skip explicit tag name if present.

1993-08-01  Paul Eggert  (eggert@twinsun.com)

	* dissociate.el (dissociated-press):
	Use `(random N)' instead of while loop.
	* dunnet.el (dun-endgame-question, tcom, tloc):
	Use (random N) instead of combination of %, abs and random.
	* life.el (life-insert-random-pattern): Simplify (% (abs (random)) N)
	to (random N).
	* cookie1.el (pick-random): Remove.
	All callers changed to use `random' instead.
	* gomoku.el (random-number): Likewise.
	* mpuz.el (mpuz-random): Likewise.

	* emerge.el (emerge-default-[AB]): Use (zerop (% A B)) instead of
	(= (* (/ A B) B) A).

1993-08-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (event-click-count): New function.

	* texinfmt.el: Installed the version from the Texinfo package.

	* dired.el (dired-sort-mode): Variable deleted.
	Don't display it in mode line.
	(dired-sort-set-modeline): Set mode-name instead.

	* etags.el (visit-tags-table-buffer): New local named
	visit-tags-table-buffer-cont copies cont.
	(tags-table-including): Set that, instead of cont.

	* c-mode.el (indent-c-exp): Don't move an { from column 0.

1993-07-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tar-mode.el: Fix doc strings and error message syntax.
	Add menu bar items.
	(tar-subfile-mode): Set a local-write-file-hook
	rather than using key bindings.
	(tar-subfile-save-buffer): Return t.

	* add-log.el (change-log-mode): Use \f for formfeed, to avoid
	syntax error.

	* isearch.el (isearch-done): Move point (for small window)
	before deciding whether to set the mark.

	* man.el (Man-build-references-alist): When setting word,
	use only what Man-reference-regexp matched.
	(Man-reference-regexp): Don't match starting with a period.
	(Man-first-heading-regexp): Allow leading space.
	(Man-heading-regexp): Allow leading space.
	(Man-section-translations-alist): Add entries for xlib.

	* completion.el (completion-version): New variable.
	(save-completions-to-file): Use completion-version.

	* tex-mode.el (validate-tex-buffer): Record mismatches in *Occur*.

	* files.el (basic-save-buffer): When we read a file name,
	use set-visited-file-name to put it in.

	* mouse.el (mouse-choose-completion): Actually choose that alternative,
	don't just insert its name.

	* simple.el (shell-command-history): New variable.
	(shell-command, shell-command-on-region): Use it.

1993-07-30  Paul Eggert  (eggert@twinsun.com)

	* window.el (shrink-window-if-larger-than-buffer): Do nothing if the
	window is the only window of its frame.  If the buffer ends in newline
	and point is not at the end of the buffer, do not display the
	last (empty) line.

	* vc.el (vc-shrink-to-fit): Deleted.  All callers changed to use
	the new, fixed `shrink-window-if-larger-than-buffer' instead.
	In some places move it after a (goto-char (point-min)).

1993-07-30  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* blackbox.el (blackbox-mode-map): Now that we have
	terminal-independent function-key facilities, we ought to use
	them.  Remove hack which looks for all bindings for the simple
	motion keys and locally binds them to blackbox keys; add bindings
	for the [up], [down], [left], and [right] keys.

	* frame.el (frame-notice-user-settings): If we had to create a new
	frame in order to obey initial-frame-alist, use delete-frame's
	FORCE argument to get rid of the old frame even if the new one
	hasn't been mapped yet.

1993-07-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-region-as-paragraph): When we take one word
	after the fill column, don't stop at period with just one space.
	When checking whether at beginning of line, if no fill prefix,
	ignore intervening whitespace.

1993-07-30  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* gud.el (gud-gdb-marker-filter): Preserve the match data across
	the filter's execution.

	* gud.el (gud-gdb-marker-filter): If we received some text after
	the position marker, append it to any text before the marker,
	instead of throwing away the text before the marker.

1993-07-30  David Gillespie  (synaptx!daveg@uunet.UU.NET)

	* cl.el: File totally replaced.
	* cl-compat.el, cl-extra.el, cl-macs.el, cl-seq.el: New files.

	* info.el (Info-fontify-node): New function.
	(Info-fontify): New variable.
	(Info-mode): Initialize Info-related faces.
	(Info-select-node): Fontify the node if necessary.

	* info.el (Info-goto-node): Provide completion for node names.
	(Info-read-node-name, Info-build-node-completions): New functions.
	(Info-current-file-completions): New variable.
	(Info-find-node): Clear completions cache.

	* info.el (Info-next-reference, Info-prev-reference): New commands.
	(Info-mode-map): Bind these to TAB and M-TAB.
	(Info-next-preorder): Special case if sitting on "*Note" reference.

	* info.el (Info-standalone): New variable.
	(Info-exit): Exit Emacs if in standalone mode.
	(info-standalone): New function.

	* info.el (Info-summary): Added `bury-buffer' call.
	(Info-no-error): Renamed from `no-error'.
	(Info-suffix-list): Put ".info" before "" to deal with directory
	named "foo" next to file "foo.info".

1993-07-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-region-as-paragraph): Move misplaced paren
	ending `(if (eobp) nil ...)'.
	In the loop that avoids breaking after `.' with one space,
	break if we actually have two spaces.

1993-07-30  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Broaden RS6000
	regexp to match "lines N-M," or "line N,".

1993-07-29  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* gud.el (gud-gdb-marker-filter): Do not assume that the position
	markers from GDB will always be received in one chunk of input;
	gud-gdb-marker-filter may be called several times, each time
	providing a little more of the position marker.
	(gud-gdb-marker-acc): New variable.
	(gud-gdb-marker-filter): If we have received what could be the
	beginning of a position marker, hold that text in
	gud-gdb-marker-acc for the next time we get called, until we have
	enough information to decide for sure.

	* gud.el (gud-gdb-marker-filter): Only recognize GDB position
	markers if they occur at the beginning of the line.  They always
	do, and this reduces the likelihood that the above change will
	hold back output that isn't really a position marker.

	* mpuz.el (mpuz-board): Doc fix.

1993-07-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (dbx): Use %d in gud-break.
	(gud-format-command): Support %d.  Delete spurious progns.

	* etags.el (etags-goto-tag-location): Handle selective display.

	* sendmail.el: Do the global key bindings only via loaddefs.el,
	not when sendmail.el is loaded.

	* buff-menu.el (Buffer-menu-mode-map): Undo previous change.

	* rmail.el (rmail-nuke-pinhead-header): Tell replace-match not to
	alter the case.
	(rmail-toggle-header, rmail-reformat-message): Ignore case
	when checking for Summary-line.

	* calendar.el (calendar-mode-map): Bind C-SPC.

1993-07-29  Paul Eggert  (eggert@twinsun.com)

	* (vc-mode-line): Set vc-mode to nil if FILE no longer is
	version-controlled.

1993-07-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (delete-frame): Permit it, if > 1 frame is vis or iconic.

1993-07-28  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* man.el (Man-find-section): HP/UX man pages have section names
	indented by a single space; recognize them.

	* gud.el (gud-last-last-frame): Specify initial value.  `dbx'
	doesn't work unless we do.

1993-07-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): When checking whether function decl
	is inside a comment, move back to the `(' that starts the arglist.

1993-07-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-convert-file): If file needs conversion,
	convert it all.

	* macros.el (name-last-kbd-macro): Handle macros that are vectors.

	* man.el (Man-filter-list): Insert \n newlines in awk script.

	* time-stamp.el (time-stamp): Add autoload cookie.

1993-07-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-replace-by-expanded-filename)
	(comint-dynamic-complete): Say "Sole completion" instead of "Unique
	completion", for consistency with the rest of the known universe.

1993-07-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sc.el: Require assoc instead of sc-alist.
	* sc-alist.el: File deleted.

	* gnus.el (gnus-apply-kill-hook): Make the value a list of functions.
	(gnus-mark-article-hook, gnus-select-digest-hook): Likewise.
	(gnus-select-article-hook, gnus-select-group-hook): Likewise.

1993-07-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-recompile-directory): Doc fix.

	* term/x-win.el (iconify-or-deiconify-frame): New function.
	Use it for C-z.

1993-07-27  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Removing any trailing "-".

1993-07-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cplus-md.el (c++-mode-syntax-table): Don't alter syntax of '.

	* term/x-win.el (x-handle-iconic): New function.
	(command-switch-alist): Use that.
	(x-switch-definitions): Delete elt for `-iconic'.

	* gud.el (dbx): For gud-break, send a file command and a stop command.

	* diary.el: Doc fixes.

1993-07-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (font-menu-add-default): New function.
	* startup.el (normal-top-level): Call font-menu-add-default.

1993-07-26  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (read-expression-history): New defvar.
	(eval-expression): Use it has history var in interactive spec.

1993-07-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-notice-user-settings): Don't reapply a parm
	whose value is ot changed (as far as we know) since frame-initialize.

	* simple.el (kill-ring-save): Delete spurious `message' call.
	(set-mark): If POS is nil, call deactivate-mark.

	* c-mode.el (indent-c-exp): When previous line ends in comma,
	use calculate-c-indent.  Fix the "inner loop" to properly detect
	a line that ends outside of comments and strings.

	* cplus-md.el (c++-mode-syntax-table): Handle C-style comments.

	* files.el (insert-directory): Make sure default-directory is absolute.

	* dired.el (dired-readin-insert): If we got a list of files,
	pass nil for WILDCARD arg to dired-insert-directory.

1993-07-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-backend-steal): Pass arg omitted in last change.

	* term/x-win.el (x-selection-timeout): Use 20000 as default.

	* mouse.el (x-fixed-font-alist): Give some fonts long patterns.
	Delete 9x15 bold and 8x13 and 8x13 bold.  Add some fonts.

	* term/x-win.el (x-select-text): Never set the CLIPBOARD selection.
	(x-cut-buffer-or-selection-value): Try PRIMARY before cut buffer.
	(x-cut-buffer-max): Set based on x-server-max-request-size.

1993-07-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* unrmail.el (unrmail): Total rewrite.
	* rmailout.el (rmail-output): New arg NOATTRIBUTE.

	* rmailout.el (rmail-output-to-rmail-file): Set rmail-last-rmail-file
	while reading the interactive args.
	(rmail-output): Likewise, for rmail-last-file.
	(rmail-output-to-rmail-file): Use default-file consistently.

	* replace.el (occur): If no default, don't mention one.

	* rmail.el (rmail-last-rmail-file): Initialize to a file name.
	(rmail): Don't set rmail-last-rmail-file.

	* info.el (Info-select-node): Run Info-selection-hook.

	* ispell.el (ispell-point): Do nothing if there's no word at START.

1993-07-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* doctor.el (doctor-type-symbol): Win if auto-fill-function is nil.

	* edt.el (advance-direction): Set kp-f3, not kp-f1.

	* term/x-win.el (x-select-text): Always set the cut buffer,
	but sometimes set it to nothing.  Don't put large strings in clipboard.

	* dired.el (dired-readin-insert): Don't use the "whole directory"
	case if DIR-OR-LIST is a list.

	* font-lock.el (font-lock-after-change-function):
	Scan for comments and strings from beg of line.
	(c-font-lock-keywords-1): Recognize &, like *, before fn name.
	(perl-font-lock-keywords): Put digit 1 into function-name-face items.
	Allow whitespace before the open-brace.

	* sort.el (sort-skip-fields): Really implement fields as runs
	of nonwhitespace chars.
	(sort-fields, sort-float-fields, sort-numeric-fields):
	Don't subtract 1 when calling sort-skip-fields.

1993-07-22  Ron Schnell  (ronnie@media.mit.edu)

	* dunnet.el (dun-special-object): Fixed so that bus will
	explode if falls through hole instead of making adventurer
	trapped in room with no escape and no way off the bus.

1993-07-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-select-text): Limit size of text sent to cut buffer.

	* subr.el (keyboard-translate): Properly lengthen existing table.

	* files.el (set-auto-mode): Fix backwards test
	involving inhibit-local-variables-regexps.

	* loaddefs.el (ctl-x-map): Correct C-x r t to string-rectangle.

	* paren.el (show-paren-command-hook): Specify buffer for move-overlay.

1993-07-22  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-revert): Use `co -f' instead of deleting the
	working file ourselves; that way, if `co' fails, we won't have
	deleted the working file.
	(vc-backend-steal): Don't delete the working file.  Use `rcs -u -l',
	not `rcs -u ; rcs -l'; it's faster.  Use vc-backend-dispatch -- the
	old code couldn't have possibly worked.

1993-07-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): If LIST is nil, just return.

	* mouse.el (mouse-secondary-save-then-kill): When making the undo item,
	use an integer, not a marker, for the position.

	* rmail.el (rmail-forward): Call rmail-start-mail for new frame
	even if just one window.
	(rmail-start-mail): Return what mail-other-frame returned.

	* mouse.el (mouse-set-font): Update faces bold, italic and bold-italic.

	* completion.el (complete): Use sit-for, not cmpl19-sit-for.

	* simple.el (completion-list-mode): Renamed from completion-mode.
	(completion-list-mode-map): Likewise.

	* files.el (parse-colon-path): Really make nil, not ".",
	for empty path element.

1993-07-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Bind float-output-format.
	Bind print-escape-newlines.

	* inc-vers.el: Try deleting version.el if it's not writable.

	* term/lk201.el: Explicitly define kp-f1...

	* tar-mode.el (tar-parse-info, tar-header-offset, tar-superior-buffer)
	(tar-superior-descriptor): Make them permanent locals.
	(tar-mode): Call kill-all-local-variables.
	Locally set enable-local-variables to nil.

	* man.el (Man-set-fonts): Don't look for another char after
	the backspace; instead look for a sequence CHAR BS CHAR BS CHAR BS...
	Delete all the CHAR BS pairs found, after making the text property.

	* c-mode.el (indent-c-exp): If ENDPOS, always set OPOINT
	to the function start.  And don't indent a line which is past ENDPOS.
	Don't indent a comment on the first line if it's the only
	thing on that line.
	Call calculate-c-indent-within-comment when appropriate.

	* mouse.el (mouse-drag-region): Use deactivate-mark.

	* font-lock.el (perl-font-lock-keywords): Add a `(... . 1)' to the
	first element of the list.
	(font-lock-hack-keywords, font-lock-unfontify-region)
	(font-lock-fontify-region): Bind buffer-read-only to nil,
	and don't alter buffer-modified-p.
	(font-lock-fontify-region): Use comment-start-skip, not comment-start.

1993-07-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* buff-menu.el (Buffer-menu-mode-map): Bind delete like DEL.

	* files.el (parse-colon-path): Turn empty substring into nil.

	* sendmail.el (mail-bury): Check that frame-parameters is defined.

	* font-lock.el (font-lock-function-name-face): defvar renamed.
	(font-lock-hack-keywords): Evaluate face specs from keyword list.

	* dunnet.el: New version from Schnell, to fix possible bad patch run.

	* subr.el (define-key-after): Fix typo in previous change.

	* outline.el (outline-mode-map): Delete spurious `outline-'
	from show and hide command names in menu.

	* ange-ftp.el (file-name-handler-alist): Have two separate regexps
	with different hooks.
	* files.el (ange-ftp-completion-hook-function): New function.

	* paren.el (show-paren-face): New variable.
	(show-paren-command-hook): Use it.
	Call set-face-background properly.

	* reposition.el (reposition-window): Don't forward-char if eobp.

	* startup.el (normal-top-level): Call abbreviate-file-name again
	after calling command-line.

	* rmailedit.el (rmail-edit-map): Inherit properly from text-mode-map;
	use the whole thing, not its cdr.

	* man.el (Man-getpage-in-background): Copy process-environment
	so we only alter the copy.

	* mh-e.el (mh-read-msg-list): Add space to message-number regexp.

1993-07-19  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Use "-", not " ", to separate locks,
	so that the RCS minor mode label doesn't contain internal spaces.

1993-07-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-unmark-all-files-no-query): New command.
	(dired-mode-map): Use that for the Unmark All item.
	Fix typo that made the Flag Backup Files item not show up.

	* mlconvert.el (while): Comment out converter.

	* calendar.el (hebrew-holidays): Split into 4 sub-variables.

1993-07-19  Masanobu UMEDA  (umerin@orchid)

	* gnus.el (gnus-emacs-version): New variable.
	(gnus-version): Updated to 4.1.
	(gnus-newsrc-to-gnus-format): Use different regexp in 18 and 19.
	(gnus-group-startup-message): Use gnus-emacs-version.

	* gnuspost.el (gnus-current-time-zone): Fix typo.
	(gnus-inews-organization): Fix zero length string operation bug.

	* metamail.el (metamail-environment): Format changed.  It
	must be a list of strings that have the format ENVVARNAME=VALUE.
	(metamail-region): Corresponding changes.

	* metamail.el (metamail-region): Optional 2nd argument NODISPLAY
	controls redisplay behavior.
	(metamail-buffer): LIkewise.

1993-07-19  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-bar-buffers): Add Frames pane if there
	are multiple panes.

1993-07-18  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Omit "LOCKER:" if you are the locker.

1993-07-18  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-comment-to-change-log): Complete rewrite.  Do not use
	vc-update-change-log.  Instead, snarf last comment from
	vc-comment-ring and insert it with add-change-log-entry.

	* add-log.el (prompt-for-change-log-name): Autoload this (for
	vc-comment-to-change-log).
	(add-change-log-entry): Take optional fourth arg NEW-ENTRY.  If
	non-nil, never append to an existing entry.
	(change-log-fill-paragraph): New function.
	It might be nice to have a general feature to replace this.  The
	idea I have is a variable giving a regexp matching text which
	should not be moved from bol by filling.  change-log-mode would
	set this to "^\\s *\\s(".  But I don't feel up to implementing
	that today.
	(change-log-mode-map): New defvar for keymap.  Bind M-q to
	change-log-fill-paragraph in it.
	(change-log-mode): Use that as local map.

	* add-log.el (add-log-current-defun-function): New defvar.
	(add-change-log-entry): Call its value if non-nil instead of
	add-log-current-defun.
	(add-change-log-entry-other-window): Doc fix.

	* compile.el (compilation-error-list): An elt's cdr's car is again
	a cons (DIRECTORY . FILE) if it's not a marker.  The conversion to
	using a string containing an expanded file name was never
	finished, and anyway it utterly broke compilation-search-path and
	a few other things.
	(next-error): Expect them that way.
	(compilation-parse-errors): Make them that way.
	(compile-file-of-error): Function removed.
	(compilation-error-filedata, compilation-error-filedata-file-name): New
	defsubsts.
	(compilation-next-file): Use them instead of compile-file-of-error.

1993-07-18  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Go to the beginning of FILE before searching it
	for generate-autoload-cookie.

	* cookie1.el (cookie, cookie-insert, cookie-snarf, shuffle-vector):
	Autoload these.

1993-07-18  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.17 released.

	* makeinfo.el: Don't (require 'texinfmt) - that file doesn't exist
	any more; all its functions have been moved into other files.

	* files.el (insert-directory): Doc fix.

	* files.el (insert-directory): If FULL-DIRECTORY-P is non-nil,
	add "." component to the end of the path, so that if file is a
	symlink, we get the contents of the directory, not the symlink
	itself.

1993-07-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tar-mode.el (tar-extract): Use view-exit-action to kill viewed buf.

	* view.el: Doc fixes; some args renamed.

	* gnus.el (gnus-info-nodes): Update node names.

	* makeinfo.el (makeinfo-options): Fix option syntax in initial value.

	* texinfo.el (texinfo-mode): Undo changes mistakenly added with
	previous batch: texinfo-{start,end}-of-header are now tex-...

1993-07-17  Johan Vromans  (jv@mh.nl)

	* forms.el: New version 2.0.
	Redesigned and rewritten to use Emacs 19 text properties.
	Requires Emacs 19.16 or later.

1993-07-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Include (invocation-name) in the error messages
	which might occur during startup.

	* shell.el (shell-process-pushd): Fix syntax error in
	condition-case.

1993-07-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (revert-buffer): Make menu-enable form more accurate
	using revert-buffer-function and verify-visited-file-modtime.
	(menu-bar-help-menu): Put back under global-map.
	(menu-bar-final-items): Set it.

	* mh-e.el (mh-yank-hooks): Use (mark t).
	(mh-new-draft-name): Likewise.

1993-07-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-{next,prev}-prompt, comint-send-eof): New defuns.
	(comint-mode-map): Bind C-c C-n, C-c C-p, and C-c C-d to those.
	Bind C-c C-y to comint-previous-input, for compatibility with v18
	shell.el.

1993-07-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* advice.el (ad-start-advice-on-load): Initialize to t.

1993-07-16  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Make the `-rn NAME' option specify a resource
	name, as documented, and not a resource database string.  Make
	`-name NAME' act like `-rn NAME' and also set the name of the
	initial frame.
	(command-switch-alist): Process the `-rn' and `-name' options
	using the x-handle-name-rn-switch function.
	(x-handle-name-rn-switch): New function, which sets the
	x-resource-name variable.
	(opening connection): Make sure x-resource-name is valid.  If it's
	not a string, set it to (invocation-name), with any periods or
	asterisks changed to hyphens.

	* term/x-win.el: Make the `-xrm STRING' option specify a resource
	database string.  `-rn' used to behave this way.
	(command-switch-alist): Process the `-xrm' switch using
	x-handle-xrm-switch.
	(x-handle-xrm-switch): Renamed from x-handle-rn-switch; this
	function does the right thing for `-xrm', not for `-rn'.

1993-07-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-bury): If selected frame is dedicated,
	and there are other visible frames, delete this frame.

	* rmail.el (rmail-mail-new-frame): New variable.
	(rmail-start-mail): New function.
	(rmail-mail, rmail-continue, rmail-reply, rmail-forward)
	(rmail-retry-failure): Use rmail-start-mail.

1993-07-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (face-equal): Don't mess with face-background-pixmap.

	* ispell.el (ispell-menu-map): Add missing quote in defalias.
	(ispell-window-configuration): Initialize to nil.

	* vc-hooks.el (vc-rcs-status): Make work buffer's name start w/ space.

	* simple.el (completion-setup-function): Insert the mouse help message
	only if non-nil `window-system'.

	* paren.el: Enable the hook only if window-system.
	Clear blink-paren-function at the same time.
	(show-paren-command-hook): If after a closeparen,
	highlight that closeparen as well as matching open.
	Use a different color for a mismatch, if color screen.

1993-07-15  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* assoc.el (asort): First argument should be named alist-symbol,
	not assoc-symbol.

1993-07-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-done): Let save-buffer make the backup,
	so that make-backup-files remains effective.

	* loaddefs.el: Delete C-x a C-h binding.

	* menu-bar.el (help-menu-bar-map): Put the Help item in this map.

1993-07-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* isearch.el (isearch-edit-string): Bind isearch-nonincremental to
	its own value, not to nil.

1993-07-14  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* hippie-exp.el: Renamed from hippie.el.

1993-07-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): After skipping two lines,
	move one char back so point is before the newline.

1993-07-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* gud.el (gud-debugger-startup): Replaced with gud-massage-args.
	(gud-{gdb,sdb,xdb}-debugger-startup): Replaced with gud-*-massage-args.
	(gdb, sdb, xdb): Argument is command line, not args for it.  Remove
	debugger name from prompt and put it in the default input instead.
	Overload gud-massage-args instead of gud-debugger-startup.
	(gud-chop-words): New function; subr for gud-common-init.
	(gud-common-init): Argument is command line, not args for it.
	Rewritten to use gud-chop-words instead of temp buffer and kludge
	involving read.  Find the program name as the first word of the
	command line.  Use make-comint and gud-massage-args in place of
	gud-debugger-startup.
	Expand the file name before passing it to gud-massage-args.

1993-07-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* spook.el (snarf-spooks): Restore function.

	* cookie1.el (cookie-cache): New defvar.
	(cookie-snarf): Cache cookies in cookie-cache, not in obarray (idiot).
	Also store the modtime and punt the cache when it changes.

1993-07-14  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	Changes from Anders Holst, to bring hippie-expand up to version 1.2:
	* hippie-exp.el (hippie-expand-max-buffers): New variable.
	(try-expand-line-all-buffers, try-expand-list-all-buffers)
	(try-expand-dabbrev-all-buffers): Use it.
	(try-expand-list, try-expand-list-all-buffers): New functions.
	(he-string-beg, he-string-end, he-search-loc): These values are
	now markers, not integers.  Uses changed.
	(he-reset-string, he-substitute-string): Use a marker to preserve
	the old position of point.
	(try-expand-all-abbrevs): Handle case the same way as the
	usual expand-abbrev (which is not a very good way, but for
	consistency...).
	(he-dabbrev-beg): Use `skip-syntax' instead of `skip-chars', to
	adjust its behavior to different modes.
	(hippie-expand): Don't messages which try function it is using,
	when the expansion itself is done in the minibuffer (it was very
	annoying to have the message obscuring the expansion).
	(try-complete-file-name, try-complete-file-name-partially)
	(try-complete-lisp-symbol, try-complete-lisp-symbol-partially)
	(try-expand-line, try-expand-line-all-buffers)
	(try-expand-all-abbrevs, try-expand-dabbrev)
	(try-expand-dabbrev-all-buffers): No unnecessary "resetting" of the
	expansion, when no expansion is done (caused the buffer to be
	marked as changed, although nothing was done, among other things).
	(he-reset-string): Undoing of last expansion at a later occasion, now
	undoes correctly (before, it garbled things up).
	(make-hippie-expand-function): Now uses "(function ...)"
	instead of "'" (matters for compilation).
	(try-expand-line, try-expand-line-all-buffers)
	(he-line-search-regexp): Uses `comint-prompt-regexp' instead of
	`shell-prompt-pattern', to strip off prompt in process buffers.

1993-07-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads):
	Fix FILE truename hacking to substring
	SOURCE-TRUENAME instead of FILE.

1993-07-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (copy-face): New arg NEW-FRAME.
	(list-faces-display): New command.

	* simple.el (completion-mode): New major mode.
	(completion-setup-function): New function.
	Add it to completion-setup-hook.

	* mouse.el (mouse-choose-completion): New function.

	* dunnet.el: Many functions and variables renamed.

	* sendmail.el (mail-bury): New function.
	(mail-send-and-exit): Call mail-bury.
	(mail-dont-send): New command, with menu bar binding.

	* compare-w.el (compare-windows-skip-whitespace): New function.
	(compare-windows): Use that.
	(compare-windows-whitespace): Value is now regexp.

	* rmail.el (rmail-insert-inbox-text): If inbox is not in the
	spool dir, try copying before renaming.

1993-07-13  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* shell.el (shell-prompt-pattern): Don't match more than one line.
	Doc fix.

	* bytecomp.el (byte-compile-from-buffer): Bind float-output-format
	to "%.20e", not "%20e"; the latter is always ignored, since it
	doesn't have a decimal point after the percent sign.

1993-07-12  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Correctly detect when the
	buffer receiving the autoload forms is in a parent of or the same
	directory as FILE, even in the presence of symlinks.

1993-07-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): Error if KEY has two elements.

	* dired.el (dired-mode-map): Add menu bar items.

1993-07-12  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Correctly detect when the
	buffer receiving the autoload forms is in a parent of or the same
	directory as FILE.

1993-07-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el: Install the correct regexp in
	file-name-handler-alist.

	* term/x-win.el: Recognize affirmative values for reverseVideo
	properly.  Include "on" in the list of recognized values.

1993-07-12  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Include head version number
	in mode line if there are no locks.

1993-07-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-file-menu): Add menu item for dired.

	* menu-bar.el (ispell-menu-map): New autoload definition.
	(menu-bar-edit-menu): Add "Spell" item.
	* ispell.el (ispell-menu-map): New keymap--both fn and var.

	* loaddefs.el (mode-line-buffer-identification): Doc fix.

1993-07-10  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* calendar.el (calendar-holidays): Don't autoload this; its value
	must be set after the user's .emacs file is loaded.

1993-07-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Do nothing if not window-system.

1993-07-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): If file is an Rmail file,
	use rmail-output-to-rmail-file.
	(rmail-output-to-rmail-file): If file exists
	and is not an Rmail file, use rmail-output.
	If we find an element in rmail-output-file-alist, eval it.
	(rmail-file-p): New function.
	(rmail-output-file-alist): Now contains expressions to eval.

	* font-lock.el: New file.

	* bytecomp.el (byte-compile-setq-default):
	Generate a progn of calls to set-default, then compile it.

	* menu-bar.el (mouse-menu-bar-buffers):
	Don't lose if all buffer names are short.

	* dunnet.el: New file.

1993-07-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* loaddefs.el (global-map): Bind M-next to scroll-other-window.

	* compile.el (compilation-error-regexp-alist):
	Broaden ``Line N of "FILE": msg'' regexp
	to also match Ultrix f77: ``Error on line N of FILE: msg''.

1993-07-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	Make everything that deactivates the mark do it consistently.

	* simple.el (deactivate-mark): New function.
	(kill-ring-save, pop-mark, keyboard-quit): Call it.
	* ispell.el (ispell):
	Call deactivate-mark instead of setting mark-active directly.  Do
	this regardless of transient-mark-mode.
	* isearch.el (isearch-done):
	Call deactivate-mark instead of setting mark-active
	directly.  Do this regardless of transient-mark-mode.

1993-07-08  Richard Stallman  (rms@churchy.gnu.ai.mit.edu)

	* files.el (basic-save-buffer): Use after-save-hook.

1993-07-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el: Put error-conditions and error-message properties on
	'mark-inactive.
	(mark): Signal 'mark-inactive instead of using error with a message.

1993-07-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrev-end-of-buffer): Fix interactive spec
	to "P", same as end-of-buffer.

1993-07-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hanoi.el: Add (provide 'hanoi).

1993-07-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (file-relative-name): If we use default-directory,
	call expand-file-name anyway.

	* texnfo-upd.el (texinfo-update-node): Bind auto-fill-hook
	as well as auto-fill-function.
	(texinfo-sequential-node-update): Likewise.

1993-07-07  Robert J. Chassell  (bob@grackle)

	* texnfo-upd.el: Fix typo re `texinfo-sequential-node-update.'
	Ensure that no commands depend on the value of
	case-fold-search.
	Rewrite messages.  Avoid using `mark-whole-buffer'.

	(texinfo-start-menu-description):
	New function to insert title as description in a menu.
	(texinfo-make-menu-list): Remove automatic title insertion.
	(texinfo-master-menu): Error message if file
	contains too few nodes for a master menu.
	Handle the case where no master menu was inserted.
	(texinfo-insert-master-menu-list): Only attempt to insert detailed
	master menu if there is one.
	Insert a master menu only after `Top' node and before next node.

	(texinfo-check-for-node-name): Offer section title as prompt.
	(texinfo-copy-next-section-title): Copy title correctly.
	Handle failure to find @node.
	(texinfo-copy-menu): Error message if menu empty.
	(texinfo-pointer-name): Find only those
	section commands that are accompanied by `@node' lines.
	(texinfo-section-types-regexp): Look for subh and subs, not just sub.
	(texinfo-make-one-menu): Copy node-name correctly for message.
	(texinfo-copy-menu-title): Copy title as it
	should rather than node line.

	(texinfo-find-higher-level-node): Stop search at limit.
	Special handling for `top' and `chapter' levels.
	(texinfo-copy-menu-title): Rewrite to handle outer include files.
	(texinfo-multi-file-update): Update all nodes properly (and sooner);
	rewrite doc string and interactive. Copy title properly.
	(texinfo-all-menus-update): Fixed typo that
	caused the function to create a master menu when it shouldn't.
	Update pre-existing master menu, if there is one.

	(texinfo-incorporate-descriptions): Use a regexp search to look for
	both kinds of menu item.
	(texinfo-menu-indent-description): Likewise.
	(texinfo-incorporate-menu-entry-names): New function.
	(texinfo-insert-menu): Handle both kinds of menu item.
	(texinfo-multi-files-insert-main-menu): Likewise.
	(texinfo-update-node): Pass t as second arg to push-mark.
	(texinfo-sequential-node-update): Likewise.
	(texinfo-insert-node-lines): Bind `title' at a higher level.
	Don't find previous @node if it's close.
	Take region to process as arguments.
	(texinfo-multiple-files-update): Handle prefix arg better within
	`interactive'.  Canonicalize the blank lines.

1993-07-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Correctly do nothing when there are no cookies.

1993-07-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-choose-yank):
	Change menu title to "Choose Next Yank".

1993-07-07  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Removed unused variable `status'.

	* rmail.el (rmail-resend): Use RFC 822 style date in Resent-Date: line.
	* sendmail.el (mail-do-fcc): Likewise, for appending Date: lines to
	RMAIL mode buffers.  Use new `mail-rfc822-time-zone' function
	to simplify pinhead generation.
	* mail-utils.el (mail-rfc822-time-zone, mail-rfc822-date): New fns.

1993-07-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (cd-absolute): Use abbreviate-file-name on expansion of DIR.

	* gud.el: Add (provide 'gud).

	* files.el (basic-save-buffer):
	Invoke after-save-hook, not after-save-hooks.

	* time.el (display-time-file-nonempty-p): Use file-chase-links.

	* bytecomp.el (byte-compile-setq-default): Handle multiple pairs
	args like setq (as the setq-default subr does).

	* autoload.el: Doc fix.

1993-07-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-variables): Compare truename as well as given name
	against rmail-file-name.

	* man.el (Man-mode-line-format): Add a space after global-mode-string.

1993-07-06  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.16 released.

1993-07-06  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* vc.el (vc-start-entry): Don't call file-name-nondirectory on
	FILE before passing it to vc-mode-line.  Everyplace else passes
	vc-mode-line full filenames, and vc-mode-line now needs the real
	file name to decide which version-control system the file is under.

	* man.el (Man-build-man-command): Don't leave a pipe symbol at the
	end of the command list if Man-filter-list is nil.
	(Man-default-man-args): Don't write out assq and mapconcat.
	(Man-default-man-entry): Don't default to section 2 for C-mode.
	Call Man-default-man-args, and let people use
	Man-auto-section-alist if this is what they want.
	(manual-entry): Call Man-translate-references, instead of writing
	it out.
	(Man-getpage-in-background): Don't apply Man-default-man-args
	here; manual-entry has already run it, and
	Man-follow-manual-reference provides the sections itself.

1993-07-05  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): If we get a switch-frame-event,
	save it until we're done asking questions, and then unread it.

1993-07-05  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-name): Move to vc-hooks.el.
	* vc-hooks.el (vc-name): Moved from vc.el; vc-rcs-status now uses it.
	(vc-name, vc-backend-deduce): Set both vc-name and vc-backend
	properties, to avoid calling vc-registered unnecessarily when
	the other property is needed.
	(vc-rcs-status): Yield only status of locks; do not try to yield " REV"
	if there are no locks, since this cannot be done easily if there are
	branches.  Use vc-name instead of duplicating its function incorrectly.
	Fix off-by-one bug when inserting master header pieces.  Read headers
	8192 bytes at a time instead of 100.  Don't bother to expand-file-name.
	(vc-rcs-glean-field): Removed.

1993-07-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-mode-map): Add menu bar items.
	(outline-minor-mode-map): Copy menu bar submap from outline-mode-map.

	* help.el (describe-key-briefly): Don't set `foo'.

1993-07-04  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* subr.el (posn-point): Properly extract the BUFFER-POSITION field
	of an event when read-key-sequence has placed it in a singleton
	list.

	* comint.el (comint-prompt-regexp): Double the backslashes in the
	sample prompt regexps, so that they print properly when unquoted.

1993-07-04  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-diff): Undo "-q" change.  This was fixed
	instead by adding -q support to vcdiff.

1993-07-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (describe-prefix-bindings): New command.
	(prefix-help-command): Set it.

	* hexl.el: Added a keyword.

1993-07-04  Johan Vromans  (jv@mh.nl)

	* forms.el (forms-new-record-filter): Correct default value.
	(forms-modified-record-filter): Correct default value.

1993-07-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Add message for paren mismatch.

	* vc-hooks.el (vc-mode-line): Put `RCS' or `SCCS' before version num.

1993-07-03  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* faces.el (make-face-bold, make-face-italic)
	(make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Properly pass noerror argument to recursive calls.

	* frame.el (frame-remove-geometry-params): New function.
	(frame-initialize): Call it, instead of writing it out.

1993-07-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-region): Cope with change hooks that change props.

1993-07-03  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* term/x-win.el: Check the reverseVideo/ReverseVideo resource,
	correctly distinguish between "on" and "off" values, and put a
	parameter in default-frame-alist.
	* frame.el (frame-initialize): Don't call x-get-resource here.

1993-07-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Do nothing when there are no cookies.

1993-07-02  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* mouse.el (mouse-drag-region): Correctly handle drags which enter
	other frames.

1993-07-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-path): New variable.
	(vc-do-command): Use vc-path.

	* menu-bar.el (menu-bar-edit-menu): Rename menu item to
	Choose Next Paste.  Create this item along with all the others.

	* isearch.el (isearch-other-meta-char): Handle sequences
	containing mouse clicks in scroll-bar that used another buffer's map.

1993-07-02  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* vc.el (vc-backend-diff): Pass the "-q" flag only if we're using
	rcsdiff.

1993-07-02  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el: Put mouse-menu-choose-yank binding after
	paste=>yank binding in menu-bar-edit-menu.

1993-07-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-keep-pending): Handle fset like defalias.
	(byte-compile-file-form-defmumble): Fix backward if in prev change.

1993-07-01  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* dired-aux.el (dired-diff): Work even when the mark is inactive.

1993-07-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send): Don't test buffer-modified-p
	if buffer is visiting a file.

	* bytecomp.el (byte-compile-file-form-defmumble):
	If byte-compile-compatibility, use fset, not defalias.

1993-07-01  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* simple.el: Add bindings to function-key-map so that the keypad
	keys act like ordinary self-insertion keys, unless explicitly bound.

1993-07-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el (build-mail-abbrevs): Do substitute-in-file-name
	on the abbrev, for `source'.

	* files.el (set-visited-file-name): Rename the old auto save file.

1993-06-30  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-choose-yank):
	Just return when x-popup-menu returns nil.
	Add menu-enable property to this function.

1993-06-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compile-abbreviate-directory): New function.
	(compilation-parse-errors): Use that, to visit files with a dirname
	more like the one the user specified.

1993-06-30  Johan Vromans  (jv@mh.nl)

	* forms.el: Add e-mail address and version info.
	Adjust commentary and doc strings.
	(forms-mode): Add ###autoload.
	(forms-find-file): Add ###autoload.
	(forms-find-file-other-window): Add ###autoload.

1993-06-30  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-update-change-log): Ensure that file names inserted
	into a ChangeLog are relative to that ChangeLog.

1993-06-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (mark-even-if-inactive): New variable.
	(mark): Test it.

	* rmail.el: Doc fixes.

1993-06-30  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* gud.el: Add history lists to the debugging commands, so we don't
	have to retype the filename every invocation.
	(gud-gdb-history, gud-sdb-history, gud-dbx-history)
	(gud-xdb-history): New variables.
	(gdb, sdb, dbx, xdb): Use them when reading the argument string.

	* mouse.el (mouse-drag-region-1): Commented out.
	(mouse-drag-region): Commented out, and replaced with new version,
	which highlights the region as we drag.
	(mouse-scroll-delay, mouse-drag-overlay): New variables.
	(mouse-scroll-subr): New function.

	* sun-fns.el, sun-curs.el: Move these to lisp/term, to be with
	sun-mouse.el.

1993-06-29  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (global-face-data): Doc fix.

	* gnus.el (gnus-newsrc-to-gnus-format): Correct regexp which
	matches .newsrc lines not to match more than one line.

1993-06-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ls-lisp.el (insert-directory): Doc fix.
	(ls-lisp-format): Provide user name when known.
	On ms-dos, provide a name for the group, to be prettier.

1993-06-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

